Untitled

SQL Manager 2005 for MySQL
  • Index
  • Next »

Welcome to EMS SQL Manager 2005 for MySQL!

EMS SQL Manager 2005 for MySQL is a powerful tool for MySQL® Database Server administration and development. SQL Manager 2005 for MySQL works with any MySQL versions from 3.23 to 5.02 and supports all of the latest MySQL features including views, stored procedures and functions, InnoDB foreign keys and so on. It offers plenty of powerful tools for experienced users to satisfy all their needs. MySQL Manager has a new state-of-the-art graphical user interface with well-described wizard system, so clear in use that even a newbie will not be confused with it.

Version 3.0 features:

Latest MySQL versions support

· Compatible with any MySQL version from 3.23 to 5.02.
· Views support in MySQL 5.01.
· Stored Procedures and Functions support in MySQL 5.0.
· New MySQL 5.0 Authentication Protocol.
· MySQL 4.x User Privileges Extensions.
· Charsets and collations support for databases and tables.

Significantly improved user interface

· Office 11 and Windows XP visual schemes support.
· New well-described Wizard System.
· New useful Navigation Bars in most of the windows.
· New Windows Toolbar to switch between windows easily, like in Windows Task Bar.

Improved Database Explorer

· Creating tabs for any tree node to access it in one-click!
· Work with multiple selected objects at a time.
· Much more convenient toolbar and context menu.

Completely remade Visual Database Designer

· Obvious new look.
· Two diagram notations (IDEF1x and IE).
· Improved diagram navigation.
· Several pages in one diagram to divide diagram into different subject areas.
· A lot of visual customization options.

New powerful data management tools

· Plenty of useful tools such as data grouping, summarizing, fast searching and filtering.
· Master-Detail View to work with two linked tables at the same time.
· Table and Card Views to see data the way you like.
· Ability to copy and paste selected records.
· Advanced printing system.
· Fully customizable interface.

Connect through HTTP tunnel

· Access to MySQL Server through HTTP protocol in case of Internet access through HTTP proxy only, or if the server doesn't allow direct connections to MySQL.

Improved report management

· New Create Report Wizard allows you to create simple report in a few clicks.
· Managing reports in the same way as if they were a database object: accessing reports directly through DB Explorer tree.


  • Index
  • « Prev
  • Next »

What's new?

EMS MySQL Manager for Windows | 3.7.5.1 - September 05, 2006
EMS MySQL Manager for Linux | 1.4.0.1 - November 29, 2003

What's New in EMS MySQL Manager for Windows?

1. The support of DELIMITER statement has been added.

2. The ability to execute a procedure on F9 key in Procedure Editor implemented.

3. After repeated execution of the script like:
PREPARE stmt2 FROM 'SELECT SQRT(POW(?,2) + POW(?,2)) AS hypotenuse';
SET @a = 6;
SET @b = 8;
EXECUTE stmt2 USING @a, @b;
the 'Commands out of sync; you can't run this command now' error appeared. Fixed now.

4. When renaming a procedure in DB Explorer in some cases user got the error message. Fixed now.

5. When editing a procedure definition with labeled BEGIN ... END compound statement like given below:
proc_label:BEGIN
-- some sql 1
END
user got an error. Fixed now.

6. Program used to hang up on attempt to apply an empty name to an object on renaming with F2 hotkey in DB Explorer

7. It was unable to edit a procedure containing the \ or ' symbols in its name. Fixed now.

8. Other small improvements and bugfixes.


  • Next »

System Requirements

System Requirements for Windows

· Pentium® 166MHz or higher recommended
· Microsoft® Windows® 95/98/Me/NT4/2000/XP/2003
· 32 MB RAM (64 MB or above is recommended)
· 10MB of available HD space for program installation
· Windows® compatible video card with at least 800x600 resolution (1024x768 is recommended)
· Windows® compatible mouse or pointing device
· Possibility to connect to some local or remote MySQL® server


Feature Matrix

 | Windows Professional | Windows Lite | Linux Professional
Full support of MySQL versions from 3.23 to 5.02
Views support in MySQL 5.01 | + | + | -
Stored Procedures and Functions support in MySQL 5.0 | + | + | -
New MySQL 5.0 Authentication Protocol | + | + | -
MySQL 4.x User Privileges Extensions | + | + | -
Charsets and collations support for databases and tables | + | + | -
New state-of-the-art graphical user interface
Office 11 and Windows XP visual schemes support | + | + | -
New well-described Wizard System | + | + | -
Improved database explorer for easy managing all MySQL objects | + | + | +
New Windows Toolbar to switch between windows easily, like in Windows Task Bar | + | + | -
Navigation bars with hot actions in most of the windows | + | + | -
Ability to save all the program settings | + | + | -
Customizable toolbars for all program windows | + | + | -
Fully customizable program interface | + | + | -
Powerful visual options module | + | + | -
Localizable program interface | + | + | -
Rapid database management and navigation
Multiple host/database connections | + | + | +
Connecting via local port forwarding through the SSH tunnel | + | - | -
Access to MySQL Server through HTTP protocol | + | + | -
Registering/unregistering databases for working with the needed databases only | + | + | +
Projects to work with the selected database objects only | + | + | +
Multiple user-defined tabs for any tree node to access it in one-click | + | + | -
Possibility of working with multiple selected objects at a time | + | + | -
Grouping/Ungrouping registered databases by host name | + | + | +
Simple management of all MySQL objects
Ability to create/drop databases | + | + | +
Managing tables and all their subobjects: fields, indices and foreign keys | + | + | +
Managing views | + | + | -
Managing stored functions and procedures | + | + | -
Managing user-defined functions (UDF) | + | + | +
Duplicating all database objects | + | + | -
Advanced data manipulation tools
Powerful BLOB viewer/editor with several types of viewing BLOB data | + | - | -
Plenty of useful tools such as data grouping, fast searching and filtering | + | + | -
Master-detail view to work with two linked tables at the same time | + | - | -
Table and card views to see data the way you like | + | - | -
Ability to copy and paste selected records | + | - | -
Advanced printing system | + | - | -
Exporting data to SQL script as INSERT statement | + | - | +
Powerful security management
Powerful user manager for administering users and privileges | + | + | +
Grant manager displaying all database object grants in a form of a grid | + | + | +
Excellent visual and text tools for query building
Visual query builder allowing you to build complicated queries without any knowledge of SQL syntax | + | - | -
Multiple SQL editors with query parameters, code completion and syntax highlight | + | + | +
Large script executing (SQL script editor) | + | + | +
Report designer with clear in use report construction wizard
New Create Report Wizard allows you to create simple reports in a few clicks | + | - | -
Managing reports the same way as if it was a database object: accessing reports directly trough DB Explorer tree | + | - | -
Impressive data export and import abilities
Exporting data to most popular formats: MS Excel, MS Word, HTML, PDF, TXT, CSV, DBF, XML, etc. | + | - | +
Exporting data to MS Access | + | - | -
Importing data from MS Excel, DBF, XML, TXT and CSV | + | - | +
Importing data from MS Access | + | - | -
Copying metadata and data from one database to another as a whole or partially | + | - | +
Other useful tools to make your work with MySQL Server as easy as it can be
Extracting metadata into text files or SQL script editor | + | - | +
Powerful print metadata module for creating customizable metadata reports | + | - | +
HTML report generator to create a detailed HTML report about your database quickly | + | - | +
SQL monitor | + | + | +
Completely remade Visual Database Designer
Two diagram notations (IDEF1x and IE) | + | - | -
Useful diagram navigation tool | + | - | -
Reverse engineering | + | - | -
Several pages in one diagram to divide diagram into different subject areas | + | - | -
Ability to create, edit and drop tables and table fields, set links between tables visually | + | - | -
Saving as image or printing database diagram | + | - | -
A lot of visual customization options | + | - | -
Easy-to-use wizards performing MySQL services
Backing up database | + | - | +
Restoring database | + | - | +
Analyzing tables | + | - | +
Checking tables | + | - | +
Repairing tables | + | - | +
Optimizing tables | + | - | +
And other useful features
Both Windows and Linux versions available | + | + | +
Keyboard templates | + | + | +
To-do list | + | + | -
External tool manager | + | + | -


Installation of MySQL Manager

If you install SQL Manager 2005 for MySQL for the first time on your PC:

· Download the SQL Manager 2005 for MySQL distribution package from the download page at our site;
· Unzip downloaded file to any local folder, e.g. c:\unzipped;
· Run setup.exe from the local folder and follow the instructions of installation wizard;
· After installation process is completed, find the SQL Manager 2005 for MySQL shortcut at corresponding group of the Windows start menu.

If you want to upgrade installed copy of SQL Manager 2005 for MySQL to the latest version:

· Download the SQL Manager 2005 for MySQL executable file from the download page at our site;
· Unzip downloaded file to any local folder, e.g. c:\unzipped;
· Exit from SQL Manager 2005 for MySQL if it is running;
· Replace previous version of SQL Manager 2005 for MySQL by copying unzipped files to the EMS SQL Manager 2005 for MySQL folder;
· Run SQL Manager 2005 for MySQL using its shortcut at the Windows start menu.

Also you can use the full distribution package to upgrade your current version of SQL Manager 2005 for MySQL. In this case, you should repeat the steps you have made for the first-time installation. Note that the full distribution package is quite larger than a single executable file.


Registration

To make it easier for you to purchase our products, we have contracted with share-it! registration service. The share-it! order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe. The following information about share-it! is provided for your convenience.

Share-it! is a global e-commerce provider for software and shareware sales via the Internet. Share-it! accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer, Check or Cash.

If you have ordered EMS software online and would like to review your order information, or if you have questions about ordering, payments, or shipping procedures, please visit our Customer Care Center, provided by share-it!

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys or passwords and download links for archives of full versions. Also you will receive a copy of registration keys or passwords by e-mail. Please make sure to enter a valid e-mail address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

Product Description | Price | Share It!
EMS SQL Manager 2005 for MySQL for Windows (Business license) | $175 | Register Now!
EMS SQL Manager 2005 for MySQL for Windows (Non-commercial license) | $95 | Register Now!
EMS SQL Manager Lite for MySQL for Windows | Free! | Download Now!


End user License Agreement

Copyright (C) 1999-2006 EMS Database Management Solutions, Inc.
All rights reserved.

IMPORTANT: PLEASE READ THIS AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE.

END USER LICENSE AGREEMENT
EMS Database Management Solutions, Inc. ("EMS") agrees to provide the user ("USER") with a copy of this software product ("SOFTWARE"), and grants the USER a limited license to use the SOFTWARE. This LICENSE AGREEMENT ("LICENSE") defines what the USER may do with the SOFTWARE, and contains limitations on warranties, liabilities and remedies. This LICENSE may be revoked by EMS at any time without notice if the USER fails to comply with the terms of this LICENSE. The copyright and all other rights in the SOFTWARE shall remain with EMS.

LICENSE OF UNREGISTERED SOFTWARE
An unregistered copy of the SOFTWARE ("UNREGISTERED SOFTWARE") may be used by the USER for evaluation purposes for a period of thirty (30) days following the initial installation of the UNREGISTERED SOFTWARE. At the end of the trial period ("TRIAL PERIOD"), the USER must either register the SOFTWARE or remove it from his system. The UNREGISTERED SOFTWARE may be freely copied and distributed to other users for their evaluation.

LICENSE OF REGISTERED SOFTWARE
A registered copy of the SOFTWARE ("REGISTERED SOFTWARE") allows the USER to use the SOFTWARE only on a single computer or network and only by a single user at a time. If the USER wishes to use the SOFTWARE for more than one user, the USER will need a separate license for each individual user. The USER is allowed to make one copy of the REGISTERED SOFTWARE for back-up purposes.

DISTRIBUTION OF UNREGISTERED SOFTWARE
The uninstalled, UNREGISTERED SOFTWARE may be freely copied and distributed to other users provided the USER complies with the following requirements. If the USER offers this uninstalled, UNREGISTERED SOFTWARE for download ("SHAREWARE SITE USER"), then the SHAREWARE SITE USER agrees to:
(1) Immediately replace this version of the uninstalled, UNREGISTERED SOFTWARE with a new version of this SOFTWARE if a new version is released by EMS, or
(2) Delete this version of the UNREGISTERED SOFTWARE immediately upon written email notice by EMS.

TERM OF LICENSE
This LICENSE shall continue for as long as the USER uses the REGISTERED SOFTWARE and/or distributes the UNREGISTERED SOFTWARE according to the terms of this agreement.
However, this LICENSE will terminate if the USER fails to comply with any of its terms or conditions. The USER agrees, upon termination, to destroy all copies of the REGISTERED and/or UNREGISTERED SOFTWARE. The limitations of warranties and liability set forth in this LICENSE shall continue in force even after termination.

ACCEPTANCE OF THIS LICENSE AGREEMENT
By downloading and/or installing this SOFTWARE, the USER agrees to the terms of this LICENSE.

DISCLAIMER OF WARRANTY AND LIABILITY

THE SOFTWARE AND THE ACCOMPANYING FILES ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, EMS DISCLAIMS ALL WARRANTIES, EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF PERFORMANCE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL EMS BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION OR LOSS OF BUSINESS INFORMATION) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE.

ANY LIABILITY OF EMS WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF ORIGINAL PURCHASE PRICE.

OTHER RESTRICTIONS
The USER may not rent, lease, sublicense, translate, disassemble, reverse engineer, or de-compile the SOFTWARE, or modify or merge the SOFTWARE with any part of the software in another program. This LICENSE may not be assigned or otherwise transferred without the prior written consent of EMS.

INVALID PROVISIONS
If any provision of this LICENSE shall be declared invalid or unenforceable, the remaining provisions of this LICENSE shall remain in full force and effect to the fullest extent permitted by law. In such event, each provision of this LICENSE which is invalid or unenforceable shall be replaced with a provision as similar in terms to such invalid or unenforceable provision as may be possible which is legal and enforceable.

ENTIRE AGREEMENT
This LICENSE is the entire agreement between EMS and the USER, and supersedes any other agreement, oral or written, and may not be changed except by a written signed agreement.


Version History

Version | Date Released
Version 3.7.5.1 (Windows) | June 13, 2006
Version 3.6.5.1 (Windows) | March 24, 2006
Version 3.6.0.1 (Windows) | February 01,2006
Version 3.5.0.1 (Windows) | October 25, 2005
Version 3.4.0.1 (Windows) | August 16, 2005
Version 3.3.0.1 (Windows) | June 29, 2005
Version 3.2.0.1 (Windows) | April 13, 2005
Version 3.1.0.1 (Windows) | February 15, 2005
Version 3.0.0.1 (Windows) | January 31, 2005
Version 1.4.0.1 (Linux) | November 29, 2004
Version 2.8.5.1 (Windows) | October 8, 2004
Version 2.8.0.1 (Windows) | July 21, 2004
Version 2.7.0.1 (Windows) | April 12, 2004
Version 2.6.5.1 (Windows) | November 25, 2003
Version 2.6.0.1 (Windows) | August 27, 2003
Version 2.5.0.1 (Windows) | June 25, 2003
Version 1.3.0.1 (Linux) | June 4, 2003
Version 2.4.0.1 (Windows) | May 21, 2003
Version 1.2.0.1 (Linux) | April 30, 2003
Version 2.3.0.1 (Windows) | April 23, 2003
Version 2.2.0.1 (Windows) | March 18, 2003
Version 1.1.5.1 (Linux) | March 12, 2003
Version 2.1.0.1 (Windows) | February 24, 2003
Version 1.1.0.1 (Linux) | February 24, 2003
Version 2.0.0.1 (Windows) | February 5, 2003

Full version history is available at http://www.sqlmanager.net/products/mysql/manager/news.

Version 3.7.5.1 (Windows) - June 13, 2006

1. Added support for Scheduled Events that appeared in MySQL ver. 5.1.6
2. Export as SQL Script. Now you can choose for which DBMS server the script should be generated.
3. SQL Editor.
· Added the opportunity to rename and move the tabs
· The time of query execution now is shown in the format hh:mm:ss
· Sometimes Range Check Error emerged in SQL Editor when executing a query. Fixed now.
· Added opportunity to import data in a query if the latter supports data insertion
4. DB Explorer. 'Add to Projects' function is added. Now it's possible to add objects to the projects not only by dragging them, but also by choosing them in a form opened with the help of this command.
5. HTTP tunnel now can work through HTTPS protocol.
6. Now there is no need to connect to a database in DB Explorer when using Services.
7. Added support of NDBCluster and BlackHole storage engines.
8. The character sets and collations list for Create Database Wizard has been updated.
9. The size and location of new objects editor windows (new procedure, new function, etc.) are now saved.
10. Grid. The Expand All and Collapse All options are added to the context menu.
11. The control location in toolbars remain now after a newer version of the program is installed. One can reset toolbars and menu using the corresponding command in the Windows menu or the button in the Environment Options dialog.
12. Visual Database Designer. Context menu style did not change in correspondence with the current visual scheme. Fixed now.
13. Fixed the considerable processor loading (CPU usage 90%) when using the program together with some other applications.
14. Definitions for views and triggers were truncated to 8K. Fixed now.
15. Table Editor. The truncate table works all right now.
16. Sum() type calculated fields were considered as string in queries. Fixed now.
17. Wrong formatting of the view body with fields like concat(ucase(`staff`.`pref_surname`), ', ', `staff`.`pref_name`) AS `person`.
18. Unique were refreshed wrong for the fields, which resulted in an error during fields reorder. Fixed now.
19. Fixed the error that appeared while editing indexes like UNIQUE KEY `name` (`surname`(5),`name`,`patronymic`).
20. When adding a new report through Create Report Wizard, an error emerged in some server versions. Fixed now.
21. Fixed the error that appeared while getting default fields values for bit fields.
22. Function Editor returned NULL result as empty string. Fixed now.
23. Window size and location were not saved. Fixed now.
24. Database Registration Information. While saving data, the uniqueness of database aliases was not checked. Fixed now.
25. Grouping in Table Editor worked incorrectly under certain settings. Fixed now.
26. Access violation error emerged when setting a filter for the text field. Fixed now.
27. The 'Help' option in Report Designer did not work. Fixed now.
28. Some non-Latin characters were shown incorrectly in the EMS Direct window. Fixed now.
29. The connect dialog asked twice for Server Properties. Fixed now.
30. Naming Rules were not saved after closing the program. Fixed now.
31. Restore Service gave an error when choosing Non-registered database. Fixed now.
32. Query Builder. After query text editing on the Edit and Create View tabs, it used the old query from the Builder tab. Fixed now.

Version 3.6.5.1 (Windows) - March 24, 2006

1. SQL Editor. Key Mapping is implemented to set the shortcuts for various commands/operations according to your needs.

2. Query Builder. Support of queries containing the tables from different databases hosted on one server is implemented.

3. Create Table. Added comment support for tables.

4. Server Properties . Now connection with SSH and HTTP tunnels is supported.

5. New option "Write only successfully executed SQL statements to log" (Database Registration Info -> Logs) is added.

6. SQL Editor.
· Opportunity to execute statement under cursor is added.
· The bug with division by zero having Explain Query for an incorrect query is fixed.

7. Extract Database.
· Added the "Use tables selected on the previous step" option to extract data from the tables selected for extracting the structure.
· Progress indicator now displays the number of extracted data for tables.
· Fixed the bug with extracting the procedures and functions when the user has no rights for viewing them.
· Now the generated script inserts 0 values for autoincrement fields correctly.

8. Copy Database.
· Added the "Use tables selected on the previous step" option to copy data from the tables selected for copying the structure.
· Progress indicator now displays the number of copied data for tables.
· Added the "Use compressed protocol" option.

9. Create Database Wizard. Now the created database name is quoted.

10. Data Import.
· Now with the transactions disabled in the "Commit changes manually" mode the proper transaction action (Commit or Rollback) is requested after import.
· Now it is possible to resize the dialog window.
· Setting of Generator Value and Constant Value was ignored when defining format of the imported fields. Fixed now.
· When defining a part of fields for import, empty values were inserted into the rest fields, which resulted in not applying the default values set for the fields in the table. Fixed now.

11. Procedure Editor.
· Added support of the constructions in procedure bodies like:
procd:BEGIN
...
END procd
· Fixed the bug with creating a procedure with the parameters like:
param2 ENUM('a','b','c')

12. The function parameters were not updated if the user didn't have the rights for mysql.proc. Fixed now.

13. Now the Optimize Tables service for InnoDB tables on MySQL 5.x works correctly.

14. Fixed the bug with getting default values for the BIT(n) fields.

15. SQL Editor.
· Next Bookmark, Previous Bookmark commands are added.
· In some rare cases the text from the beginning of the line was deleted when using the Code Completion tool with option "Trim trailing spaces" enabled. Fixed now.

16. Visual Database Designer. The Drop Table context menu item worked incorrectly if the field was selected, but the table was not. Fixed now.

17. SQL Script. Now confirmation of aborting the script execution is needed.

18. DB Explorer. The context menu didn't hide when switching to another application. Fixed now.

19. Table Editor, View Editor. The lines exceeding 32 symbols were cut when exporting lists of subobjects. Fixed now.

20. Other minor improvements and bugfixes.

Version 3.6.0.1 (Windows) - February 01, 2006

1 SQL Formatter. Formats SELECT, INSERT, UPDATE, DELETE queries. (Available from SQL Editor context menu)

2 SQL Script.
- Now the process of script executing is shown and there is an opportunity to stop this process.
- Now you can open several windows at once.
- When option 'Enable parsing' was enabled, editing a large script (> 10 M) caused hanging. Fixed now.

3 Now you can define Host connection info in User Manager, Grant Manager and SQL Script when setting up a connection. Now these tools also work correctly when using HTTP and SSH tunneling.

4 SQL Editor.
- Option 'Don't save queries automatically for the next session' is added. When the option is enabled, you can create and save queries for each database that will be read automatically when running SQL Editor. When the option is disabled, queries created during the last session are saved.
- Now there are no limitations for the size of edited scripts.

5 Supporting data of type BOOLEAN and BIT(M) is added.

6 Table truncation now can be done for several selected tables in DB Explorer.

7 Query Builder. Saves queries between sessions.

8 Table Editor.
- Now 'Refresh' button can show changes committed by other transactions.
- Reorder fields now work correctly for InnoBD tables containing foreign keys.

9 Grid.
- Now when executed, such commands as 'Set to Empty String' and the like do not post data to the table.
- Now when pasting records from the clipboard, you can set correspondences between clipboard columns and query columns.
- 'Copy to clipboard' now uses tabs as delimiters (for pasting into Excel)
- Form view. Memo fields editor is extended (can be customized in Grid > Advanced tab of Environment Options dialog).

10 Extract Database. Option 'Generate USE <db_name> statement' is added.

11 Export Data Wizard.
- Allow captions option added.
- 'Finish' button is available at all steps.

12 Procedure Editor. Now shows values of output parameters.

13 Now you can call Table Properties Window for the selected table in DB Explorer using the popup menu or 'Object Properties' button in Tool Bar.

14 Blob View: 'Word Wrap' option is added for text. (Available from context menu)

15 Now you can open Grant Manager without connecting to a database.

16 Trigger Editor. Code Completion shows the list of table fields after OLD. and NEW. keywords.

17 The 'Binary flag for char and varchar fields' option is supported (for MySQL versions 3.23-4.0).

18 Database options used to be saved at the end of working session. Now changes are saved immediately. In case of emergency shutdown of the program or system crash the changes made during the working session are saved too.

19 Report Designer and Report Editor. Support HTTP connection to database.

20 Column Editor: saves Size value when changing Char type to Varchar type and vice versa.

21 Duplicate Object, modal Query Builder. The size of these windows can now be regulated.

22 It took a long time to close Table Editor when the number of tables in the database exceeded 1000. Fixed now.

23 With 'SQL sort mode' option enabled sorting by fields of Bigint type was performed incorrectly. Fixed now.

24 In Code Completion fields for tables and views were not displayed. Fixed now.

25 Print Metadata. 'Show all objects' button did not work. Fixed now.

26 Procedure Editor. Clicking on Execute resulted in executing the query twice. Fixed now.

27 View Editor. On creating a new view with capital letters in its name an error occurred. Fixed now.

28 Decimal type (10,2) was displayed as Decimal(10,0) in case of HTTP connection. Fixed now.

29 When updating functions and procedures in DB Explorer an error occurred if the user had no rights to access 'mysql.proc'. Fixed now.

30 Other improvements and bugfixes.

Version 3.5.0.1 (Windows) - October 25, 2005

1. Triggers support implemented.

2. Visual Query Builder.
· Support of subqueries and UNION joins.
· Ability to create INSERT/UPDATE/DELETE statements.

3. Now the program notifies itself of new versions released and updates the needed files when SQL Manager Direct is enabled to automatic update.

4. Now you can write comments for table columns.

5. Extract Database.
· Set Names option implemented.
· Drop If Exists option for views, procedures ad functions implemented.

6. Truncate Table option now available from DB Explorer popup menu.

7. Ability to edit data using Latin2 charset.

8. SQL Script. Now comments like /*!40102 */ are taken into consideration while executing SQL Scripts on different server versions.

9. Now you can define database and table name when creating Foreign Key from the Foreign Key Editor.

10. Ability to rename foreign keys is implemented now.

11. Grid View. Fixed bug with incorrect setting default value for timestamp fields if it equal to current_timestamp.

12. SQL Editor. Fixed bug with lose of SQL statements formatting when creating procedures, functions and triggers.

13. Now zero date values ('0000-00-00') are shown correctly in the Grid View and the Export as SQL Script tools.

14. Copy Database. Fixed bug with creating new database.

15. Now DB Explorer keeps the order of object type nodes when Sort By Aliases option is set.

16. Visual Database Designer. Now reverse engineering function correctly percieves foreign keys for the tables named using uppercase symbols when lower_case_table_names=0

17. Field Editor. Fixed bug with ignoring of the Use Dimension option.

18. Grid View. There was incorrect displaying of data for the fields of types like float(12,2) when working through HTTP Tunneling.

19. Now Tables Details -> Show DDL option works correctly.

Version 3.4.0.1 (Windows) - August 16, 2005

1. 'Sort by Aliases' option is now considered for all lists of registered databases in the program.

2. Grid View. New 'SQL Filter' and 'SQL Sort' options added. Use these options when limited number of records is fetched in grid. They allow filtering and sorting records through all the dataset records, instead of only fetched ones.

3. 'Client Charset' option works for HTTP Tunneling connections now.

4. Modal Visual Query Builder form size is variable now.

5. New option added in 'Environment Options' -> 'Table Editor': "Default storage engine for new tables".

6. When 'Enable floating toolbars' option was on it was possible to undock main menu, but it was impossible to get it back. Fixed now.

7. Fixed error with reordering fields: data were copied incorrectly.

8. Fixed the bug with displaying wrong size for unsigned decimal fields.

9. 'Show Tables' Details' setting to 'DDL' now working fine.

10. Added ability to rename Views, Procedures and Functions.

11. Now you can disable Delete record(s) confirmation.

12. Incremental Search in field lists implemented.

13. Table Editor. Now only table types supported by server are shown.

14. SQL Editor. Fixed the bug with positioning cursor when option "Show result for each query" is enabled.

15. Fixed the bug with displaying unsigned BIGINT fields having values more than 9223372036854775807.

16. Fixed the bug with modifying default TIMESTAMP field value to 'CURRENT_TIMESTAMP'.

Version 3.3.0.1 (Windows) - June 29, 2005

1. MySQL 5.0.6 support.

2. Procedure Editor: added ability to execute stored procedures and functions.

3. Code Insight: Now supports aliases, shows field types and view fields.

4. Table Editor: Truncate table feature is added.

5. Query Builder.
· Implemented ability to select types of objects shown in the list and to sort them.
· Now it's possible to create view based on the query.

6. Save Data Wizard added. It complements Load Data Wizard and uses 'SELECT INTO ... OUTFILE' MySQL command for quick exporting table data or query to a text file.

7. Now you can edit view in the View Editor using Query Builder tool.

8. SQL Editor. Added ability to show query results on the same tab with the query text.

9. Grant Manager.
· Added ability to rename users;
· Stored procedures and functions support;
· Increased performance

10. Added ability to check views within Check Tables Wizard.

11. BLOB Editor.
· Now you can view and edit blob fields with no need to open a separate window.
· Ability to print memo and html BLOB data added.

12. HTML Report tool has been replaced with a more user-friendly HTML Report Wizard.

13. DB Explorer. Now you can hide certain types of objects.

14. Implemented ability to commit or rollback current transaction. You can switch it off from Environment Options dialog.

15. Fixed bugs with reordering columns.

16. BINARY, VARBINARY, BIT field types support.

17. SQL Editor. Bug with executing CALL PROCEDURE command: "SELECT in a stored procedure must have INTO" is fixed now.

18. Data Import from Access. Fixed bug when loading from template: fields map wasn't loaded.

19. Data Import Wizard and Load Data Wizard. After loading of large amount of records, program might hang for a while. Fixed now.

Version 3.2.0.1 (Windows) - April 13, 2005

1. DB Explorer: Now MySQL Manager remembers 'Sort by Aliases' option.

2. Import Data Wizard: Added Commit options
· Commit when done;
· Commit after each n records;
· Commit changes manually: Imported data should be committed or rolled back by user after import completion.

3. New Grid option 'Use compact view for TEXT fields'.
When this option is ON, TEXT fields in grid mode are displayed as icons. To see or edit their content, you should press the expand button. When this option is OFF, TEXT fields are displayed as normal string fields.

4. Create table window: Now it's possible to switch between cells in fields list using Tab key.

5. Now it's possible to modify procedures and functions for MySQL 5.0.3.

6. Sometimes when connecting to a database through SSH in DB Explorer an exception arose. Fixed now.

7. Fixed the bug with running queries on servers with specific versions like "3.23.23-nt-20050403".

8. Visual Database Designer: Fixed bug with opening previously saved diagram.

9. Server properties: 'Kill process' now works correctly.

10. Import Data Wizard: Now shows the number of committed records correctly.

11. Fixed Access Violation error appeared when trying to add a field to the new table.

12. An error arose when switching to BLOB Editor after closing the window from which it was started. Fixed now.

13. Visual Query Builder: Now parsing errors are shown only when switching to Builder tab.

14. Fixed error with importing from MS Excel and using the case adjustment functions.

15. Import Data Wizard: when importing only a part of fields, the others were set to NULL.

Version 3.1.0.1 (Windows) - February 15, 2005

1. Connection Character Sets support. Now you can work with databases in different charsets, irrespectively of server defaults.

2. Field charsets and collations support implemented.

3. SQL Manager 2005 for MySQL now supports servers using long user names (more than 16 characters long).

4. Truncate Tables service added. Now you can remove data from tables quickly.

5. Improved Duplicate Object Wizard.

6. Improved Export as SQL Script Wizard (former Export as INSERT dialog).

7. Added support for VARBINARY and BINARY data types.

9. Romanian localization added.

8. Now Create Database Wizard shows detailed error messages while creating a database.

10. Fixed the bug with impossibility to switch between windows using Windows Bar in some cases.

11. Fixed some minor bugs in DB Explorer.

12. It was impossible to filter grid content while in Load Visible Rows mode. Fixed now.

13. Fixed the bug with inability to set field size when changing its type from TEXT to VARCHAR.

Version 3.0.0.1 (Windows) - January 31, 2005

Version 3.0 features:

Latest MySQL versions support

· Compatible with any MySQL version from 3.23 to 5.02.
· Views support in MySQL 5.01.
· Stored Procedures and Functions support in MySQL 5.0.
· New MySQL 5.0 Authentication Protocol.
· MySQL 4.x User Privileges Extensions.
· Charsets and collations support for databases and tables.

Significantly improved user interface

· Office 11 and Windows XP visual schemes support.
· New well-described Wizard System.
· New useful Navigation Bars in most of the windows.
· New Windows Toolbar to switch between windows easily, like Windows Task Bar.

Improved Database Explorer

· Creating tabs for any tree node to access it in one-click!
· Work with multiple selected objects at a time.
· Much more convenient toolbar and context menu.

Completely remade Visual Database Designer

· Obvious new look.
· Two diagram notations (IDEF1x and IE).
· Improved diagram navigation.
· Several pages in one diagram to divide diagram into different subject areas.
· A lot of visual customization options.

New powerful data management tools

· Plenty of useful tools such as data grouping, summarizing, fast searching and filtering.
· Master-Detail View to work with two linked tables at the same time.
· Table and Card Views to see data the way you like.
· Ability to copy and paste selected records.
· Advanced printing system.
· Fully customizable interface.

Connect through HTTP tunnel

· Access to MySQL Server through HTTP protocol in case of Internet access through HTTP proxy only, or if the server doesn't allow direct connections to MySQL.

Improved report management

· New Create Report Wizard allows you to create simple report in a few clicks.
· Managing reports the same way as if they were a database object: accessing reports directly through DB Explorer tree.

Version 1.4.0.1 (Linux) - November 29, 2004

1. We have improved the compatibility with different Linux versions.

2. SSL connections are supported and do not require installed openssl now.

3. Fixed the problem with enumerated fields management.

4. We have added the possibility to enter a unix-socket instead of port number like "/tmp/mysql.sock", i.e. possibility to connect to the local server with disabled TCP/IP.

5. We have implemented an installer. The program is distributed as a sh-script now instead of archives.

6. Several bugfixes in design: displaced fonts, wrong control sizes, invisible combo box captions, etc.

7. Closing the help file often caused the program hang-up. Fixed now.

8. The majority of open/save dialogs didn't show files due to the incorrect filters. The problem is solved.

9. We have significantly improved the usability of .txt files importing page.

10. Fixed the bug with SQL Monitor. Now it works correctly after reopening.

11. Several serious errors in print preview window are fixed now.

12. Fixed the problem with managing the thread-safe table types on some server versions.

Version 2.8.5.1 (Windows) - October 8, 2004

1. We have implemented a new form for creating tables.

2. Now the Export data and Export data as INSERT export forms store the last selected paths.

3. The charset and collation option is now supported when creating a table.

4. The charset and collation option is now supported when creating a database.

5. The confirmation for saving the changes is required now before closing 'Create table' and 'Edit table' windows.

6. Grid options. You could set only standard colors in the grid parameters. Now it is also possible to set custom colors.

7. Grid. Now it is considered that the current column header is bold if the 'Autofit columns' option is on. Besides, when sorting the arrow is showed.

8. The length limit for Column Name and Table Name is 64 now.

9. Now the innodb tables can be recognized correctly for MySQL 4.1.X.

10. Extract Metadata -> Save/Load Template. On saving/loading a template the 'Disable foreign key checks' option wasn't saved. Fixed now.

11. SQL Editor. In some cases errors occurred when re-executing a query after it was executed and you switched to Print View. If no error occurred the content refresh was made twice. The problem is solved.

12. Query Builder. Several bug fixes in INNER JOIN queries.

13. When browsing a table in Form View, pressing Tab key after clicking the Limit Count field resulted in error: Query Field 'COUNT(*)' not found. The bug is fixed now.

14. The bug with not refreshing a table after its duplicating from one database to another. You had to close it and open it again to see the change. Fixed now.

Version 2.8.0.1 (Windows) - July 21, 2004

1. We have implemented an ability to create InnoDB tables in MySQL 4.1.3.

2. Duplicate Object Wizard: With this version you can copy the table data as well as the table structure.

3. Print Data View: Now you can customize column widths using the new dialog that is accessible via the Tune Column Widths button on the toolbar of the Print View tab.

4. Reports: With this version you can save your reports to XLS, RTF, HTML, JPEG, BMP, and TIFF files. We have added new save filters for this purpose.

5. Print Data View: Now the program saves page settings. You can disable this feature using the corresponding option on the Reports tab of the Environment Options dialog.

6. Print Data View: Now the program displays the table name on each page of the report.

7. Export Data Wizard: Fixed the bug that appeared when exporting data to CSV files.

8. Import Data Wizard: Fixed the bug that appeared when importing data from Excel files.

9. Create Table Wizard: An error occured when creating table with default values of the first field. We have fixed it.

10. Fixed the bug that appeared when changing fonts for the interface elements.

11. DB Explorer/Duplicate Object Wizard: Fixed the bug that appeared when trying to duplicate an object if the program established connection with two database at once.

12. Some small improvements and bug fixes.

Version 2.7.0.1 (Windows) - April 12, 2003

1. With this version you can work with MySQL server 4.1.1 or higher.

2. We have fixed the bug that caused an error when working with SSH client.

3. Export to Excel: Now you can export your data into any cell of the Excel spread sheet.

4. Export to Excel: A possibility of creating merged cells is added.

5. Export to Excel: The "Auto calculate column width" option is added.

6. Export to Excel: We have added a possibility of defining background images for an Excel sheet.

7. HTML Report: We have added a possibility of editing the CSS table.

8. HTML Report: A bug with displaying index columns is fixed.

9. Import Wizard: We have added a possibility of defining an error log file name.

10. Import Wizard: The "Rewrite error log file" option is added.

11. Import Wizard: The "Show error log" option works correctly now.

12. Import from Access: Fixed bug with displaying table list.

13. SQL Editor: We have changed the hot keys for deleting query (Ctrl-R) with Ctrl-Del and for deleting all history (Shift-Ctrl-R) with Shift-Ctrl-Del to avoid the conflict with the "Replace text" function from the context menu.

14. Import from Excel: Fixed bug with selecting ranges.

15. Now the Query Builder saves table size, position and expanded property in the builder area.

16. We have fixed bug with parsing queries such as:

select
...
from
MyTable
inner join MyTable Alias1 on (MyTable.Id = Alias1.Id)
inner join MyTable Alias2 on (Alias1.Id = Alias2.Id)

Version 2.6.5.1 (Windows) - November 25, 2003

1. We have significantly improved the Import Data Wizard to make most of new abilities of EMS QuickImport 2 component suite available in MySQL Manager:
· Import from XML format is available now.
· A possibility of importing data from different Excel sheets is implemented.
· A possibility of importing formulas from Excel is added.

2. Index Editor: Included fields list contained wrong field set for some indices. Now it is fixed.

3. SQL Editor: The "Replace selected text" function replaced matches in the whole text. We have fixed it.

4. Visual Database Desinger: Access Violation appeared sometimes on closing a window. Now it is fixed.

5. Visual Query Builder: Some corrections in the query parser.

6. Some minor improvements and corrections.

Version 2.6.0.1 (Windows) - August 27, 2003

1. We've added MySQL Server v4.1 support to MySQL Manager. Starting from this version MySQL Manager allows you to connect to MySQL 4.1 using its authentication protocol, so no more client incompatibility messages are going to appear.

2. We've added a possibility to disable the separated thread creation for each data/result view in tables and SQL editors. This may be necessary if maximum allowed connection limit is too low. To use this possibility, just check the "Use shared connection for each data view within a database" option, which is located on the Grid -> Advanced tab of the Environment Options dialog.

3. The foreign key checks can be disabled now while transferring databases by MySQL Manager. You can check the "Disable foreign key checks" option at the last step of the Transfer Database Wizard for this purpose. (*) This option is also available in the Extract Metadata Wizard, if it is checked, then the SET FOREIGN_KEY_CHECKS=0 command is generated at the top of the script.

4. The SQL Monitor operation list now includes the SHOW command as well. You can enable/disable displaying the SHOW operations by checking/unchecking the respective option on the Tools -> SQL Monitor tab of the Environment Options dialog.

5. The Print View of the Table Editor Data tab allows you to save current report as CSV, TXT, RTF or HTML file now. (*)

6. The Unsigned flag is available for the FLOAT and DOUBLE fields on MySQL server 4.0.2 or higher.

7. Now MySQL Manager also supports foreign keys for the MySQL server versions from 3.23.44 to 3.23.50, in which a foreign key definition is not generated within a table definition returned by the SHOW CREATE TABLE command.

8. Fixed bug with the incorrect BIGINT value displaying in the query result if the field has an alias in the query text.

9. Fixed bug with the incorrect fields order in the INSERT statement generated by the Export as Insert Dialog in some cases. (*)

10. Fixed bug with the impossibility to drop a foreign key from a list containing only one foreign key.

11. Fixed bug with an invalid value displaying after editing a TIMESTAMP field in the grid view.

12. Fixed bug in the Extract Metadata Wizard with generating the incorrect order of tables containing foreign keys.

13. Fixed bug with the impossibility to set a field as a primary key in the Visual Database Designer diagram. (*)

14. Fixed bug with transferring binary data. (*)

15. Some minor corrections and small improvements.

Version 2.5.0.1 (Windows) - June 25, 2003

1. We have added a possibility to save the Visual Database Designer diagrams as graphical images. Now you can save your diagrams into four graphical file formats: bitmap, JPEG image, GIF image and Windows metafile. This feature is available via the Save as Image button in the Visual Database Designer toolbar. (*)

2. Now SQL Editor and Visual Query Builder support query parameters. This feature allows you to specify different values within a query in a popup dialog just before the query execution. Use the colon (':') character before some identifier (e.g. :P1) to specify a parameter within a query. Note that query parameters are allowed only when the "Allow using parameters in query text" option is checked on the Tools tab of the Environment Options dialog.

3. Data View: we have added a possibility to set filters for the Grid View. Now you can filter the current data view using drop-down arrows on the right of the column captions.

4. We have added a possibility to forward a local port to the MySQL server located on a different from the SSH host. Now you can connect to the remote MySQL server via the SSH protocol even if the SSH and MySQL hosts are not on the same computer. All the parameters for connecting through the SSH tunnel are set on the Register Database dialog or the Register Host wizard. (*)

5. The Grant Manager provides now two new menu items: Grant All on All and Revoke All on All. Use them for granting or revoking to the selected user all privileges on all objects at once.

6. The Environment Options -> Tools -> Table tab provides the new "Do not retrieve record count for a table" option. Enable this option for not to retrieve record count, as this can take a long time for large InnoDB tables.

7. The Visual Database Designer allows dropping table fields now. (*)

8. Fixed bug with granting options on objects with long (> 31 chars) names in the Grant Manager.

9. Fixed bug with quick filtering in the grid view.

10. Parsing the RIGHT JOIN clause in the Visual Query Builder works correctly now. (*)

11. Fixed bug with showing foreign keys for tables having keywords as names.

12. Identifiers appearing in the IN (..) clause are parsed correctly by the Visual Query Builder now. (*)

13. Errors with exporting and importing BIGINT values are fixed. (*)

14. Fixed bug with dropping indices from the Table Editor Object Explorer.

15. Some minor improvements and corrections.

Version 1.3.0.1 (Linux) - June 4, 2003

1. We've added the foreign key support for InnoDB tables

2. Table information in HTML Report includes foreign keys now.

3. Data Frame: The popup menu item SetFilter works correctly now

4. We've added a possibility of integration between other EMS HiTech products and MySQL Manager. If you have installed our utilities, such as MySQL Export, MySQL Import or MySQL Extract, you can run them from main form of the MySQL Manager.

5. Transfer Database Wizard is added. Use this wizard to transfer database structure and/or table data to different hosts.

6. We've added a possibility to define a browser type to use for viewing help files, HTML Report and other pages, called from MySQL Manager. Use the Environment Options | Miscellaneous page for this purpose.

7. Several bugfixes and small improvements.

Version 2.4.0.1 (Windows) - May 21, 2003

1. Internal SSH client was implemented in MySQL Manager. Now it is possible to connect to a remote MySQL server using local port forwarding through the SSH (Secure SHell) tunnel. All the necessary parameters of SSH connection are available on the SSH tab of the Database Registration dialog and on the first step of the Register Host Wizard. (*)

2. A possibility of dropping/editing the foreign keys was added. Since version 4.0.13 MySQL server started to support the dropping of foreign keys for InnoDB table, and this ability is also supported by MySQL Manager now. Use the corresponding menu items on the Foreign Keys tab of the Table Editor or the Visual Database Designer (*) popup menu to drop or edit foreign keys.

3. Hungarian localization of the program interface was included in the installation package. Now 11 languages are available in MySQL Manager: English, German, French, Italian, Spanish, Danish, Dutch, Portuguese (Brazilian), Russian, Chinese and Hungarian.

4. A possibility to specify default directory for HTML Report files was added for each database. You can specify this parameter in the Database Registration Info dialog. (*)

5. Index definition doesn't appear in the CREATE TABLE statement generated by the Export As INSERT dialog, if a field included to the index is not selected for exporting. (*)

6. Fixed bug with editing items of the To-Do List. A new item doesn't appear after successful editing anymore.

7. Fixed bug with BLOB fields truncating during the import data process. (*)

8. Fixed bug with extracting float values with the Extract Metadata Wizard if system defined decimal separator is different from '.'.

9. Fixed bug with loading diagrams to the Visual Database Designer, if some objects included to the diagram have been deleted from the database previously. (*)

10. Fixed bug with executing (SELECT ...) UNION (SELECT ...) statements in the SQL Editor.

11. Fixed bug with the 'CONTINUE record missing' error while importing data from some Excel files. (*)

12. Fixed bug with loading templates to the Export Data dialog. (*)

13. Default directories for exporting/importing data (*) and extracting metadata specified on the Directories tab of the Database Registration Info dialog are used properly now.

14. Some small corrections and improvements.

Version 2.3.0.1 (Windows) - April 23, 2003

1. We have implemented a new tool - Transfer Database Wizard. Now you can easily transfer one database's metadata and data to another as a whole or partially. MySQL Manager provides easy-to-use wizard for this purpose, which is available via the "Tools -> Transfer Database..." menu item. (*)

2. Visual Database Designer: we have added a possibility to extract metadata for the current diagram. Click the Extract Metadata button to open the diagram script in the SQL Script. (*)

3. Import Data Wizard: now you can log all the SQL commands executed during the import process into a file. Use the 'Enable SQL Log' option at the last step of the wizard for this purpose. (*)

4. We have added a possibility to hide the explorer window in all table editors. Set the "Environment Options -> Tools -> Table -> Show Object Explorer" option off for this purpose.

5. Import Data Wizard: the import process uses much less memory by calling the SELECT ... LIMIT 0 statement every time the wizard commits changes. Import speed is also significantly improved especially for large source files. (*)

6. Fixed bug with impossibility to specify NULL as a default value for the ENUM type.

7. Extract Metadata Wizard restores the data table list from the template correctly now.

8. Export Data Dialog: data exported to MS Access table started to print even if the corresponding option was unchecked. Now it is fixed. (*)

9. Fixed bug with impossibility to close all database windows by choosing the corresponding menu item from the window list.

10. Fixed bug with the incorrect field order in index definition when all the index fields were selected at once.

11. Fixed bug with incorrect representation of the default values for the ENUM type if theiritems contain spaces.

12. The UPDATE or INSERT mode of the Import Data Wizard imports data properly now. (*)

13. Fixed bug with saving table comments containing apostrophe characters.

14. The 'Command out of sync' error doesn't appear after executing the EXPLAIN statement in the SQL Editor anymore, and the Results tab displays correctly after executing this statement.

15. Fixed bug with parsing the SELECT statement containing the YEAR function within the Visual Query Builder. (*)

16. Fixed bug with identifying the TEXT type as SET with MySQL 4.1.

17. Some small improvements and corrections.

Version 1.2.0.1 (Linux) - April 30, 2003

1. We have added Keyboard Templates to MySQL Manager options. New installation package contains file keytemplates.ini with standard templates.

2. Now you can define the Qt style using the Environment Options dialog.

3. Hot Keys work correctly now.

4. DB Explorer: The "Add to project" dialog is improved. Now you can add, delete or modify folders or subfolders of the project within this dialog.

5. Import Data Wizard: we have added a possibility to log the SQL statements executed during the import process. Check the "Enable SQL Log" option and set the name of the result sql file to save all import operations as SQL script.

6. Import Data Wizard: now you can save the error log to file.

7. Database | New Object and Database | Duplicate Object menu items work correctly now.

8. Two buttons are added to the tool bar. You can use this buttons to create new or show last table or UDF. To select this action use the Options | Environment Options | Tools | Control Toolbar Buttons Action.

9. The "Environment Options", "Editor Options" and "Keyboard Templates" buttons are added to the main toolbar.

10. We have placed a button for printing metadata in the Table Editor toolbar.

Version 2.2.0.1 (Windows) - March 18, 2003

1. A possibility to select data retrieving method was added. There are two methods: retrieve a complete result set to the client (recommended for small result sets) and initiate a row-by-row result set retrieval (recommended for large result sets). This option is available at the Grid -> Advanced page of the Environment Options dialog.

2. New "Keep connection alive" option was added to the Database Registration Info dialog. If this option is on, MySQL Manager tries to ping MySQL server (and reconnect if the connection was closed by time-out limit) before each query.

3. Export Data dialog: a possibility of multi-file export was added to HTML options. Now it is possible to set the maximal count of records in a single file, availability of index file and navigation options. (*)

4. Data View: columns in Print View adjust their widths in accordance with column widths in Grid View. (*)

5. A possibility to define indices necessary for a foreign key during its creation process was added. Now you will receive a prompt on creating an index before adding a foreign key if the necessary index is not found in the table.

6. Visual Database Designer: creation of links is not allowed for any table type except InnoDB now. This was done because InnoDB is the only table type that supports foreign keys currently.

7. Page options were added to the PDF Options page of the Export Data dialog. A possibility to set page size, orientation and margins is available for export to PDF format now. (*)

8. The "Duplicate key entry" error doesn't appear on every key violation during import data process. Now all such errors will be added to error log, but won't be displayed in error dialog. (*)

9. Fixed bug with minimizing MySQL Manager after it has been closed in its minimized state previously.

10. Fixed bug with editing BIGINT values in Grid View.

11. Fixed bug with encoding data in Grid View accordingly to the Database Font Charset option in the Database Registration Info dialog.

12. Fixed bug with Access Violation error after disconnecting from a database with the SQL Editor opened.

13. Fixed bug with error occurrence while refreshing data in Grid View for a table that contains a lot of BLOB fields.

14. Some minor improvements and corrections.

Version 1.1.5.1 (Linux) - March 12, 2003

1. Export Data Dialog: export to PDF added. Now you can export data to as many as 14 popular data formats.

2. Export Data Dialog: a possibility of customizing navigation links for multi-file HTML export.

3. Export Data Dialog: now you can define a background picture for the result table.

4. Import Data Wizard: import modes are implemented - now you can define an action to be executed with the concurrent records in the source file and the target table. You can either update these records, delete them, insert only new records, and so on. For these purpose you should define key columns as primary key.

5. Import Data Wizard: a possibility of defining a way to add data to the destination table - insert or append - is added.

6. Several small improvements and minor bugfixes.

Version 2.1.0.1 (Windows) - February 24, 2003

1. The Grant Manager and the User Manager were modified in compliance with MySQL 4.0.x privilege system. Now all the privileges provided by MySQL 4.0.x are supported (available for MySQL v4.0.8 and higher only).

2. Import Data Wizard: a possibility of defining the import mode was added. Now you can define how the records from the source file must be imported to the destination. Six modes of data import are available, which allow you to add all records, add new records only, update or delete existing records in various ways. (*)

3. Visual Query Builder: a possibility of diagram saving/loading was added. Now you can save the current diagram layout to external file for later use. (*)

4. Data View: a possibility to enable/disable multiselection in the grid view was added. This option is available by the "Tools -> Environment Options... -> Grid -> Row multiselection" check box. It is disabled by default for improving the performance speed on large tables.

5. The "Autoconnect On Startup" option was added to the Database Registration Info dialog.

6. The "Set Defaults To All Child Windows" item was added to the Windows menu. This item sets all the child windows to their default sizes and positions. This function is also available by Ctrl+Alt+D shortcut.

7. The "Always Open the Fields Tab" option was added to the "Tools -> Environment Options -> Table" tab.

8. Database list in child windows is now grouped by hosts if the Show Hosts option is enabled.

9. Dropping a field or an index requires confirmation now.

10. Fixed bug with using AltGr key for typing characters in editors.

11. Fixed bug with getting wrong result with the execution of the 'SELECT @var' query after the 'SET @var=' query in the SQL Editor.

12. Fixed bug with DATE and DATETIME field values extraction using the Extract Metadata Wizard.

13. Fixed bug with importing values to BIGINT fields.

14. Some small improvements and corrections.

Version 1.1.0.1 (Linux) - February 24, 2003

1. The HTML Report Generator implemented. This tool allows you to create the powerful database schema reports in HTML format quickly and easily.

2. Import Data Wizard: the interface of this module is improved - now setting correspondence between the source columns and the target fields becomes easier and faster.

3. Help system is significantly expanded and improved - new topics and more detailed descriptions appear.

4. A bug with saving/restoring export templates is fixed.

5. Date values are now converted correctly to the script, when extracted with the Extract Metadata Expert.

6. A lot of various interface improvements.

7. Several small corrections and bugfixes.

Visual Database Designer
Design your database visually - it takes seconds! See Visual Database Designer to learn how.

MDI Interface implemented
Microsoft Office Style - all program windows are child windows of the main window now. You can customize the Environment Style using the Environment Options window.

Foreign key support for InnoDB tables
Now MySQL Manager supports InnoDB foreign keys. See Foreign Keys for details.

HTML Report Generator
Create a detailed report about your database in HTML format. Take a look at HTML Report.

Third-party plugin support
Install third-party plugins in MySQL Manager and make your work with MySQL even easier! See Plugins and External Tools.

Report Designer
New powerful tool for designing reports visually.

New Environment Options Dialog
The Environment Options dialog redesigned and expanded.

User Manager Improved
The User Manager window is no more modal and behaves in the same way as other program windows.

Find and replace functions implemented in the Localization Editor
Editing localizations becomes easier! See Localization Editor for details.


SQL Manager for MySQL FAQ

Please read this page attentively if you have questions about EMS MySQL Manager.

Table of contents

Product Questions
· What is EMS MySQL Manager?
· What is the difference between Professional/Lite and Windows/Linux editions of EMS MySQL Manager?
· What do I need to start working with EMS MySQL Manager?
· What is the difference between the Export/Import functions in the MySQL Manager tool and the MySQL Export/Import utilities?
· What is the difference between the Query Builder module in the MySQL Manager tool and the MySQL Query utility?
· What is the difference between the Extract Metadata function in MySQL Manager and the MySQL Extract utility?

Common Questions
· I can't modify DDL. Why?
· How can I customize data formats in a grid?
· I can't backup/restore tables on the remote server. Why?
· When creating a table like `TestTable` it will get stored as `testtable`. This is wrong!
· I can't tune the connection to MySQL server by SSH. What values I need to input to the fields on SSH tab of Database Registration dialog.
· I downloaded the RPM and installed it on RedHat Linux. How should I start the application?
· I am trying to create a report in Report Designer, but can't get access to the table data: 'Band data source' list is empty.
· I have a table with ~ 1000 records only and a large number of fields. Opening this table on Data tab takes too much time.
· I need to perform some changes in database objects of my test database and then make the same changes on master database. Are there any tools for this purpose in MySQL Manager?

Export/Import Questions
· I tried to export data from a table, but found that I can export only the first 1000 records. Can I export all the records from a table if it contains more than 1000 records?
· I'm trying to export table, but LONGTEXT fields are not exported.
· What is the difference between the "Extract Metadata" and "Export As Insert" functions?
· How do I change the default directory where exported data will be saved?

Troubleshooting
· When I try to register a database, I get the following message: Access denied for user: user@host.domain Why does it happen?
· I try to connect to remote MySQL host, but I receive only the "Host not allowed to connect to server" message. What can be a reason?
· I've registered the DB, but on trying to open it the "dynamic library libmysql.dll not found" message appears.
· I get "Bad Handshake" message when I try to connect to MySQL 4.1.x. Does this product support 4.1.x?
· Every time I try to connect to MySQL on remote Linux server, I get the 'Lost connection to MySQL server during query' error. What's wrong?
· I tried to create a foreign key for InnoDB table, but received the "Can't create table ... (errno: 150)" error. What's wrong?

Question list

Product Questions
Q: What is EMS MySQL Manager?
A: EMS MySQL Manager provides powerful tools for MySQL Database Server administration and object management. Its Graphical User Interface (GUI) allows you to create/edit all MySQL database objects in a simple and direct way, design databases visually, run SQL scripts, manage users and administer user privileges, visually build SQL queries, extract and print metadata, create database structure reports in HTML format, export/import data, view/edit BLOBs, and supplies many other services that will make your work with the MySQL server as easy as it can be...

Q: What is the difference between Professional/Lite and Windows/Linux editions of EMS MySQL Manager?
A: These editions of MySQL Manager differ in price and features. To register MySQL Manager see our Purchase Page, and to learn about the difference in features please go to our Feature Matrix Page.

Q: What do I need to start working with EMS MySQL Manager?
A: First of all you must have a possibility to connect to some local or remote MySQL Server to work with MySQL Manager. You can download MySQL Server from http://www.mysql.com/downloads/index.html (download is free). Besides you need your computer to satisfy the system requirements of MySQL Manager. MySQL Manager runs on Windows 95/98/Me/NT4/2000/XP and Pentium 166, 32 Mb RAM is recommended.

Q: What is the difference between the Export/Import functions in the MySQL Manager tool and the MySQL Export/Import utilities?
A: MySQL Export/Import includes some additional features, which are not available in MySQL Manager such as:
· export/import data from/to several tables at once;
· export/import data from/to tables selected from different databases on one host;
· command line utility to export/import data using the configuration file with all the export/import options.

Q: What is the difference between the Query Builder module in the MySQL Manager tool and the MySQL Query utility?
A: First of all, MySQL Query works faster as it is a much lighter product. Besides it provides additional features for query building, e.g.:
· "favorite" queries to find and execute often-used queries quickly;
· keeping query history, which allows you to rollback to any edited query;
· various interface improvements for more productive and easy work;

Q: What is the difference between the Extract Metadata function in MySQL Manager and the MySQL Extract utility?
A: MySQL Extract includes some additional features, which are not available in MySQL Manager, such as:
· extracting metadata from several databases on one host;
· console application for executing extract in one-touch;
· faster execution speed;

Scroll to top

Common Questions
Q: I can't modify DDL. Why?
A: The 'DDL' tabs of the Table Editor and UDF Editor are read-only. They display the SQL text of the operations you carry over the table on the tabs 'Fields', 'Indices', etc, or over the UDF. To modify this text you can copy it to the clipboard and modify it using SQL Script Editor.

Q: How can I customize data formats in a grid?
A: You can customize all display formats: integer, float, date, time and date/time in the Environment Options window.

Q: I can't backup/restore tables on the remote server. Why?
A: The Backup/Restore Tables functions do not work with remote MySQL server. This is not a limitation of MySQL Manager. MySQL server tries to backup tables only on the server side, so the Backup Tables function works properly only with local MySQL server. If you want to backup tables from the remote server, you can use the Extract Metadata function.

Q: When creating a table like `TestTable` it will get stored as `testtable`. This is wrong!
A: It seems that the value of the "lower_case_table_names" variable is 1. Please visit http://dev.mysql.com/doc/mysql/en/Name_case_sensitivity.html for additional information about this variable.

Q: I can't tune the connection to MySQL server by SSH. What values I need to input to the fields on SSH tab of Database Registration dialog.
A: You need to input the following:
1) On SSH tab:
· SSH User Name is a user on Linux machine. (It is a Linux user. It is not a user of MySQL server.)
· SSH Host is a host where SSH server is activated.
· Remote Host is a host where MySQL server is located in point of view SSH server. If SSH and MySQL server are on the same machine, it is equal to SSH Host, or may be 'localhost'.
· Remote Port is a port of MySQL server on Remote Host, by default it is 3306.
2) On General tab:
· Host - 'localhost'.
· Port - any port number that is not used on your client MS Windows machine. For example, it is 10000.
· User Name is a MySQL user name.
· Password is password of the MySQL user.

Q: I downloaded the RPM and installed it on RedHat Linux. How should I start the application?
A: When MySQL Manager is installed you can start it using command line or menu items from main menu.
1. Try to type in Command line:
#>mm-start
2. Try to use main menu
KDE: ->EMS->MySQL Manager->MySQL Manager
GNOME: ->Programs->EMS->MySQL Manager->MySQL Manager
If you cannot find these menu items try to restart your XWindow system.

Q: I am trying to create a report in Report Designer, but can't get access to the table data: 'Band data source' list is empty.
A: To get data source in a report you need to add a dialog form to the report (menu 'Edit' \ 'Add dialog form' of Report Designer), then place database and query components from the left designer panel on it and set connection and query properties. Then the query appears in data source lists.

Q: I have a table with ~ 1000 records only and a large number of fields. Opening this table on Data tab takes too much time.
A: Please select the option 'Initiate a row-by-row result set retrieval' on 'Grid' \ 'Advanced' tab of Environment Options dialog.

Q: I need to perform some changes in database objects of my test database and then make the same changes on master database. Are there any tools for this purpose in MySQL Manager?
A: Database Registration Info dialog contains Log tab where you can enable logging metadata changes, which are performed on a database, and SQL statements, that are executed in SQL Editor.

Scroll to top

Export/Import Questions
Q: I tried to export data from a table, but found that I can export only the first 1000 records. Can I export all the records from a table if it contains more than 1000 records?
A: The Export Data function exports only records those are currently selected in the grid view. The selection is limited by 1000 by default, so you should increase this value to select all the records to be able to export them all. Also you can set the default limit value on the Grid tab of the Environment Options dialog.

Q: I'm trying to export table, but LONGTEXT fields are not exported.
A: Fields of types TEXT, LONGTEXT are not exported by default. You should select these fields manually on the Fields tab.

Q: What is the difference between the "Extract Metadata" and "Export As Insert" functions?
A: "Export As Insert" is intended to export table data that will be inserted into a database system other than MySQL server. Use "Extract Metadata" to copy data to a table on MySQL server.

Q: How do I change the default directory where exported data will be saved?
A: Follow the steps below to change directory.
1. Right click on database you need in DB Explorer and click on "Database Registration Info..." item in popup menu (you can also find out this item in main menu "Database"). The Database Properties form will be opened.
2. Click on the "Save Options" tab.
3. In the "Default Directory for Export Data" section you can choose the default directory for export file.

Scroll to top

Troubleshooting
Q: When I try to register a database, I get the following message:
Access denied for user: user@host.domain
Why does it happen?
A: This error is generated by MySQL server because you don't have privileges to connect to the server from your host. Please contact your database administrator to resolve this problem.

Q: I try to connect to remote MySQL host, but I receive only the "Host not allowed to connect to server" message. What can be a reason?
A: This error occurs because you don't have a permission to connect to remote MySQL server from your host. Please contact your database administrator or, if you have access to MySQL server with grant privilege, you can use the GRANT statement to add a new user. For example, the following command will give full access from your host to the user:
GRANT ALL PRIVILEGES ON *.* TO 'user' IDENTIFIED
BY 'user_password' WITH GRANT OPTION;
Please read the "GRANT and REVOKE Syntax" chapter of MySQL reference.

Q: I've registered the DB, but on trying to open it the "dynamic library libmysql.dll not found" message appears.
A: Please, make sure that the libmySQL.dll file exists in the MySQL Manager directory. Reinstallation of the application can solve the problem.

Q: I get "Bad Handshake"message when I try to connect to MySQL 4.1.x. Does this product support 4.1.x?
A: It seems that you use old version of the client library libmySQL.dll. You should use the client library from our installation package. Try to reinstall the application.

Q: Every time I try to connect to MySQL on remote Linux server, I get the 'Lost connection to MySQL server during query' error. What's wrong?
A: This error can occur if your Linux glibc requires greater than 128K of stack size to resolve a hostname. It happens primarily on RedHat 8.0 system with MySQL version lower than 4.0.10, but also can happen with another configuration. To solve such issue, add/edit the following line to the [mysqld] section of MySQL configuration file:
set-variable = thread_stack=192k # value must be 192K or higher

Q: I tried to create a foreign key for InnoDB table, but received the "Can't create table ... (errno: 150)" error. What's wrong?
A: The referenced column should appear as the first column in some index, both in parent and child tables.

If you still have any questions, contact us at Support Center.


Other EMS Products

Quick navigation

mysql
MySQL

postgresql
PostgreSQL

mssql
Microsoft SQL

ibfb
InterBase / FireBird

db2
IBM DB2

dbisam
DBISAM

tools
Tools & components

MySQL

SQL Manager for MySQL
EMS SQL Manager™ for MySQL is a high performance graphical tool for MySQL® Server administration and development.

Data Export for MySQL
EMS Data Export™ for MySQL is a powerful program to export your data quickly from MySQL® databases into the most popular office programs formats.

Data Import for MySQL
EMS Data Import™ for MySQL is a powerful tool to import your data quickly from MS Excel, MS Access, DBF, TXT and CSV files to MySQL® tables.

Data Pump for MySQL
EMS Data Pump™ for MySQL is an excellent utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access).

Data Generator for MySQL
EMS Data Generator™ for MySQL is an impressive utility for generating test data to several MySQL® database tables at once.

DB Comparer for MySQL
DB Comparer™ for MySQL is an excellent tool for comparing MySQL® databases and discovering differences in their structure.

DB Extract for MySQL
EMS DB Extract™ for MySQL is an impressive and easy-to-use utility for creating database backups in a form of SQL scripts.

SQL Query for MySQL
EMS SQL Query for MySQL is a utility that lets you quickly and simply build SQL queries to MySQL® databases.

Data Comparer for MySQL
EMS Data Comparer™ for MySQL is a powerful and easy-to-use utility for data comparison and synchronization.

Scroll to top

PostgreSQL

SQL Manager for PostgreSQL
EMS SQL Manager™ for PostgreSQL is a high performance graphical tool for PostgreSQL administration and development.

Data Export for PostgreSQL
EMS Data Export for PostgreSQL is a powerful tool to export your data quickly from PostgreSQL databases into the most popular office programs formats.

Data Import for PostgreSQL
EMS Data Import for PostgreSQL is a powerful tool to import your data quickly from MS Excel, MS Access, DBF, TXT and CSV files to PostgreSQL tables.

Data Pump for PostgreSQL
EMS Data Pump™ for PostgreSQL is an excellent utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access).

Data Generator for PostgreSQL
EMS Data Generator™ for PostgreSQL is an impressive utility for generating test data to several PostgreSQL database tables at once.

DB Comparer for PostgreSQL
EMS DB Comparer™ for PostgreSQL is an excellent tool for comparing PostgreSQL databases and discovering differences in their structure.

DB Extract for PostgreSQL
EMS DB Extract™ for PostgreSQL is an impressive and easy-to-use utility for creating database backups in a form of SQL scripts.

SQL Query for PostgreSQL
EMS SQL Query™ for PostgreSQL is a utility that lets you quickly and simply build SQL queries to PostgreSQL databases.

Data Comparer for PostgreSQL
EMS Data Comparer™ for PostgreSQL is a powerful and easy-to-use utility for data comparison and synchronization.

Scroll to top

Microsoft SQL

SQL Manager for SQL Server
EMS SQL Manager™ for SQL Server is a high performance graphical tool for Microsoft® SQL Server and MSDE administration and development.

Data Export for SQL Server
EMS Data Export™ for SQL Server is a powerful program to export your data quickly from Microsoft® SQL and MSDE databases into the most popular office programs formats.

Data Import for SQL Server
Data Import for SQL Server™ is a powerful tool to import your data quickly from MS Access, MS Excel, DBF, TXT and CSV files to Microsoft® SQL Server or MSDE tables.

Data Pump for SQL Server
EMS Data Pump™ for SQL Server is an excellent utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access).

Data Generator for SQL Server
EMS Data Generator™ for SQL Server is an impressive utility for generating test data to several Microsoft® SQL database tables at once.

DB Comparer for SQL Server
EMS DB Comparer™ for SQL Server is an excellent tool for comparing Microsoft®SQL databases and discovering differences in their structures.

DB Extract for SQL Server
EMS DB Extract™ for SQL Server is an impressive and easy-to-use utility for creating database backups in a form of SQL scripts.

SQL Query for SQL Server
EMS SQL Query™ for SQL Server is a utility that lets you quickly and simply build SQL queries to Microsoft® SQL databases.

Data Comparer for SQL Server
EMS Data Comparer™ for SQL Server is a powerful and easy-to-use utility for data comparison and synchronization.

Scroll to top

InterBase / FireBird

SQL Manager for InterBase/Firebird
EMS SQL Manager™ for InterBase/Firebird is a high-performance graphical tool for InterBase® and Firebird® administration and object management.

Data Export for InterBase/Firebird
EMS Data Export™ for InterBase/Firebird is a powerful program to export your data quickly from InterBase®/Firebird® databases into the most popular office programs formats.

Data Import for InterBase/Firebird
EMS Data Import™ for InterBase/Firebird is a powerful tool to import your data quickly from MS Excel, MS Access, DBF, TXT and CSV files to InterBase®/Firebird® tables.

Data Pump for InterBase/Firebird
EMS Data Pump™ for InterBase/Firebird is an excellent utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access).

Data Generator for InterBase/Firebird
EMS Data Generator™ for InterBase/Firebird is an impressive utility for generating test data to several InterBase®/Firebird® database tables at once.

DB Comparer for InterBase/Firebird
EMS DB Comparer™ for InterBase/Firebird is an excellent tool for comparing InterBase/Firebird databases and discovering differences in their structures.

DB Extract for InterBase/Firebird
EMS DB Extract™ for InterBase/Firebird is an impressive and easy-to-use utility for creating database backups in a form of SQL scripts.

SQL Query for InterBase/Firebird
EMS SQL Query™ for InterBase/Firebird is a utility that lets you quickly and simply build SQL queries to InterBase®/Firebird® databases.

Data Comparer for InterBase/Firebird
EMS Data Comparer™ for InterBase/Firebird is a powerful and easy-to-use utility for data comparison and synchronization.

Scroll to top

IBM DB2

Data Export for DB2
EMS Data Export™ for DB2 is a powerful program to export your data quickly from IBM® DB2 databases into the most popular office programs formats.

Data Import for DB2
EMS Data Import™ for DB2 is a powerful tool to import your data quickly from MS Excel, MS Access, DBF, TXT and CSV files to DB2 tables.

Data Pump for DB2
EMS Data Pump™ for DB2 is a powerful utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access).

SQL Query for DB2
EMS SQL Query™ for DB2 is a utility that lets you quickly and simply build SQL queries to IBM® DB2 databases.

Scroll to top

DBISAM

SQL Manager for DBISAM
EMS SQL Manager™ for DBISAM is a powerful tool for DBISAM Server administration and object management.

Scroll to top

Tools & components

Quick Export
EMS Quick Export™ Component Suite for Delphi® and C++ Builder® will allow you to save your data in the most popular office programs formats.

Quick Import
EMS Quick Import™ Component Suite for Delphi® and C++ Builder® will allow you to import your data to the database from files in the most popular data formats.

Quick PDF
EMS Quick PDF™ Component Suite gives you an opportunity to create PDF documents with your applications written on Delphi® or C++ Builder®.

Query Builder
EMS Query Builder is a powerful component suite for Borland® Delphi® and C++ Builder® intended for visual building SQL statements for the SELECT, INSERT, UPDATE and DELETE clauses.

Excel Report
EMS Excel Report™ component for Delphi® is a powerful band-oriented generator of template-based reports in MS Excel.

Quick Localizer
EMS Quick Localizer™ is an indispensable component suite for Delphi® for adding multilingual support to your applications.

Source Rescuer
EMS Source Rescuer™ is an easy-to-use wizard application for Borland Delphi® and C++Builder® which can help you to restore your lost source code.

Scroll to top


Getting Started

To start working with MySQL databases in SQL Manager 2005 for MySQL you should first register a database or several databases using the Register Database Wizard. If you have no databases to register, you can create a new database through the Create Database Wizard. After that you can connect to database, manage its objects, table data, and so on. See the instructions below to learn how to perform these operations in the easiest way.

· How the product looks when you start it for the first time
· Working with databases
· Working with database objects
· Using database popup menu
· Using object popup menu
· Switching between child windows

Enjoy your work with SQL Manager 2005 for MySQL!


Selecting environment style and program language

When you start SQL Manager 2005 for MySQL for the first time, you have to choose environment style and program language. You can always change these settings later by selecting Options | Environment Options main menu item to change environment style and Options | Select Program Language main menu item to change program language.

Environment style
This switch allows you to define the basic window behavior style - MDI (like MS Office) or Floating Windows (like Borland IDE).

Program Language
Select the interface language from the list of available languages.

Bar style for child forms
Allows you to define the location of action buttons. They can be located at the Navigation bar on the left and/or on the Toolbar.


Fisrt time started

This is how SQL Manager 2005 for MySQL looks when you start it for the first time. Click Manage existing database(s) to register existing databases in the Register Database Wizard or click Create new database to create a new database and (optionally) register it in the Create Database Wizard.

The Desktop Panel also allows you to open database tools, which do not require database registration, i.e. SQL Script Editor and User Manager, as well as refer to the SQL Manager 2005 for MySQL or MySQL help systems and link to some useful internet resources.

first time started


Using Desktop Panel

The Desktop Panel shown when no child windows are open allows you to:

· Create new database with Create Database Wizard.
· Register already existing databases in order to manage them with SQL Manager 2005 for MySQL.
· Create new table within the current database using New Table window.
· Create new database object within the current database.
· Execute SQL Script in SQL Script Editor.
· Manage MySQL users in User Manager.
· Grant permissons on database objects to users in Grant Manager.
· Show this help file.
· Show MySQL Reference.
· Browse SQL Manager 2005 for MySQL home page.
· See SQL Manager 2005 for MySQL on-line documentation.
· Go to Technical Support Center.
· See SQL Manager 2005 for MySQL Frequently Asked Questions.


Working with databases

After you have registered the required databases they appear in the explorer tree on the left. If the Show Hosts option is checked at the Environment Options | DB Explorer page, database hosts are also displayed in the tree (hint: you can also use Show Hosts menu item in the dropdown menu of View Mode button on the DB Explorer toolbar for the same purpose.) To connect to a database, simply double-click it in the explorer. If connection succeeds, the database node expands showing the tree of its objects.


Working with database objects

The nodes of the DB Explorer tree allow you to access objects of the selected database respectively. If MySQL server you connected to supports certain types of objects, their nodes will appear in the tree. Double-click an object to open it in the appropriate editor. Right-click at the object to display the popup menu, which allows you to perform various operations over the selected object or database.

db explorer common

If you want to use the explorer tree for working with table subobjects: fields, indexes, and foreign keys, check the Show Table Subobjects option at the Environment Options | DB Explorer page. (hint: you can also use Show Table Subobjects menu item in the dropdown menu of View Mode button on the DB Explorer toolbar for the same purpose.)


Using database popup menu

The popup menu of registered database or an object group in the explorer tree allows you to:

· Connect to the selected database.
· Disconnect from the selected database.
· Register new database through the Register Database Wizard.
· Unregister the selected database.
· Edit the selected database registration info within the Database Registration Info Dialog.
· Register new host through the Register Host Wizard.
· Unregister the selected host and all its databases.
· Setup Database Explorer.
· Create new tab for the selected database for quick accessing it through this tab.

db explorer - popup database


Using object popup menu

The popup menu of the database object (e.g. table) in the explorer tree allows you to:

· Create a new database object.
· Open the selected object in its editor.
· Rename the selected object.
· Drop the selected database object.
· Duplicate the selected object (create a new object with the same properties as the selected object has).
· Define grants for the selected object
· Create new tab for the selected node for quick accessing it through this tab.

db explorer - popup table


Switching between windows

The Windows Toolbar allows you to switch between child windows easily, like in Windows Task Bar.

To activate the window you need, simply click one of the window buttons. To perform some additional actions with the window, right-click on its button and select appropriate menu item from popup menu.

See also:
Customizing toolbars


Database Explorer

Database Explorer (or DB Explorer) is the basic navigation window for working with databases and database objects. Its treelike structure with multiple tabs allows you to perform almost all operations upon the databases and their objects quickly and easily. The following list contains the most common features provided by the Database Explorer.

· Managing database registration info
· Connecting to a database
· Performing basic operations upon database objects
· Creating projects to work with selected objects only
· Navigating database objects using multiple tabs
· Selecting multiple objects
· Easy access to recently opened objects
· Viewing information about database objects
· Configuring Database Explorer

To view or hide this window use the View | DB Explorer menu item or press F11.

Use the Ctrl+Shift+C shortcut to collapse current DB Explorer tree branch and switch to the parent node.

database explorer only


Managing database registration info

Database Explorer allows you to perform the following operations related with registering databases from its popup menu:

· Register database
· Unregister database
· Edit database registration info

db explorer - popup database


Connecting to database

The simplest way to connect to a database is to double-click its node in the Database Explorer tree. The same operation is also available by using the Connect to Database item from the explorer popup menu, or using the Database | Connect to Database main menu item.

Note that you can change database nodes order by dragging them in DB Explorer tree.

db explorer - connect to database


Performing database object operations

Database Explorer allows you to perform the following operations with database objects by its popup menu. Note that popup menu contains object-specific items only when some database object is currently selected in the explorer tree.

· Create new database object (the New <object>... item).
· Edit currently selected database object (the Edit <object_name> item).
· Drop selected object from the database (the Drop <object_name> item).
· Rename selected database object (the Rename <object_name> item).
· Duplicate selected object (the Duplicate <object_name> item).

To open the database object with its editor, you can also double-click it in the DB explorer tree.

See also:
New Object
Duplicate Object

db explorer - popup table


Creating projects

Use Projects node in each database to work with the selected objects of this database only. You can place here any object from the database tree.

Creating project

To create a project:

· Create a folder (and maybe some subfolders) by right-clicking the Projects node and selecting the New Folder menu item.
· Specify the new object name in the dialog window.

To add an object to the project:

· Drag the object(s) from the database tree and drop it to the project folder.
or
· Select the Add Object item from the context menu of the desirable project folder, corresponding dialog window will appear.

Note: You can also create separate tab for your project. See Navigating database objects with tabs section.

Removing object from project

To remove an object from the project:

· Right-click the object and select the Remove Object menu item.
· Confirm removing in the dialog window

Note: This does not drop the object out of database, but only removes it from the project tree.

db explorer - projects


Navigating database objects with tabs

To make your work with Database Explorer even more convenient, SQL Manager 2005 for MySQL supports working with several tabs in Database Explorer. Use tabs when you wish to work only with exact node of explorer tree: with one specific database, with tables of some database or with specific database project. Creating such tabs will minimize scrolling on the large trees. For example, you can create a tab for each registered database and switch between them with a single click on a tab.

Creating tab

To create a new tab:

· Right-click the node for which you wish to create a tab and select New Tab from Here... menu item.

Removing tab

To remove the tab:

· Move to this tab by clicking on it's shortcut
· Right-click the Database Explorer and select Delete Current Tab menu item.

Note: Navigating through the tabs is also possible with the help of shortcuts

· Ctrl+Shift+N - Next tab;
· Ctrl+Shift+P - Previous tab;

db explorer - tabs


Selecting multiple objects

You can select more than one object in Database Explorer by pressing the Ctrl key and selecting these objects clicking on them to perform the following actions:

· Edit database objects
· Drop database objects
· Drag these objects to the projects (See Creating Projects)

selecting multiple objects


Recently opened objects

Use Recent Objects button on the Database Explorer toolbar to access the list of recently opened database objects (during the current work session). This list is common for all the databases. Next to the object name the database name is displayed. Select the object from this list to open it with the editor.

To change the number of objects, considered 'recent' select the Options | Environment Options menu item and set the Recent objects count option value on the Tools | DB Explorer page (see Environment Options for details).

db explorer - recent


Finding database elements

SQL Manager 2005 for MySQL provides the ability to search for items in DB Explorer tree. It may be useful if you have lots of database objects and sometimes it may be hard to find one that you need.

To call the Find Item dialog right-click the Database node of the explorer tree and select the Find Item... item from the popup menu or simply use the <Ctrl + F> key shortcut.


SQL Assistant

This area helps you to work with the DB Explorer window, displaying the additional information about the selected object or group of objects.

If you select a server in the DB Explorer, the SQL Assistant displays the list of the registered databases, where those you are connected to, are displayed in bold. Double-clicking the database alias in the SQL Assistant connects you to the database or disconnects you from it.

If you select a database in the DB Explorer, the SQL Assistant displays the list of the database object groups and a number of objects for each group. Selecting an object group in the DB Explorer displays the list of objects in the SQL Assistant. Double-clicking the object name in the SQL Assistant makes the object available for editing in the proper editor window. Right-clicking the object or group of objects (selected with the Ctrl or Shift buttons) allows you to edit or drop the selected objects.

What is displayed in SQL Assistant when a table is selected in DB Explorer depends on the position of the Tables' Details switch. It can be called via the View Mode button | Tables' Details menu on the toolbar or via the popup menu of the SQL Assistant.

Selecting other objects in the DB Explorer displays its DDL definition or description in the SQL Assistant depending on position of the Other Objects' Details switch. It can be called via the View Mode button | Other Objects' Details menu on the toolbar or via the popup menu of the SQL Assistant.

db explorer - sql assistant


Configuring Database Explorer

Use View Mode button on the Database Explorer toolbar to configure Database Explorer for your needs.

The dropdown menu of this button allows you to:

· Show/hide table subobjects as child nodes of database objects.
· Show/hide view subobjects as child nodes of database objects.
· Show/hide host nodes for registered databases.
· Sort list of databases by its aliases.
· Hide disconnected databases from the tree.
· Setup the SQL Assistant area.

Use Options | Environment Options... to see more options configuring DB Explorer.

db explorer - view mode


Database Management

SQL Manager 2005 for MySQL provides all the tools you need to manage and navigate databases. Note that to start working with databases in SQL Manager 2005 for MySQL you are to register them (see Register Database Wizard).

Create Database

To create a database

· Select the Database | Create Database menu item.
· Set the database name, connection and authorization options in the Create Database Wizard.
· Set option Register After Creating to call the Register Database Wizard after the creation finishes.

Drop Database

To drop a database

· Select the database to drop in the DB Explorer tree.
· If you are not connected to the database, double-click its alias to establish connection.
· Select the Database | Drop Database menu item.
· Confirm dropping in the dialog window.

Register Database

To register a single database in SQL Manager 2005 for MySQL

· Select the Database | Register Database menu item.
· Set connection, authorization and other options in the Register Database Wizard.

To register multiple databases on one host

· Select the Database | Register Host menu item.
· Set connection and authorization options, and select the databases to register in the Register Host Wizard.

Unregister Database

To unregister a single database

· Select the database to unregister in the DB Explorer tree.
· Select the Database | Unregister Database menu item.
· Confirm unregistering in the dialog window.

To unregister all databases on the host

· Select the host to unregister or a database on this host in the DB Explorer tree.
· Select the Database | Unregister Host menu item.
· Confirm unregistering in the dialog window.

Connect to Database

To connect to a database

· Select the database to connect to in the DB Explorer tree.

· Double click its alias.
or
· Select the Database | Connect to Database menu item.

Disconnect from Database

To disconnect from a database

· Select the database to disconnect from or any of its objects in the DB Explorer.
· Select the Database | Disconnect menu item.


Create Database Wizard

The Create Database Wizard guides you through the process of creating a new database. To open the wizard select the Database | Create Database... menu item or click the Create Database button on the toolbar.

· Setting the name for a new database
· Setting database connection properties
· Viewing the result SQL statement
· Using templates

See also:
Register Database Wizard

hs1360_setting database name

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Setting database name

Set the name for a new database. Check the Register after creating option to register created database in the DB Explorer. (Note: you must register the database to start working with it in SQL Manager 2005 for MySQL)

Click the Next button to set connection properties for a new database.

hs1360_setting database name


Setting connection properties

Set the connection properties in the corresponding boxes: host name, port number, user name, and password.

Check the Use tunneling | SSH tunneling option to establish connection to intermediate SSH server and forward all MySQL commands through the secure tunnel. On the Next page set the tunneling options in the corresponding boxes: SSH host name, SSH port, SSH user name, and SSH password.
See SSH connection properties for details.

Check the Use tunneling | HTTP tunneling option to access MySQL Server through HTTP protocol in case of Internet access through HTTP proxy only or if the server doesn't allow direct connections to MySQL, but allows establishing HTTP connections. On the Next page provide the URL of the tunneling script.
See HTTP connection properties for details.

hs1370_setting connection properties


Viewing result SQL statement

View the result SQL statement for a new database creation.

When you are done click the Finish button to create the database according to the settings you've set.

hs1380_viewing result sql statement

If Register after creating option was checked, Database registration info dialog will appear.


Register Database Wizard

The Register Database Wizard allows you to register a single database. To open the wizard select the Database | Register Database... menu item, or press Shift+Alt+R. You can also use the Register Database button on the main toolbar.

· Setting connection properties
· Setting registration options
· Using templates

See also:
Create Database Wizard
Register Host Wizard

hs1450_setting connection properties

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Setting connection properties

Set the connection properties in the corresponding boxes: host name, port number, user name, and password.

Check the Use tunneling | SSH tunneling option to establish connection to intermediate SSH server and forward all MySQL commands through the secure tunnel. On the Next page set the following properties in the respective boxes: SSH host name, SSH port, SSH user name, and SSH password.
See SSH connection properties for details.

Check the Use tunneling | HTTP tunneling option to access MySQL Server through HTTP protocol in case of Internet access through HTTP proxy only, or if the server doesn't allow direct connections to MySQL, but allows establishing HTTP connections. On the Next page provide the URL of the tunneling script.
See HTTP connection properties for details.

hs1450_setting connection properties


Setting registration options

Enter the database name and set the database alias and other options including charset options. At the Logs tab specify log file names for metadata changes logging and SQL query logging, if necessary.

Click the Finish button when done to start working with the selected databases in SQL Manager 2005 for MySQL.

hs1470_setting registration options


Register Host Wizard

The Register Host Wizard allows you to register several databases from one host. To open the wizard select the Database | Register Host... menu item, or press Shift+Ctrl+R. You can also use the Register Host button on the main toolbar.

· Setting connection properties
· Selecting databases
· Setting registration options
· Using templates

See also:
Register Database Wizard

hs1420_setting connection properties

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Setting connection properties

Set the connection properties in the respective boxes: host name, port number, user name, and password.

Check the Use tunneling | SSH tunneling option to establish connection to intermediate SSH server and forward all MySQL commands through the secure tunnel. On the Next page set the following properties in the respective boxes: SSH host name, SSH port, SSH user name, and SSH password.
See SSH connection properties for details.

Check the Use tunneling | HTTP tunneling option to access MySQL Server through HTTP protocol in case of Internet access through HTTP proxy only or if the server doesn't allow direct connections to MySQL, but allows establishing HTTP connections. On the Next page provide the URL of the tunneling script.
See HTTP connection properties for details.

hs1420_setting connection properties


Selecting databases

Select databases to register by moving them from the Available databases list to the Selected databases one.


Setting registration options

Set the database aliases and other options including charset options. At the Logs tab specify log file names for metadata changes logging and SQL query logging, if necessary.

You can select several databases to set options for all the selected databases at once (except the alias, which should be unique for each individual database).

Click Finish button when done to start working with the selected databases in SQL Manager 2005 for MySQL.

hs1440_setting registration options


Edit Database Registration Info

Use the Edit Database Registration Info Dialog to edit the properties of registered database, set on its creation. To open the dialog, select the database in the explorer tree, then select the Database | Database Registration Info... menu item. You can also use the respective button of the main toolbar.

· Editing connection prperties
· Setting database options
· Setting default directories
· Setting log options
· Setting SSH tunnel options
· Setting HTTP tunnel options

See also:
Create Database Wizard

hs1490_editing connection properties


Editing connection properties

Edit the connection properties in the corresponding boxes: host name, port number, user name, and password. You can edit database alias - an optional name to display the database in the explorer tree and all the program tools. Also you can set charset options the database.

hs1490_editing connection properties


Setting database options

Customize database options according to your needs. The detailed description is given below.

hs1500_setting database options

chbox Login prompt before connection
Enables SQL Manager 2005 for MySQL to prompt for user name and password each time you connect to the database.

chbox Use compression protocol
Enables using the compressed data protocol when connecting to the database server.

chbox Keep connection alive
Enables pinging server before each query execution.

chbox Interactive mode
Enables using the interactive_timeout variable value from my.cnf file instead of wait_timeout for connection timeout.

chbox Quote identifiers
Enables quoting all the identifiers by the backquote symbol ('`').
To make SQL scripts obtained using the Extract Database Wizard compatible with older versions of MySQL uncheck this option. Note: This option works only with servers that support quoting aliases.

chbox Connect automatically at startup
With this option on SQL Manager 2005 for MySQL automatically establishes connection with the registered database at application startup.

chbox Use SSL protocol
Enables interchanging data with remote MySQL server via encrypted channel, not allowing intruders to intercept your data.
Note: This option works only with servers that support SSL connections


Setting display options

This tab allows you to select the objects to be displayed in DB explorer tree. Just uncheck the corresponding items you don't need.

setting display options


Setting default directories

Set the default directories for database extract, data export, data import, and misc. (e.g. these paths will be used by default when saving HTML reports).

hs1510_setting default directories


Setting log options

Specify log file names for metadata changes logging and SQL query logging, if necessary.

chbox Metadata Changes
You can enable logging all the metadata changes to the SQL log file. Check the Enable Logging Metadata Changes option and set the name of the log file. All metadata changes within the current database will be logged to the specified file.

chbox SQL Editor
Check this option and set the name of the log file to enable logging SQL queries and error messages to the SQL log file. All the queries prepared or executed in SQL Editor and Visual Query Builder will be logged to the specified file.

hs1520_setting log options


Setting SSH tunnel options

Check the Connect through the Secure Shell (SSH) tunnel option to establish connection to intermediate SSH server before connecting to a database and forward all MySQL commands through the secure tunnel. Set the SSH connection properties in the corresponding boxes: SSH host name, SSH port, SSH user name, and SSH password.

Note: MySQL host name at the Connection page should be set relatively to the SSH server in this case. For example, if both of MySQL and SSH servers are located on the same computer, you should specify localhost as Host name instead of server's external host name or IP address.

hs1530_setting ssh tunnel options


Setting HTTP tunnel options

Check the Connect through the HTTP tunnel option to access MySQL Server through HTTP protocol in case of Internet access through HTTP proxy only or if the server doesn't allow direct connections to MySQL, but allows establishing HTTP connections. Enter URL of the tunneling script.

Note: In case of using this connection method, the response will be slow compared to the direct connection or SSH Tunneling method as the data is XML encoded and HTTP is stateless by nature. However, you can use all the great features of SQL Manager 2005 for MySQL with it.

hs1540_setting http tunnel options


Database Object Management

SQL Manager 2005 for MySQL provides powerful tools to manage database objects.

Note: before working with database objects in SQL Manager 2005 for MySQL you should connect to the database first (see Database Management).

Create New Database Object

To create a database object:

Select the Database | New Object menu item.
Select the type of an object to create in the New Object Dialog.
Follow the steps of the wizard or edit object properties in the dialog depending on the selected object type.

Note that you can also create a specific database object (e.g. new table or new procedure) by selecting the appropriate item of the explorer tree context menu or by pressing the <Ctrl + N> hotkey.

Drop Database Object

To drop a database object:

Select a database object to drop in the explorer tree.
Right-click the object to drop to bring the popup menu.
Select the Drop <object type> <object name> menu item.
Confirm dropping in the dialog window.

Edit Database Object

To edit a database object:

Select a database object in the explorer tree.
Right-click the object to drop to bring the popup menu.
Select the Edit <object type> <object name> menu item.


New Object

The New Object Dialog allows you to select an object type for creating and run the appropriate wizard or dialog. To open the dialog select the Database | New Object... menu item.

Select a database, where the new object should be created, from the Database dropdown list. Pick an object type icon and click the OK button to invoke the corresponding wizard or dialog.

See also:
Duplicate Object Wizard

Availability:
Windows Professional | Yes
Windows Lite | Yes


Duplicate Object

To duplicate a database object you can either select it in the explorer tree and use the Duplicate <object type> <object name>... item from the object popup menu, or use the Database | Duplicate Object... menu item to invoke the Duplicate Object Wizard.


Duplicate Object Wizard

Use the Duplicate Object Wizard to create a new database object with the same properties as one of the existing ones. To open the wizard select the Database | Duplicate Object... menu item.

· Selecting source database
· Selecting object to duplicate
· Selecting destination database
· Modifying new object's definition
· Using templates

See also:
New Object

hs1560_selecting source database

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Selecting source database

Select the database containing a source object.

hs1560_selecting source database


Selecting object to duplicate

Select a database object to copy its properties to the new object.

hs1580_selecting object to duplicate


Selecting destination database

Select the database to create a new object, set the name of the new database object.

hs1585_selecting destination database


Modifying new object's definition

Browse the result SQL statement. You can edit it if necessary. Click Finish button when done.

Close the Wizard after duplicating
Check this option if you don't intend to duplicate more objects.

Open object when finished
This control defines whether the object duplicated should be opened with tehe corresponding editor then.

hs1590_modifying new object's definition


Tables

Relational databases store all their data in tables. A table is a data structure consisting of an unordered set of horizontal rows, each containing the same number of vertical columns. The intersection of an individual row and column is a field that contains a specific piece of information. Much of the power of relational databases comes from defining the relations among the tables.

Create table

To create a new table:

· Select the Database | New Object menu item.
· Select Table in the New Object window.
· Edit table properties and fields on the appropriate tabs of the Table Editor.

Hint: To create new table you can also right-click the Tables node of the explorer tree and select the New Table... item from the popup menu.

To create a new table with the same properties as one of the existing tables has:

· Select the Database | Duplicate Object menu item.
· Follow the instructions of the Duplicate Object Wizard.

The Duplicate Object Wizard allows you to select the database to create the new table in and to edit the result SQL statement for creating the table.

Edit table

To edit the existing table (manage its fields, indices, data, etc):

· Select the table for editing in the explorer tree (type the first letters of the table name for quick search).
· Right-click and select the Edit Table <Table_Name> item in the popup menu or simply double-click the table.
· Edit table subobjects and data on the appropriate tabs of the Table Editor.

To view or edit table properties set on creation (table type, min and max row number, etc):

· Select the table for editing in the explorer tree.
· Right-click and select the Table Properties... item from the popup menu.
· Edit table properties in the Table Properties dialog.

To change the name of the table:

· Select the table for editing in the explorer tree.
· Right-click and select the Rename Table <Table_Name> item from the popup menu.
· Edit table name in the dialog window.

Drop table

To drop a table:

· Select the table for editing in the explorer tree.
· Right-click and select the Drop Table <Table_Name> item from the popup menu.
· Confirm dropping in the dialog window.


Table Properties

Use the Table Properties dialog to edit table properties set on its creation: table type, row format, and so on. To open this dialog, right-click the table in the explorer tree and select the Table Properties popup menu item.

· Setting table type and row format
· Setting table options
· Setting union tables

See also:
Table Type Reference
Table Editor

hs1600_setting table type and row format

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Setting table type and row format

Use the Table Type dropdown list to define the type of the table. See Table types reference for details.

Row Format defines how the rows should be stored in the new table.

hs1600_setting table type and row format


Setting table options

The Table options group allows you to edit the table properties described below.

hs1610_setting table options

Min Rows
Minimum number of rows you plan to store in the table.

Max Rows
Max number of rows you plan to store in the table.

chbox Check Sum (MyISAM tables only)
Maintains a checksum for all rows (makes table a little slower to update but makes it easier to find the corrupted tables).

chbox Delay Key Write (MyISAM tables only)
Delays key table updates until the table is closed.

chbox Pack Keys (MyISAM, ISAM tables only)
Makes table indexes smaller. This usually makes updates slower and reads faster.

chbox Temporary
Creates a temporary table.

The Comment box allows you to set optional text, describing the edited table.


Setting union tables

If the selected table type is MRG_MyISAM, you can use the Union Tables edit box to create a collection of identical MyISAM tables and use it as one table. Click the button at the right of the edit box to edit the list of union tables in the Union Tables window.

hs1620_setting union tables


Setting union table list

The Union Tables Dialog allows you to edit the list of MyISAM tables merged in one MRG_MyISAM table.
This dialog can be opened from the last step of the Table Editor or from the Table Properties Dialog.

hs1630_setting union table list

The Union Tables list box displays the list of MyISAM tables for merging.

To add a table to union tables:

· Select the table to add from the Union Table dropdown list.
· Click the Add button to add the table to the end of the list.

To remove a table from union tables:

· Select the table to remove in the Union Tables list box.
· Click the Remove button to remove the table from the list.

To replace a union table with another one:

· Select the table to remove in the Union Tables list box.
· Select the table to add from the Union Table dropdown list.
· Click the Replace button to replace the selected table in the list with the new one.

To change the order of the union tables:

· Select the table to move in the Union Tables list box.
· Click the Up button to move the table up in the list or click the Down button to move the table down in the list.


Table types reference

MyISAM
The new binary portable table handler that is replacing ISAM.

InnoDB
Transaction-safe tables with row locking and foreign key support (since MySQL version 3.23.44 only)

Berkeley_db
Transaction-safe tables with page locking.

ISAM
The original table handler.

HEAP
The data for this table is only stored in memory.

MRG_MyISAM
A collection of MyISAM tables used as one table.

GEMINI
Table type, developed by NuSphere Company. It is not supported in the latest versions of MySQL.


New Table

New Table window allows you to create new table, set table properties, specify table fields and edit DDL definition.

New Table window can be open automatically after the table is created. (see Create Table for details).

· Using navigation bar
· Setting table properties
· Specifying table fields
· Editing DDL definition

See also:


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database for creating table.

General bar:
· Compile the current rule definition
· Bring the window to its default size.

setting table properties


Setting table properties

The Table tab is provided for setting table properties: table type, row format, and so on.

· Setting table type and row format
· Setting table options
· Setting union tables

setting table properties


Specifying fields

The Fields tab is intended for specifying table fields. Double-click a field to open the Field Editor for editing the field. A right-click displays the popup menu, allowing you to create new, edit or drop the selected field. Using this menu you can also change the field order or create a copy of the field.

See Fields for details.


Editing DDL definition

The DDL tab allows you to edit SQL statement for creating the table.

editing ddl definition


Table Editor

Table Editor is the basic SQL Manager 2005 for MySQL tool for working with tables. It allows you to create, edit and drop table's fields, indexes, and foreign keys, manage table data, and much more. Table Editor can be open automatically after the table is created and is available on editing the table (see Create Table and Edit Table for details).

To open a table in the Table Editor, just double-click it in the Explorer Tree.

· Using navigation bar
· Managing table fields
· Changing fields order
· Managing table indexes
· Managing table foreign keys
· Viewing table data
· Viewing DDL definition

See also:
Field Editor
Index Editor
Foreign Key Editor

hs1650_using navigation bar

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a table for editing within the current window.

General bar:
· Refresh the content of the active Table Editor tab.
· Print metadata of the current table
· Open the MySQL help file.
· Bring the window to its default size.

Tools bar:
· Truncate table

The next bar displays various actions according to the current page of Table Editor.

The Explorer bar displays table subobjects in a form of a tree. You can edit a table subobject by double-clicking it.

hs1650_using navigation bar


Managing fields

The Fields tab is intended for managing table fields. Double-click a field to open the Field Editor for editing the field. A right-click displays the popup menu, allowing you to create new, edit or drop the selected field. Using this menu you can also change the field order or create a copy of the field.

See Fields for details.


Changing fields order

You can change the fields order in the Reorder Fields dialog. To do so, use the corresponding buttons or drag-and-drop the fields in the list. Click the OK button to apply changes.

hs1680_changing fields order


Managing indexes

The Indexes tab is provided for managing table indexes. Double-click an index to open the Index Editor for editing the index. A right-click displays the popup menu, allowing you to create new, edit, or drop the selected index.

See Indexes for details.


Managing foreign keys

The Foreign Keys tab is provided for managing table foreign keys. Right-clicking in the tab area allows you to add new, edit, or drop the selected foreign key. Note that foreign keys are available for InnoDB tables only and are supported since MySQL Server version 3.23.44 (version 3.23.50 or higher recommended). Editing and dropping foreign keys is available since MySQL version 4.0.13.

See Foreign Keys for details.

hs1700_managing foreign keys


Viewing table data

The Data tab displays the table data as a grid (see Data View for details). The popup menu of this tab and the Data Management navigation bar allow you to Export Data, Import Data, Export As SQL Script, Load Data. In tables with BLOB fields you can also call the BLOB Editor to view and edit the BLOB fields.

hs2840_viewing table data


Viewing DDL definition

The DDL tab displays the SQL statement for creating the table with all its fields and indexes. This text is read-only. If you want to change the table definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard to paste it in the SQL Editor or SQL Script Editor.

hs1740_viewing ddl definition


Fields

Table fields are managed on the Fields tab of the Table Editor.

Add Field

To add a field to the table:

· Open the table in the Table Editor.
· Open the Fields tab.
· Right-click and select the New Field item from the popup menu
· Edit field properties within the Fields Editor Dialog

Hint: to insert a new field after a field selected in the Fields list, right-click at this field and select the Insert Field... item from the popup menu.

Edit Field

To edit the table field:

· Open the table in the Table Editor.
· Open the Fields tab.
· Right-click the field and select the Edit Field item from the popup menu or simply double-click the field to edit
· Edit field properties within the Fields Editor Dialog

To change the order of the table fields:

Open the table in the Table Editor.
Open the Fields tab.
Right-click and select the Reorder Fields... item from the popup menu.
Edit field order within Re-order Columns window for changing the field order.

Drop Field

To drop the table field:

· Open the table in the Table Editor.
· Open the Fields tab.
· Right-click on the field to drop and select the Drop Field item from the popup menu.
· Confirm dropping in the dialog window


Field Editor

The Field Editor Dialog allows you to edit the properties of the table fields.

· Setting field name and type
· Setting field size and precision
· Setting field flags
· Setting other field properties
· Setting field charset options

See also:
Table Editor

hs1750_setting field name and type

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Setting field name and type

Use the Field name edit box to set the field name. Note that the name of the field must be unique among all the field names in the table.

The Field type dropdown list defines the type of the field data.

hs1750_setting field name and type


Setting field size and precision

Use the Size edit box to define the length of the field value for integer, float and char data types and use Precision to define the precision of the field value for float data types.

Check the Use dimension option to set the dimension properties for field types with unnecessary dimension properties (e.g. integer, float, or timestamp types).

hs1760_setting field size and precision


Setting field flags

Use the Field flags group to set the field properties, described below.

hs1770_setting field flags

chbox Not Null
Forbids the NULL values for the field.

chbox Unsigned
Assigns the UNSIGNED attribute to the field.

chbox Zerofill
Assigns the ZEROFILL attribute to the field.

chbox Binary
Assigns the BINARY attribute to the field.

chbox Unique
Includes the field into the unique key (index).

chbox Autoincrement
Assigns the AUTO_INCREMENT attribute to the field;

chbox Primary Key
With this option checked this field becomes the only field within a primary key. If you check this field, you will not be able to set this attribute for any other field in the table. So if you want to create a compound primary key, do not check this field, but create a primary key using the Indexes tab of the Table Editor.


Setting others field properties

The Values box allows you to create a set of permissible values for the ENUM and SET data types. Click the button at the right to edit the list of field values in the Values List window.

To set the default value for the field use the Default value tab.

The Insert Mode group defines the position of the field among other table fields.
This is available only on adding a field from the Table Editor.

hs1780_setting others field properties


Editing ENUM and SET fields

The Values List Dialog allows you to create and edit the list of permissible values for ENUM and SET fields. This window can be invoked from Field Editor on creating or editing the field with ENUM or SET data type.

hs1790_editing enum and set fields

To add a value to the value list:

· Type the value to add in the Value box.
· Click Add to add the value to the end of the list.

To remove a value from the value list:

· Select the value to remove in the Values list box.
· Click Remove to remove the value from the list.

To replace a value with another one:

· Select the value to remove in the Values list box.
· Type the value to add in the Value box.
· Click Replace to replace the selected value in the list with the new one.

To change the order of the values:

· Select the value to move in the Values list box.
· Click Up to move the value up in the list or click Down to move the value down in the list.


Setting field charset options

Use the Field charset group to set the column character set and collation.

Every "character" column (that is, a column of type CHAR, VARCHAR, or TEXT) has a column character set and a column collation, which may not be null.

MySQL chooses the column character set and collation in the following way:

· If both Character Set X and Collation Y were specified, then character set X and collation Y are applied.
· If Character Set X was specified without Collation, then character set X and its default collation are selected.
· Otherwise, the table character set and collation are used.

field editor - charset


Indices

Table indices are managed on the Indices tab of the Table Editor.

Create Index

To add an index to the table:

· Open the table in the Table Editor.
· Open the Indices tab.
· Right-click and select the New Index item from the popup menu.
· Edit the index properties within the Index Editor dialog.

Edit Index

To edit the table index:

· Open the table in the Table Editor.
· Open the Indices tab.
· Right-click the index and select the Edit Index <Index_Name> or simply double-click the index to edit.
· Edit the index properties within the Index Editor dialog.

Drop Index

To drop the table index:

· Open the table in the Table Editor.
· Open the Indices tab.
· Right-click on the index to drop and select the Drop Index item from the popup menu.
· Confirm dropping in the dialog window.


Index Editor

The Index Editor Dialog allows you to edit the index fields and other index properties.

Also you can access the Index Editor Dialog from the New Object dialog. In this case you will be able to create indexes for different tables at once.

· Adding new index
· Removing added index
· Editing index

See also:
Table Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Adding new index

Select a table for the index (disabled if called from the Table Editor). Then select a field from the Table Name table to include in the index, set its key length (for CHAR, VARCHAR, BLOB, and TEXT fields), set the index name (or leave it empty to assign the default name to the index), and click the Add button.

hs1800_adding new index

This adds a new index to the bottom list. Note that you can create as much indexes as required during one session of the Index Editor.

chbox Primary
Makes index a primary key.

chbox Fulltext
Makes index fulltext.

chbox Unique
Makes index unique.


Removing added index

To remove an index you have just added from the list of indexes to be created, select it in the bottom list and click the Remove button or click the Remove All button to clear the index list.

hs1810_removing added index


Editing index

If you edit an index (as shown in the picture), you can update fields, included in the index as well as index properties.

To update an index, select it in the bottom list, then select the required field in the field list above, or check the appropriate options for updating the index properties.

Then click the Update button. Click the OK button when done.


Triggers

The triggers are managed on the Triggers tab of the Table Editor.

Create Trigger

To add a trigger to the table:

· Open the table in the Table Editor.
· Open the Triggers tab.
· Right-click and select the New Trigger item from the popup menu.
· Edit the trigger properties within the Trigger Editor.

Edit Trigger

To edit the trigger:

· Open the table in the Table Editor.
· Open the Triggers tab.
· Right-click the trigger and select the Edit Trigger <Trigger_Name> or simply double-click the trigger to edit.
· Edit the trigger properties within the Trigger Editor.

Drop Trigger

To drop the trigger:

· Open the table in the Table Editor.
· Open the Triggers tab.
· Right-click on the trigger to drop and select the Drop Trigger item from the popup menu.
· Confirm dropping in the dialog window.


Trigger Editor

The Trigger Editor allows you to define the trigger. It opens when you create a new trigger or edit the existing one (see Create Trigger and Edit Trigger for details).

· Using navigation bar
· Editing trigger definition
· Viewing DDL definition

See also:
Table Editor
View Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a trigger for editing within the current window.

General bar:
· Refresh the content of the active Trigger Editor tab.
· Compile the current trigger definition
· Debug current trigger
· Print metadata of the current trigger
· Open the MySQL help file.
· Bring the window to its default size

The next bar displays various actions according to the current page of Trigger Editor.


Editing trigger definition

The main trigger parameters are set on the Trigger tab.

Name
Name of the trigger; it must be unique to the database.

Type
Conditions of the trigger firing, i.e. table operation for firing (Insert, Update or Delete) and the firing time (Before or After the operation is performed).

Table
Table or view name, the trigger is created for.

See also:
Trigger Editor


Viewing DDL definition

The DDL tab displays the SQL statement for creating the trigger. This text is read-only. If you want to change the trigger definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

See also:
Trigger Editor


Foreign Keys

Foreign keys are available for InnoDB tables only and are supported since MySQL version 3.23.44 (3.23.50 or higher recommended). Editing and dropping foreign keys is available since MySQL version 4.0.13. To view or change the table type use the Table Properties dialog.

Table foreign keys are managed on the Foreign Keys tab of the Table Editor.

Add Foreign Key

To add a foreign key to the table:

· Open the InnoDB table in the Table Editor.
· Open the Foreign Keys tab.
· Right-click and select the Add Foreign Key... item from the popup menu.
· Edit foreign key properties within the Foreign Key Editor dialog.

Hint: To create keys for different tables quickly, open the Foreign Key Editor Dialog using the Create Database Object dialog.

Edit Foreign Key

To edit foreign key:

· Open the table in the Table Editor.
· Open the Foreign Keys tab.
· Right-click the foreign key and select the Edit Foreign Key item from the popup menu or simply double-click the key to edit.
· Edit foreign key properties within the Foreign Key Editor Dialog.

Drop Foreign Key

To drop the foreign key:

· Open the table in the Table Editor.
· Open the Foreign Keys tab.
· Right-click the key to drop and select the Drop Foreign Key item from the popup menu.
· Confirm dropping in the dialog window.


Foreign Key Editor

The Foreign Key Editor allows you to select fields for the foreign key, when you add or edit a foreign key to the InnoDB table with the Table Editor.

Also you can access the Foreign Key Editor from the New Object dialog. In this case you will be able to create keys for different tables at once.

· Adding new foreign key
· Removing added foreign key
· Editing foreign key

Note that foreign keys are available for InnoDB tables only and are supported since MySQL Server version 3.23.44 (version 3.23.50 or higher recommended).

See also:
Table Editor
Index Editor

hs920_foreign key editor

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Adding new foreign key

Select a source table for the key (disabled if called from the Table Editor) and then select a table field to include in the key from the Key Table group and select a foreign table and a table foreign field from the Foreign Table group, then click the Add button to link these fields. This adds the foreign key constraint for the selected fields to the bottom list. Note that you can create as much keys as required during one session of the Foreign Key Editor.

All fields included in the foreign key must be included into indexes. See Indexes for details.

hs1830_adding new foreign key

ON DELETE Rule

NO ACTION
Does not change the foreign key; may cause the primary key update to fail due to referential integrity checks.

RESTRICT
Produces an error indicating that the deletion would create a foreign key constraint violation.

CASCADE
Deletes the corresponding foreign key.

SET NULL
Sets all the columns of the corresponding foreign key to NULL

ON UPDATE Rule

NO ACTION
Does not change the foreign key; may cause the primary key update to fail due to referential integrity checks.

RESTRICT
Produces an error indicating that the update would create a foreign key constraint violation.

CASCADE
Updates the corresponding foreign key to the new value of the primary key.

SET NULL
Sets all the columns of the corresponding foreign key to NULL.


Removing added foreign key

To remove a constraint you have just added from the list of constraints to be created, select it in the bottom list and click the Remove button or click the Remove All button to clear the key list.

hs1840_removing added foreign key


Editing foreign key

If you edit a foreign key (as shown in the picture), you can update fields, included into the key as well as key properties. To update a key, select it in the bottom list, then select the required field in the field list above, or select the appropriate dropdown values for updating the constraint rules. Then click the Update button. Click the OK button when done.

hs1850_editing foreign key


Views

Views are being implemented in the 5.01 version of MySQL Server. Views are useful for allowing users to access a set of relations (tables) as if it were a single table, and limiting their access to just that. Views can also be used to restrict access to rows (a subset of a particular table).

Create view

To create a new view:

· Select the Database | New Object... menu item.
· Select View in the New Object dialog.
· Edit view definition within the View Editor.

Hint: To create new view you can also right-click the Views node of the explorer tree and select the New View... item from the popup menu.

To create a new view with the same properties as one of the existing views has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit view

To edit the existing view (manage its fields, indexes, data, etc):

· Select the view for editing in the explorer tree (type the first letters of the view name for quick search).
· Right-click and select the Edit View <View_Name> item from the popup menu or simply double-click the view.
· Edit view definition and data on the appropriate tabs of the View Editor.

To change the name of the view:

· Select the view to rename in the explorer tree.
· Right-click and select the Rename View <View_Name> item from the popup menu.
· Edit view name in the dialog window.

Drop view

To drop a view:

· Select the view to drop in the explorer tree.
· Right-click and select the Drop View <View_Name> item from the popup menu.
· Confirm dropping in the dialog window.


View Editor

The View Editor allows you to create new view and edit the existing view definition (view name and the SELECT statement it implements). It opens when you create a new view or edit the existing one (see Create View and Edit View for details).

To open a view in the View Editor, double-click it in the Explorer Tree.

· Using navigation bar
· Editing SQL definition
· Viewing fields
· Viewing data
· Viewing DDL definition

hs1920_using navigation bar


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
Select a database and a view for editing within the current window.

General bar:
· Refresh the content of the active View Editor tab.
· Compile the current view
· Print metadata of the current view
· Open the MySQL help file.
· Bring the window to its default size.

The next bar displays various actions according to the current page of View Editor.

hs1920_using navigation bar


Editing SQL definition

The View Editor represents the view definition as SQL statement, so it is enough to simply edit the whole definition in the editor area to make changes, and click the Compile view item on the navigation bar to apply it to the view on the server.

hs1950_editing sql definition


Viewing fields

The Fields tab is provided for viewing fields represented in the view.


Viewing data

The Data tab displays the view data as a grid (see Data View for details). The popup menu of this tab and the Data Management navigation bar allow you to Export Data, Import Data, Export As SQL Script, Load Data. In tables with BLOB fields you can also call the BLOB Editor to view and edit the BLOB fields.


Viewing DDL definition

The DDL tab displays the SQL statement for creating the view. This text is read-only. If you want to change the table definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard to paste it in the SQL Editor or SQL Script Editor.

hs3900_viewing ddl definition


Stored Procedures

Stored procedures are a new feature in MySQL version 5.0. A stored procedure is a set of SQL commands that can be stored in the server. Once this is done, clients don't need to keep re-issuing the individual commands but can refer to the stored procedure instead.

Creating Stored Procedure

To create a new stored procedure:

· Select the Database | New Object... menu item.
· Select Procedure in the New Object dialog.
· Edit procedure within the Stored Procedure Editor.

Hint: To create new stored procedure you can also right-click the Procedures node of the explorer tree and select the New Procedure... item from the popup menu.

To create a new stored procedure with the same properties as one of the existing procedures has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Editing Stored Procedure

To edit the existing stored procedure:

· Select the stored procedure for editing in the explorer tree (type the first letters of the procedure name for quick search)
· Right-click and select the Edit Procedure item from the popup menu or simply double-click the procedure.
· Edit stored procedure definition in the editor area of the Stored Procedure Editor.

To change the name of a stored procedure:

· Select the procedure to rename in the explorer tree.
· Right-click and select the Rename Procedure item from the popup menu.
· Edit procedure name in the dialog window.

Executing Stored Procedure

To execute a stored procedure:

· Select the stored procedure in the explorer tree (type the first letters of the procedure name for quick search).
· Right-click and select Edit Procedure item from the popup menu or simply double-click the procedure.
· Execute stored procedure by clicking on the Execute procedure item in the Stored Procedure Editor.

Dropping Stored Procedure

To drop a stored procedure:

· Select the stored procedure to drop in the explorer tree.
· Right-click and select the Drop Procedure item from the popup menu.
· Confirm dropping in the dialog window.


Stored Procedure Editor

The Stored Procedure Editor allows you to create new stored procedure, execute the existing stored procedure or edit its definition (procedure name, parameter list, procedure body, etc.). It opens when you create a new procedure or edit the existing one (see Create Procedure and Edit Procedure for details).

· Using navigation bar
· Editing procedure definition
· Editing procedure description
· Executing stored procedure
· Specifying input parameters
· Viewing DDL definition

hs1930_using navigation bar


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
Select a database and a procedure for editing within the current window.

General bar:
· Refresh the content of the active Procedure Editor tab.
· Compile the current procedure
· Execute the current procedure
· Print metadata of the current procedure
· Open the MySQL help file.
· Bring the window to its default size.

The next bar displays various actions according to the current page of Procedure Editor.

hs1930_using navigation bar


Editing procedure definition

The Stored Procedure Editor represents the procedure definition as SQL statement, so it is enough to simply edit parameter list or procedure body in the editor area to make changes, and click the Compile procedure item on the navigation bar to apply it to the procedure on the server.

hs2000_editing procedure definition


Editing procedure description

The Description tab allows you to edit additonal information about stored procedure.

hs4000_editing procedure description


Executing procedure

The Stored Procedure Editor provides an ability to execute current stored procedure. Click the Execute procedure item of the navigation bar to execute the procedure. If the procedure has parameters marked as IN or INOUT, SQL Manager 2005 for MySQL allows you to specify the values for these parameters in the Input Parameters dialog, which appears just before the procedure execution. The result of the successfully executed procedure, as well as the error message in case of execution failure, appears in the message panel at the bottom of the Stored Procedure Editor.

Note: If any unsaved changes are applied to the stored procedure currently edited, the execution of the procedure is impossible until changes are saved by the Compile procedure item of the navigation bar.


Specifying input parameters

If the stored procedure has parameters marked as IN or INOUT, the Input Parameter dialog appears before the procedure execution. It allows you to specify the values for all input parameters. After changes are done, click the OK button to execute the stored procedure, or the Cancel button to abort the execution.


Viewing DDL definition

The DDL tab displays the SQL statement for creating the procedure. This text is read-only. If you want to change the table definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard to paste it in the SQL Editor or SQL Script Editor.

hs3910_viewing ddl definition


Stored Functions

Stored functions are a new feature in MySQL version 5.0. A stored function is a set of SQL commands that returns the result and can be stored in the server. Once this is done, clients don't need to keep re-issuing the individual commands but can refer to the stored function instead.

Creating Stored Function

To create a new stored function:

· Select the Database | New Object... menu item.
· Select Function in the New Object dialog.
· Edit function within the Stored Function Editor.

Hint: To create new stored function you can also right-click the Functions node of the explorer tree and select New Function... item from the popup menu.

To create a new stored function with the same properties as one of the existing functions has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Editing Stored Function

To edit an existing stored function:

· Select the stored function for editing in the explorer tree (type the first letters of the function name for quick search)
· Right-click and select the Edit Function item from the popup menu or simply double-click the function.
· Edit stored function definition in the editor area of the Stored Function Editor.

To change the name of a stored function:

· Select the function to rename in the explorer tree.
· Right-click and select the Rename Function item from the popup menu.
· Edit function name in the dialog window.

Executing Stored Function

To execute a stored function:

· Select the stored function in the explorer tree (type the first letters of the function name for quick search).
· Right-click and select Edit Function item from the popup menu or simply double-click the function.
· Execute stored function by clicking on the Execute function item in the Stored Function Editor.

Dropping Stored Function

To drop a stored function:

· Select the stored function to drop in the explorer tree.
· Right-click and select the Drop Function item from the popup menu.
· Confirm dropping in the dialog window.


Stored Function Editor

The Stored Function Editor allows you to create new stored function, execute the existing stored function or edit its definition (function name, parameter list, function body, etc.). It opens when you create a new function or edit the existing one (see Create Function and Edit Function for details).

· Using navigation bar
· Editing function definition
· Editing function description
· Executing stored function
· Specifying input parameters
· Viewing DDL definition

hs1940_using navigation bar


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
Select a database and a function for editing within the current window.

General bar:
· Refresh the content of the active Function Editor tab.
· Compile the current function
· Execute the current function
· Print metadata of the current function
· Open the MySQL help file.
· Bring the window to its default size.

The next bar displays various actions according to the current page of Function Editor.

hs1940_using navigation bar


Editing function definition

The Stored Function Editor represents the function definition as SQL statement, so it is enough to simply edit parameter list or procedure body in the editor area to make changes, and click the Compile function item on the navigation bar to apply it to the function on the server.

hs1940_using navigation bar


Editing function description

The Description tab allows you to edit additonal information about stored function.


Executing function

Stored Function Editor provides an ability to execute current stored function. Click the Execute function item of the navigation bar to execute the function. If the function has parameters, SQL Manager 2005 for MySQL allows you to specify the values for these parameters in the Input Parameters dialog, which appears just before the function execution. The result of the successfully executed function, as well as the error message in case of execution failure, appears in the message panel at the bottom of the Stored Function Editor.

Note: If any unsaved changes are applied to the stored function currently edited, the execution of the function is impossible until changes are saved by Compile function item of the navigation bar.


Specifying input parameters

If the stored function has parameters, the Input Parameter dialog appears before the function execution. It allows you to specify the values for all function parameters. After changes are done, click the OK button to execute the stored function, or the Cancel button to abort the execution.


Viewing DDL definition

The DDL tab displays the SQL statement for creating the function. This text is read-only. If you want to change the table definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard to paste it in the SQL Editor or SQL Script Editor.

hs3920_viewing ddl definition


UDFs

A user-defined function (UDF) is a way to extend MySQL with a new function that works like native (built in) MySQL functions such as ABS () and CONCAT (). UDFs must be created on the server computer.

Creating new UDF

To create a new function:

· Select the Database | New Object item.
· Select UDF in the New Object window.
· Edit UDF within the UDF Editor window.

Hint: To create new UDF you can also right-click the UDFs node of the explorer tree and select the New UDF... item from the popup menu.

Editing UDF

To edit an existing user-defined function:

· Select the UDF for editing in the explorer tree.
· Right-click and select the Edit UDF item from the popup menu or double-click the UDF.
· Edit the UDF parameters in the UDF Editor.

Dropping UDF

To drop a user-defined function:

· Select the UDF to drop in the explorer tree.
· Right-click and select the Drop UDF item from the popup menu.
· Confirm dropping in the dialog window.


UDF Editor

The UDF Editor allows you to manage user-defined functions. It opens when you create a new UDF or edit the existing UDF (see Create UDF and Edit UDF for details).

· Using navigation bar
· Setting UDF parameters
· Viewing DDL definition

hs2040_setting udf parameters

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
Select a database and a user-defined function for editing within the current window.

General bar:
· Compile the current UDF
· Open the MySQL help file.
· Bring the window to its default size.

hs2060_using navigation bar


Setting UDF parameters

Set the UDF parameters on the UDF tab.

Use the Name box to set the name of the function to use in the SQL statements. Define the return value type of the function in the Returns box and set the name of the file containing the function in the Library box.

Check Aggregate option to make the function an aggregate one.

hs2040_setting udf parameters


Viewing DDL definition

The DDL tab displays the SQL statement for declaring the UDF with the parameters you set. This text is read-only. If you want to change the function definition, use the UDF tab instead, or copy the text to the Windows Clipboard to paste it in the SQL Editor or SQL Script Editor.

hs2050_viewing ddl definition


Scheduled events

MySQL Events are tasks that run according to a schedule. Therefore, we sometimes refer to them as scheduled events. When you create an event, you are creating a named database object containing one or more SQL statements to be executed at one or more regular intervals, beginning and ending at a specific date and time. Conceptually, this is similar to the idea of the Unix crontab (also known as a "cron job") or the Windows Task Scheduler.

Creating new Scheduled Event

To create a new scheduled event:

· Select the Database | New Object item.
· Select Scheduled Event in the New Object window.
· Edit Scheduled Event within the Scheduled Event Editor window.

Hint: To create new Scheduled Event you can also right-click the Scheduled Events node of the explorer tree and select the New Scheduled Event... item from the popup menu.

Editing Scheduled Event

To edit an existing scheduled event:

· Select the Scheduled Event for editing in the explorer tree.
· Right-click and select the Edit Scheduled Event item from the popup menu or double-click the Scheduled Event.
· Edit the Scheduled Event parameters in the Scheduled Event Editor.

Dropping Scheduled Event

To drop a scheduled event:

· Select the Scheduled Event to drop in the explorer tree.
· Right-click and select the Drop Scheduled Event item from the popup menu.
· Confirm dropping in the dialog window.


Scheduled Event Editor

Scheduled tasks of this type are also sometimes known as "temporal triggers", implying that these are objects that are triggered by the passage of time. Events should more specifically not be confused with "temporary triggers". Whereas a trigger is a database object whose statements are executed in response to a specific type of event that occurs on a given table, a (scheduled) event is an object whose statements are executed in response to the passage of a specified time interval.

The Scheduled Event Editor allows you to manage MySQL scheduled events. It opens when you create a new Scheduled Event or edit the existing one (see Create Scheduled Event and Edit Scheduled Event for details).

· Using navigation bar
· Scheduled Event parameters
· Scheduled Event description
· Viewing DDL definition

scheduled event editor


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
Select a database and a scheduled event for editing within the current window.

General bar:
· Refresh the content of the active Scheduled Event Editor tab.
· Compile the current scheduled event
· Print metadata of the current scheduled event
· Open the MySQL help file.
· Bring the window to its default size.

The next bar displays various actions according to the current page of Scheduled Event Editor.

scheduled event - navigation bar


Scheduled Event parameters

The Scheduled Event Editor allows you to manage MySQL scheduled events. It opens when you create a new Scheduled Event or edit the existing one.

Set the name for current event and its scheduling parameters. The definition of the scheduled event is set in the lower area of Scheduled Event Editor (Definition editor).

Schedule options
An event's timing can be either one-time or recurrent. A one-time event executes one time only. A recurrent event repeats its action at a regular interval, and the schedule for a recurring event can be assigned a specific start day and time, end day and time, both, or neither.

Starts
The start date and time for a recurring event. This is displayed as a DATETIME value, and is empty if no start date and time are defined for the event. (Prior to MySQL 5.1.8, it defaulted to '0000-00-00 00:00:00' in such cases.)
For a transient event, the value of this column is always NULL.

Ends
The end date and time for a recurring event. This is displayed as a DATETIME value, and defaults to '0000-00-00 00:00:00' if no end date and time is defined for the event.
For a transient event, the value of this column is always NULL.

On completion not preserve
Normally, once an event has expired, it is immediately dropped. You can override this behavior by specifying On completion not preserve. Enabling of the On completion not preserve option merely makes the default non-persistent behavior explicit.

Note that to use scheduled events abilities you must set event_scheduler server system variable to ON.

scheduled event editor


Scheduled Event description

The Description tab allows you to edit additonal information about Scheduled Event.

scheduled event - description


Viewing DDL definition

The DDL tab displays the SQL statement for declaring the Scheduled Event with the parameters you set. This text is read-only. If you want to change the Scheduled Event definition, use the Edit tab instead, or copy the text to the Windows Clipboard to paste it in the SQL Editor or SQL Script Editor.

scheduled event viewing ddl


Queries

SQL Manager 2005 for MySQL provides two powerful tools for working with the SQL queries: SQL Editor for editing the query text directly and Visual Query Builder for building queries visually.

Creating a new Query

To create a new query in SQL Editor:

· Select Tools | New SQL Editor menu item.
· Click Add new query button on the toolbar.
· Edit the query text on the Edit tab of the SQL Editor.

To create a new query in Query Builder:

· Select Tools | New Query Builder menu item.
· Build the query on the Builder tab of Visual Query Builder.

Editing Query

To open a query in SQL Editor:

· Select Tools | Show SQL Editor menu item.
· Use the number buttons at the bottom of the area to find one of the previously edited queries. The last edited query is displayed automatically on opening the editor.
· To load a query from an *.sql file click Load from file button at the navigation bar.

To open a query in Query Builder:

· Select Tools | Show Query Builder menu item.
· The last edited query is displayed on the Builder tab.
· To load a previously saved diagram click Load Diagram item at the navigation bar.
· To load a query from an *.sql file, open the Editor tab and click Load from file button at the navigation bar.

Executing Query

To execute a query:

· Create a new query or open the existing one.
· Click Execute query button on the toolbar of SQL Editor or Visual Query Builder respectively.
· View/edit the returned data on the Results tab.

Saving Query

To save a query:

· Create a new query or open the existing one.
· Click Save to file item at the navigation bar of SQL Editor or Save query item at the Editor tab of Visual Query Builder respectively to save the current query to *.sql file.
· Click Save diagram item at the navigation bar of the Builder tab of Visual Query Builder to save the designed diagram.
· Click Save All button on SQL Editor toolbar to save all the opened queries to one file.


SQL Editor

SQL Editor is the basic SQL Manager 2005 for MySQL tool for creating and executing queries. It allows you to create and edit SQL text for a query, prepare and execute queries and view the results of execution.
To open SQL Editor select Tools | Show SQL Editor / Tools | New SQL Editor menu item or press F12 / Shift + F12.

· Using navigation bar
· Working with editor area
· Using object links
· Using popup menu
· Executing query and viewing results

See also:
Visual Query Builder
SQL Script Editor

hs2090_working with editor area

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Using navigation bar

The navigation bar at the left allows you to:

· Select the database for query.
· Execute the current query.
· Explain query. This item provides an information about query calculation.
· Add a new query (Note that current query text will NOT be lost).
· Delete the current query.
· Delete all the queries open in the editor.
· Run the Visual Query Builder for designing the query as a diagram.
· Configure SQL Editor within the Options | Editor Options dialog.
· Open MySQL help file.
· Bring the window to its default size.

The Edit bar allows you to load a query from the *.sql file and to save current or all queries to file.

hs2080_using navigation bar


Working with editor area

The Editor area is provided for working with the text of query. For your convenience code completion is enabled (you can see the example of its work at the picture above). You can activate the completion list by pressing the Ctrl+Space key combination.

hs2090_working with editor area


Using object links

Database objects are highlighted in the text. You can open the proper object editor by clicking the object name in the text, holding the Ctrl button pressed on the keyboard.

hs2100_using object links


Using popup menu

The popup menu of the edit area contains standard functions for working with the text (Cut, Copy, Paste, Find, Replace, Toggle Bookmarks, etc) and as well as functions for processing the whole query, which allow you to save/load query to/from file, and preview or print the query text.

hs2110_using popup menu


Executing query

To execute the query click Execute item on the navigation bar. If the query text is correct, the query executes and, if the query statement is supposed to return data (e.g. as SELECT or SHOW statements), the Results tab opens with the data returned by the query. If an error occurs while executing the query, execution stops, the appropriate error message is displayed in the bottom area.

The Results tab displays the result data, returned by the query, as a grid (see Data View for details). The popup menu of this tab and the Data Management navigation bar allow you to Export Data, Export As SQL Script.


Visual Query Builder

Visual Query Builder is provided for building queries visually. It allows you to create and edit queries without knowledge of SQL, prepare and execute queries, and view the results of execution.
To open Visual Query Builder, select Tools | New Query Builder or Tools | Show Query Builder menu item.

· Using navigation bar
· Working with diagram area
· Joining two database objects by fields
· Setting the selection criteria
· Setting output fields for selection
· Setting the grouping criteria
· Setting parameters of sorting
· Working with editor area
· Executing query and viewing results

See also:
SQL Editor
Visual Database Designer

hs287_visual query builder

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Using navigation bar

The navigation bar at the left allows you to:

· Select a database for query.
· Execute the current query.
· Clear the current query.
· Create view on the base of current table(s).
· Configure Visual Query Builder.
· Bring the window to its default size.

The Visual Builder bar allows you to load a query/diagram from file and to save current query/diagram to a file.

The Data Management bar allows you to:
· Export data into most popular data formats.
· Export data as SQL script.

The Objects bar allows you to add tables and views to the diagram.

hs2130_using navigation bar


Working with diagram area

The main area of the Visual Query Builder is the Builder area. Here you can build your query by placing the database tables on the area, selecting the required data and setting links between objects.

To add a table to the query, simply drag it from Database Explorer tree of the main window to the Builder area. To include a table field in the query, click at the left of the field name in the list or double-click it to set the blue icon next to the field name. To include all the fields, click at the left of the table caption. If you don't check any fields, the SQL statement is generated as SELECT * FROM <Table_Name>, i.e. all the fields are selected. To remove the fields from the query, uncheck the respective fields; to remove the object, close it by clicking the cross button at the object caption, or select the object and press Del key. To edit the object alias, double-click the object caption.

hs287_visual query builder


Joining two objects

To associate database objects by two fields, just drag one field from the object list to another. This will set a link between these objects by the selected fields. After you finish dragging, a line will appear between the linked fields. You can view and edit the properties of object association. To do that, aim cursor at the link line. A hint containing the association condition will appear.

hs2150_joining two objects

To edit the properties, double click the line or right-click and choose the Property item from the popup menu. A dialog window will appear, where you can change the association condition by choosing it from the list (=, >, <, >=, <=, <>).

hs2150_joining two objects_1

Also you can check or uncheck the Include all option for each object, included in the association. Click OK to confirm the changes you have made.

To remove a link between objects, right-click the link line and select the Delete Link item from the popup menu.

To delete all the links of some object, click button '-' next to the object alias. To insert a point to the link line, right-click on the line and choose Insert Point item from the popup menu. A new point will appear, using which you can move the link line. It doesn't cause any changes to the query but makes the diagram performing more obvious and the visual building handler


Setting criteria

Use the Criteria page to set the selection conditions.

To add a condition, click the button at the left and select Add condition item from the popup menu.
Edit the condition by clicking its parts and setting their values. Clicking the button at the left of the condition string activates the popup menu, which allows you to add a new condition of the same enclosure level, add a new enclosure level, delete the current condition, open or close the condition, if it is composite.

A simple condition string contains three fields: an argument, a condition and a second argument (if required for the condition). Clicking each field allows you to set its value. Clicking the argument field allows editing it as a text field. You can set a table name or a definite value in this field. Right-clicking the field in the edit mode activates the popup menu, which contains the Insert Field function (also called by Shift+Enter).

This function allows you to choose a field from the list of all the table fields, available in the query. Clicking the condition field activates the popup menu, where you can choose the condition you need. The way of proceeding the condition is set in the upper string of the area (All, Any, None, or Not all of the following are met). Click the underlined word to change it.


Setting output fields

The Selection page displays the output fields of the query. It allows you to edit the names of the query output fields, set their displaying order and set the aggregate functions (SUM, MIN, MAX, AVG, and COUNT) for each field. To remove the field from the list, right-click the field row and choose Delete current row from the popup menu. To change the input query field, double click it and then type the field name on the keyboard or choose it from the dropdown list.

To change the output query field name, double click it and type the field name on the keyboard.

To set the aggregate function for the field, double click the field row in the Aggregate column and then type the function name on the keyboard or choose it from the dropdown list.

chbox Select only unique records
If you check this option the repeated records are not included into the query result (the DISTINCT word will be added to the query text).

hs2170_setting output fields


Setting grouping criteria

On the Grouping Criteria page you can set the conditions for grouping query records. They are set in the same way as the selection of criteria. These conditions will be included in HAVING statement of the generated query.

hs2180_setting grouping criteria


Setting parameters of sorting

Set the way of sorting query records on the Sorting page. The field list at the left represents all the output query fields; the list at the right contains fields, by which the query records will be sorted. To move the field from one list to another, drag the selected field or use the Add and Remove buttons. To change the sorting order, select a field in the right list and move it using the Up and Down buttons.

To change the sorting direction, select a field in the right list and switch the direction (Ascending, Descending) using the A..Z/Z..A button.

hs2190_setting parameters of sorting


Working with editor area

In the Editor area the query text is automatically generated while you build query.

You can edit this text according to the rules of SQL, and all the changes will be displayed on the Builder page of Visual Query Builder.

hs2200_working with editor area


Executing query

To execute the query click button Execute query on the navigation bar. This displays the Result tab. This tab displays the result data, returned by the query, as a grid (see Data View for details). The popup menu of this tab and the Data Management navigation bar allow you to Export Data, Export As SQL Script and more.


Query parameters

Both of SQL Editor and Visual Query Builder support using of parameters inside the query text. A parameter is a kind of variable, which value can be specified just before the query execution. In the query text the parameter should appear as an identifier with a colon (':') at its beginning, e.g. :param1.

Note: The Allow using of parameters in query text option should be checked at the Options | Environment options | Tools tab for this feature to be enabled.


Input parameters dialog

The Input Parameters dialog is used to specify the query parameters as well as values of the input parameters of the procedure or function before execution. Click OK button to apply the values and execute the query or click Cancel button to abort execution.


Data Management

Table data and query results are displayed on the Data or Results tab of Table Editor, SQL Editor, Visual Query Builder, etc.

The data can be displayed in three modes: Grid View, Form View and Print Data. See Data View to learn more about these modes.

The toolbars of these tabs as well as the popup menus (activated by right-click on the grid) provide the following functions for managing data:

· Export Data
Exports data to various formats, including MS Excel, MS Access, RTF, HTML, PDF and more.

· Export As SQL Script
Exports data to the SQL script as a number of INSERT statements.

· Import Data
Imports data from MS Excel, MS Access, DBF, TXT, and CSV.

· Edit BLOB
Allows you to view and edit the content of BLOB and TEXT fields.


Data View

SQL Manager 2005 for MySQL provides you with powerful tools for viewing, editing and printing data from tables and queries. This topic shows how you can work with data in the simplest and the most direct way.

· Grid View
· Form View
· Print Data

See also:
Table Editor
SQL Editor
Visual Query Builder

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Grid View

View data as a grid. The columns correspond to the fields and rows correspond to the records. Clicking the column caption sorts data by the values of this column in ascending or descending mode. The navigation bar allows you to switch the records quickly, insert, update or delete records.

The navigation bar of the parent tool as well as the grip popup menu provides you with the following data functions: Export Data, Import Data, Export As SQL Script and more.

The popup menu of the grid also provides the following additional functions: use current field value as a filter, set the field value as Null, edit BLOB (for BLOB fields; see BLOB Viewer/Editor).

Note: The status bar displays the number of records in the current data set.

· Grouping data within the grid.
· Filtering records.
· Working in multi-level mode.
· Viewing data in card view.


Grouping data

You can group grid data by any of the columns by dragging the column header to appear area. Now all the records are displayed as subnodes to the grouping row value as shown at the picture. To reverse grouping, just drag the column name from the upper area back.


Filtering records

You can filter records in the grid by one of the following methods:

· Right-click a row and select Quick Filter item from the popup menu to filter records by the current value of the selected column.

· Click the dropdown button at the column caption area and select one of the column values to filter records by this value of the selected column.
· Click the dropdown button at the column caption area, then select the Custom item and build a simple filter within a dialog in the following way: select a logical operator for checking the column values (like, is less than, is greater than, etc) and set the value to be checked by this operator in the right box; then set the second condition if necessary and set the relation between these two conditions, whether both of them should be matched or just any of them; use character '_' to represent any single symbol in the condition and use character '%' to represent any series of symbols in the condition.

After you have set a filter, the filtering panel becomes visible at the bottom of grid, where you can see the active filtering condition and easily enable or disable it by clicking a check box at the left. Using this panel you can also customize your filter in a more complicated way by clicking the Customize button and building your filter within the Filter Builder Dialog.


Working in multi-level mode

One of unique features of SQL Manager 2005 for MySQL is ability to work with data in multi-level mode to view and modify data in several related tables at one time. To manage levels right-click on the grid and select Grid Levels submenu. It allows you to:

· Add new grid level using Create Grid Level Wizard.
· Delete current grid level.

data view - levels


Create Grid Level Wizard

Create Grid Level Wizard allows you to add a new detail level to the grid in order to get master-detail representation of your data. To open the wizard right-click on the grid and select Add Grid Level... menu item from Grid Levels submenu.

· Specify master level.
· Select a table or a query for new level.
· Bind master and detail level fields.
· Specify additional level parameters.

create grid level wizard_1


Specify master level

Select master level to which a new level will be added and select the source type of new level data: table or query.

create grid level wizard_1


Select table or query for new level

Select a table or input a query to be used as a source of new grid level. Set Show tables related by foreign keys only option to narrow list of selectable tables. You can use Query Builder tool if query is selected as source type.

create grid level wizard_2


Bind master and detail levels

Define pairs of fields to link master and detail level data sources.

create grid level wizard_3


Specify additional parameters

Set the caption for the new level and set the type of view for the level: as a table or as a card. Click Finish to create new grid level.

create grid level wizard_4


Viewing data in card view

You can represent data in table or card view according to your needs. To manage the levels representation right-click on the grid and select Grid Levels submenu. It allows you to:

· View data in a form of table.
· View data in a form of cards.

data view - cards


Form View

Form View tab allows you to view data as a form. On the form the current record is displayed: field name and its value. If these data are available for editing, you can do it on this form. The navigation bar allows you to switch the records quickly, insert, update or delete records.

Each field has a Null switch, which allows you to clear the field value quickly; near each number field a calculator button is placed (calculator field automatically fills the current field); near each date field calendar button is placed (date, selected in the calendar, automatically fills the current field).


Print Data

At the Print Data tab data are displayed in the way they are printed, in WYSIWYG mode. Using buttons on the toolbar you can design report, change the view scope, save and load previously saved report, and set the page printing parameters.


Blob View

SQL Manager 2005 for MySQL provides BLOB Viewer/Editor to view and edit BLOB fields content. The BLOB Viewer/Editor can be invoked from the data grid within Table Editor, SQL Editor, Visual Query Builder, etc.

· Navigating within the BLOB Viewer/Editor
· Viewing/Editing BLOB field as hexadecimal dump
· Viewing/Editing BLOB field as plain text
· Viewing/Editing BLOB field as rich text (RTF)
· Viewing/Editing BLOB field as graphical image
· Viewing/Editing BLOB field as HTML
· Applying changed to data

See also:
Data View
Table Editor
SQL Editor
Visual Query Builder

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Navigating with the BLOB Editor

The BLOB Editor provides an ability to navigate among the records using DB Navigation buttons on the toolbar. Also you can load the new BLOB content and save or clear the current content by using the appropriate items on the toolbar.

hs2470_navigating with the blob editor


Editing as hexadecimal dump

The Hexadecimal panel allows you to edit data in hexadecimal mode. Use the Ins key to switch between Insert and Overwrite modes.

hs2470_navigating with the blob editor


Editing as plain text

The Text panel allows you to edit data as a simple text. Use Save to File and Load from File items on the navigation bar to save the text to a file, or load the text from a file.

hs2410_editing as plain text


Editing as rich text (RTF)

The Rich Text panel allows you to edit data as a Rich Text format (RTF). Use Save to File and Load from File items on the navigation bar to save the text to a file, or load the text from a file.

hs2420_editing as rich text (rtf)


Editing as image

The Image panel shows field data as image. Use Save to File and Load from File items on the navigation bar to save the image to a file, or load the image from a file.

hs2430_editing as image


Editing as HTML

The HTML panel displays field data in Hyper-Text Markup Language format (HTML). You can load a new content to the field using Load from File item on the navigation bar, or save current field content to a file using Save to File item.


Applying changed

After changes are done, click Post Edit button to apply the changes or Cancel Edit to discard them.


Filter Builder Dialog

SQL Manager 2005 for MySQL provides the Filter Builder dialog to facilitate creating and applying filter criteria for the data grid within Table Editor, SQL Editor, Visual Query Builder, etc. In addition, it allows you to save filter criteria to an external file for future use.

· Invoking the Filter Builder dialog
· Adding new condition to the filter
· Setting filter criteria in condition
· Setting filter operator in condition
· Setting filter criteria values in condition
· Adding new group to condition
· Setting group operator in the condition
· Applying filter conditions

See also:
Data View
Table Editor
SQL Editor
Visual Query Builder

hs2300_filter builder dialog

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Invoking the Filter Builder dialog

To invoke the Filter Builder Dialog, click the Customize button on the Filter panel. This panel is visible if any filtering is already applied to the grid (you can use column header menu or grid menu for quick filtering).

hs2310_invoking the filter builder dialog

To illustrate usage of Filter Builder Dialog, see example in the next topics.


Adding new condition

Suppose we need to select orders from the sample table Orders made between 01.01.94 and 12.29.03. These criteria are applied to the SaleDate column. Click the press button to add new condition box. This will add a new condition to the criteria. Alternatively, you can left-click the Filter box and select the Add Condition option from the dropdown menu.

hs2320_adding new condition

Next Step >>


Setting filter criteria

As we need to apply the filter criteria to the SaleDate column, left-click the column box (next to the ellipsis button) to open the dropdown list displaying the available column names. Then select the SaleDate item.

hs2330_setting filter criteria

Next Step >>


Setting filter operator

Select BETWEEN item in the operator box. This will add two empty value boxes to specify the inclusive range for BETWEEN condition.

hs2340_setting filter operator

Next Step >>


Setting filter criteria values

On this step, you need to specify the range for BETWEEN operator.
You can do this either manually by typing a date using the keyboard or via the date editor activated when you click the value box. The editor used in value boxes is determined by the editor type assigned to the corresponding column.

hs2350_setting filter criteria values

Next Step >>


Adding new group

For example, you need also to select orders payed via 'Visa' or 'American Express'. This is a complex filter condition combining two simple conditions with OR operator. So we cannot just add them at the same root level as for the existing conditions which are combined by AND operator. Instead, we need to add a group of conditions. Left-click the ellipsis button for the SaleDate condition and select Add Group menu item.

hs2360_adding new group

Next Step >>


Setting group operator

Our new complex criteria must combine conditions using OR operator. To do this, left-click the operator box (by default, it specifies AND operator) and select OR item from the menu.

hs2370_setting group operator

Next Step >>


Applying filter conditions

The group already contains one condition. You have to add one more condition at the same level and specify the required payment types using value boxes. After doing this, the Filter Builder dialog will look like shown on the picture below.

The Filter Builder dialog allows you to save filter criteria to and load them from an external file. Clicking Save As… or Open… buttons activates one of these dialogs. Filter settings are stored in a file with .flt extension. A column in the file is referenced by its position within a view. This means that filter settings cannot be correctly restored if columns were deleted from the view after saving the filter to a file.

hs2380_applying filter conditions

Click Apply button to see the result of the filtering you made and click OK or Cancel to close the dialog with or without saving your filter respectively.


Import/Export Tools

SQL Manager 2005 for MySQL provides powerful tools to import and export data.

· Export Data Wizard
Exports data to various formats, including MS Excel, MS Access, RTF, HTML, PDF and more.

· Export As SQL Script Wizard
Exports data to the SQL script as a number of INSERT statements.

· Import Data Wizard
Imports data from MS Excel, MS Access, DBF, TXT, and CSV.

· Load Data Wizard
Provides wizard interface for executing native MySQL function LOAD DATA.

· Save Data Wizard
Provides wizard interface for saving data to a file on the server host.

· Using templates


Export Data Wizard

Export Data Dialog allows you to export data from table, view, procedure or query result to any available format. You can save your settings as a template at any time for later use.

To call the wizard right-click the table (view, procedure, etc.) in DB Explorer, select Data Manipulatiton and corresponding operation then. Another way is to select Data tab of Table Editor/View Editor, then corresponding menu item of the Data Management bar (navigation bar) or simply use context menu of the Grid -> Data Manipulation.

· Setting name and format for destination file
· Selecting fields for export
· Adjusting formats applied to exported data
· Setting header and footer text for destination file
· Setting options according to the selected format
· Setting common export options
· Using templates

See also:
Export As SQL Script Wizard
Import Data Wizard

hs2480_setting destination file name and format

Availability:
Windows Professional
Yes
Windows Lite
No
Linux Professional
Yes (w/o MS Access)


Setting destination file name and format

Select one of the available destination formats and set name for the result file. The file name extension in the Destination file name box changes according to the selected export type.

hs2480_setting destination file name and format

Destination format

MS Excel - the most popular e-table format - Microsoft Excel. The result files are fully compatible with the versions 95, 97, 2000 and XP.

MS Access - export to Microsoft Access format trough an ADO connection.

MS Word - one of the most popular text processing format - Microsoft Word. The result files are fully compatible with the versions 95, 97, 2000 and XP.

RTF - Rich Text Format supported by many text processing programs (e.g. WordPad).

HTML - as it follows from its name, exports data to HTML files (complete compatibility with HTML 4.0 specification).

PDF - the PDF format is a standard and general format in electronic publishing.

Text file - the plain text format.

CSV - Comma Separated Value format.

DIF - Data Interchange File format.

SYLK - Symbolic Links format.

Note: all the text formats including Text file, CSV, DIF, SYLK are usually used as working or interchange formats.

LaTeX - the LaTeX format, which is a popular (especially among mathematicians and physicists) macroextension of TeX pack developed by D.Knut.

XML - the XML format. XML is a markup language for documents containing structured information.

DBF - the data will be exported to the DBF format.


Selecting fields for export

Select table fields for export. If you leave all the fields in the Available Fields list, all fields will be exported except BLOBs.

hs2490_selecting fields for export


Adjusting data formats

This step allows you to customize formats applied to exported data. Edit the format masks to adjust the result format in the way you need.

hs2500_adjusting data formats


Setting header and footer

Set header and footer text for the result file. This text will appear before or after data in the result file respectively.

hs2510_setting header and footer


Setting format-specific options

Data Export Options are defined on Step 5 of the Export Data Wizard.

· Excel Options
· Access Options
· Word / RTF Options
· HTML Options
· PDF Options
· TXT Options
· CSV Options
· XML Options


Excel options

This step allows you to customize options for target MS Excel file.

You can customize Data format, Extensions and set an Advanced options.

· Data format
· Extensions
· Advanced


Data format

The Data Format tab contains general options, which allow you to adjust the format for each kind of Excel cells. This means that you can specify such parameters as font, borders, filling color and method, etc. for each entity (such as data field, header, footer, caption, data, hyperlink and so on) separately. Also it is possible to create styles to make target Excel file be striped by columns or rows (the Styles tab).

· Fields
· Options
· Styles

export options - excel - data format


Fields

On this tab you can set font options, border and fill options and select and aggregate functions for all the fields you want to export. You can reset settings at any time using buttons Reset Item and Reset All.

export options - excel - data format - fields


Options

On this tab you can set font options, border and fill options for all elements of the Excel sheet (header, caption, footer, aggregates and hyperlinks). You can reset settings at any time using buttons Reset Item and Reset All.

export options - excel - data format - options


Styles

On this tab you can make a style template: set font options, border and fill options and save them. You can reset settings at any time using buttons Reset Item and Reset All.

If you have created or loaded more than one style template, they could be ignored, or used column-by-column or row-by-row (it depends on strip style setting at the bottom).

export options - excel - data format - styles


Extensions

Extensions tab provides an ability to add hyperlinks and notes and to any cell of target file, to specify a value of a cell, to create a chart and to merge cells. Click Plus button to add add an element. Click Minus button to delete an element.

· Hyperlinks
· Notes
· Charts
· Cells
· Merged Cells

export options - excel - extensions


Hyperlinks

If you create a hyperlink:

· choose cell coordinates
· select if this is a local hyperlink or not
· enter its title
· specify its target

export options - excel - extensions- hyperlinks


Notes

If you create a note:

· choose cell coordinates
· enter text of a note for that cell
· select font and fill properties using appropriate tabs

export options - excel - extensions- notes


Charts

if you create a chart:

· enter chart title
· select chart style
· choose legend position
· specify if you want to show legend
· specify if you want to set chart color automatically
· select chart position and category labels using appropriate tabs

export options - excel - extensions- charts

· add one or more series
· enter its' titles
· select data ranges (from a chosen column or from a specified range in a table)
· choose colors for all the graphs

export options - excel - extensions- series


Cells

If you want to add a value in a specific cell:

· choose cell coordinates
· select cell type
· enter its value
· if you are adding numeric or date/time value, you can set cell format

export options - excel - extensions- cells


Merged Cells

If you want to merge some cells:

· select a range to merge

export options - excel - extensions- merged cells


Advanced

Advanced options allow you to:

· Specify page header
· Specify page footer
· Specify sheet title in target file
· Choose a picture to be a page background

chbox Calculate column width automatically
This option allows wizard to determine column width in target file automatically.

export options - excel - advanced


Access options

This step allows you to customize options for target MS Access file. Set the name for target table and specify whether the wizard should create a new table in Access database if it does not exist yet, or use the existing table to export data into.


Word / RTF options

This step allows you to customize options for target MS Word/RTF file.

· Base Styles
· Strip Styles


Base Styles

Base styles tab contains the list of target file entities, such as table header, data, etc. You can customize style options, such as font name and size, background and foreground colors, text alignment and so on, for each of them by clicking the corresponding item in the list and setting the options for it in the right-side panel. All the changes you make with current style are represented in the Sample Cell panel. You can reset settings at any time using buttons Reset Item and Reset All.

You can also choose page orientation for target Word/RTF file on this tab.

export options - word - base styles


Strip Styles

On this tab you can make a style template: set font options, border and fill options and save them. You can reset settings at any time using buttons Reset Item and Reset All.

If you have created or loaded more than one style template, they could be ignored, or used column-by-column or row-by-row (it depends on strip style setting at the bottom).

export options - word - strip styles


HTML options

This step allows you to customize options for target HTML file.

· Preview
· Basic
· Multi-file
· Advanced


Preview

Preview tab allows you to select style of HTML file from a number of built-in templates provided by the Templates combo box. You can choose any of these templates, customize it by clicking on objects in the preview panel, and save it as a custom template using Save template button. Use Load template button to load previously saved custom templates from hard disk. Click on an element of a table to select a color.

export options - html - preview


Basic

Basic tab allows you to specify basic parameters of target HTML file. You can:

· specify title of a result file
· select if CSS should be internal or external (in a specified .css file)
· select if want to export boolean fields of a table as HTML check boxes.

export options - html - basic


Multi-file

Multi-file tab provides you with an ability to split target HTML file into several separated files. This tab allows you to specify the record count for a single file, set an option to generate an index HTML file, and add an ability of navigation between each other to each of exported files.

export options - html - multi-file


Advanced

Advanced tab contains such HTML options as default font, background, cell padding and spacing, etc.

export options - html - advanced


PDF options

This step allows you to customize options for target PDF file. On this step you can customize general options of target PDF file, such as fonts, page size, page margins, column/row spaces, line width, etc.


TXT options

This step allows you to customize options for target text file. Set the Calculate column width options on if you want each column of target file be adjusted to the maximum number of characters in it. The Spacing option specifies the number of spaces between columns in target file.


CSV options

This step allows you to customize options for target CSV file. You can specify column separator and optional values quote character for target file on this step.


XML options

This step allows you to customize options for target XML document. Specify XML document encoding in the Encoding edit box and set the Standalone option on if you wish target document to be standalone.

Note that export is only possible from XML-Datapacket (CDS) format. The convertation between generic XML documents and the data packets that are used by SQL Manager 2005 for MySQL you can perform with the help of XML Mapper by Borland (R).


Setting common export options

Set the common export options and click Finish button to start the export process. The detailed description of these options is given below.

hs2610_setting common export options

chbox Go to the first record
If checked, starts export from the first record of the data set.

chbox Export empty tables
If checked, allows you to export tables even if they are empty.

Skip
Specifies the number of records, which are skipped before export starts.

Export fetched records / Export only ... records / Export all records
Specifies the number of records to export: only records currently fetched, a fixed number of records or all records.

chbox Open files after export
If checked, opens the result files in the associated program after export.

chbox Print files after export
If checked, sends the result files to default printer after export.


Import Data Wizard

Import Data Wizard allows you to import data to a table from MS Excel, MS Access, DBF, TXT or CSV file.

Setting source file name and format
Selecting source object for import data from
Setting the correspondence between the source and target fields
Adjusting common data formats
Setting advanced field formats
Setting import mode and data write type
Customizing common import options
Using templates

See also:
Export Data Wizard

hs2660_selecting source file name and format

Availability:
Windows Professional
Yes
Windows Lite
No
Linux Professional
Yes (w/o MS Access)


Selecting source file name and format

Select the type of the source file: MS Excel, MS Access, DBF, XML, TXT, or CSV and select the source file name. The file name extension in the Source file name box changes according to the selected import type. Select the delimiter and quote characters for CSV files.

hs2660_selecting source file name and format

MS Excel - the most popular e-table format - Microsoft Excel. Files created with the versions 95, 97, 2000 and XP are fully supported.

MS Access - import from Microsoft Access format trough an ADO connection.

DBF - the data will be imported from the DBF format.

XML - the XML format. XML is a markup language for documents containing structured information.

TXT - the plain text format.

CSV - Comma Separated Value format.

Note: the text formats including Text file and CSV are usually used as working or interchange formats.


Selecting data source

Note: this step is available only if you import data from an Access database.

Select a table from table list or type a query in the corresponding text box to specify data source. If you choose a query as data source, you also can load an SQL query from a file or save the current one to a file using the corresponding buttons.

hs2670_selecting data source


Setting fields correspondence

The correspondence between import fields is defined at the corresponding step of the Import Data Wizard.

· MS Excel
· MS Access
· DBF
· XML
· TXT
· CSV


Excel

Select ranges in the grid for the target field, selected in the Fields list. Click column or caption to select a whole column or row respectively. Using the popup menu of the Ranges list you can add or edit ranges manually, as well as remove them or change their order. After you define a range for the selected field, proceed to the next one. If source file and destination table have the same order of columns or rows, you can use Auto Fill Cols or Auto Fill Rows buttons to set the correspondence between them automatically.


Access

Select a target field from the left list and select a source Access field from the right list, then click Add button. This adds a link for these fields to the lower list. Click Remove or Clear button to remove the selected or all items from the lower list.

Use Auto Fill button to set the correspondence between the source and target fields according to the way they are ordered.


DBF

Select a target field from the left list and select a source DBF field from the right list, then click Add button. This adds a link for these fields to the lower list. Click Remove or Clear buttons to remove the selected or all items from the lower list.

Use Auto Fill button to set the correspondence between the source and target fields according to the way they are ordered.
Use Skip deleted records option to chose skipping records marked as deleted.


XML

Select a target field from the left list and select a source XML field from the right list, then click Add button. This adds a link for these fields to the lower list. Click Remove or Clear button to remove the selected or all items from the lower list.

Note that import is only possible from XML-Datapacket (CDS) format. The convertation between generic XML documents and the data packets that are used by SQL Manager 2005 for MySQL you can perform with the help of XML Mapper by Borland (R).

Use Auto Fill button to set the correspondence between the source and target fields according to the way they are ordered.


TXT

Select the target field in the list, and then double-click in the text viewer area to add separators, delimiting the source column bounds. Click between the separators to assign the correspondence. Proceed to the next field when done.

The Skip Lines option allows you to point out a number of the unrequired lines to skip.


CSV

Select the target field in the list, and then click at the source column in the viewer area to set the correspondence. Repeat this operation for each field.

Use Auto Fill button to set the correspondence between the CSV columns and target fields according to the way they are ordered.
The Skip Lines option allows you to point out a number of the unrequired lines to skip.


Adjusting data formats

SQL Manager 2005 for MySQL provides a number of options for setting common formats for all imported data.

hs2690_ajusting data formats


Setting advanced field formats

Select a field in the list and adjust format options that will be applied to this field only.

hs2700_setting advanced field formats


Setting import mode

Use Import mode to select whether to insert all records, or to update/delete existing ones. Note that for updating/deleting existing records in the target table you should move its key columns from the Available columns list to the Selected columns list.

hs2710_setting import mode


Customizing common options

Set the common options and click Finish button to start import.

hs2720_customizing common options


Export as SQL Script Wizard

Export as SQL Script Wizard allows you to export data from a table or a query result to SQL script as a number of INSERT statements.

To export data as INSERT from a table or a query:

· open the table in Table Editor or open and execute query in SQL Editor or Query Builder;
· open Data or Result tab respectively;
· click Export as SQL Script item on the navigation bar.

· Setting destination file name for the script
· Selecting field to export
· Editing result create statement
· Specifying export options
· Using templates

See also:
Export Data Wizard
SQL Script Editor
Extract Metadata

hs630_export data as insert wizard

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | Yes


Specifying destination server

On this step you are to select destination server. Result script will be generated in in compliance with the specifications of the target server.

hs16470_specifying destination server


Setting destination file name

Set the file name for the result script and set the table name to include in the result SQL script.

Note that you can save the script to file. Select the appropriate item and set target file name.

hs630_export data as insert wizard


Setting BLOB options

Set the desirable extract options for BLOBs. Specify whether the BLOBs should be extracted as or strings.

hs2620_setting blob options


Selecting field to export

Select fields to include in the result SQL script. All the table fields are included in the Selected fields list by default. If you do not want some fields to be exported, move them back to the Available fields list.

hs2650_setting fields to export


Editing result SQL script

This step is available only if Add CREATE TABLE statement option was checked on the Setting destination file name step of the Wizard. It allows you to edit the SQL script for creating table.

hs2640_editing the table definition


Setting export options

Specify export options according to your needs. Check Load generated script into Script Editor option to load the result to SQL Script Editor after executing. Choose if the block of records should be commited and define the size of the block. Click Finish button to start the process.

hs2830_setting export options


Load Data Wizard

Load Data is a native MySQL function, which allows you to read rows from a text file to the table at a very high speed. The Load Data Wizard guides you through the process of loading data from file.

To load data into a table:

· open the table in the Table Editor;
· open the Data tab;
· click the Load Data item on the navigation bar.

· Setting source file name
· Specifying general options
· Selecting fields for loading data to
· Specifying the source file options
· Using templates

See also:
Import Data Wizard

hs2790_setting source file name

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | Yes


Setting source file name

Select the source *.txt or *.csv file to load into the target table.

hs2790_setting source file name


Specifying general options

Define options for LOAD DATA command. The description of these options is given below.

hs2800_specifying general options

chbox Local
Reads file from the client host. Without this option the file must be located on the server.

chbox Low priority
Delays loading data until no other clients are reading from the table.

chbox Concurrent
Allows other threads to retrieve the data from the table while loading data is executed.

chbox Replace
Replaces the existing rows with the new rows that have the same unique key value.

chbox Ignore
Skips the input rows that duplicate an existing row on a unique key value.

Note: if you do not specify neither Replace nor Ignore option, an error occurs when a duplicate key value is found, and the rest of the text file is ignored.


Selecting fields for loading

Select fields to load data into by moving them from the Available fields list to the Selected fields one.

hs2810_selecting fields for loading


Specifying source file options

Define options for reading the source fields according to the descriptions below.

hs2820_specifying source file options

Fields terminated by
Defines the character used for delimiting the field values in the source file.

Fields enclosed by
Defines the character used for quoting the field values in the source file.

chbox Optionally
With this option on Fields enclosed by is applied only to CHAR and VARCHAR fields.

Fields escaped by
Defines the character inserted before the occurrences of the Fields enclosed by character within a field.

Lines terminated by
Defines the character used for delimiting strings in the source file.

Ignore lines count
Specifies the number of first lines in the source file that are not loaded.
When you are done click Ready to load data into the table according to the settings you've made.


Save Data Wizard

Saving data with MySQL "SELECT ... INTO OUTFILE" command lets you get a dump of the table on the server machine at very high speed. The Save Data Wizard guides you through the process of saving data to a file on the server host.

To save data from table:

· open the table in the Table Editor;
· open the Data tab;
· click the Save Data to file on server item on the navigation bar.

· Setting destination file name
· Selecting fields for saving data
· Specifying destination file options
· Using templates

See also:
Import Data Wizard

hs7210_setting destination file name

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Setting destination file name

Select the name of destination file on the server host to save data.

hs7210_setting destination file name


Selecting fields for saving

Select fields to save data into by moving them from the Available fields list to the Selected fields one.

hs7220_selecting fields for saving


Specifying destination file options

Define options for writing data according to the descriptions below.

hs7230_specifying destination file options

Fields terminated by
Defines the character used for delimiting the field values in the destination file.

Fields enclosed by
Defines the character used for quoting the field values in the destination file.

chbox Optionally
With this option on Fields enclosed by is applied only to CHAR and VARCHAR fields.

Fields escaped by
Defines the character inserted before the occurrences of the Fields enclosed by character within a field.

Lines started by
Defines the characters used for inserting before every stringin the destination file.

Lines terminated by
Defines the characters used for delimiting strings in the destination file.


Database Tools

SQL Manager 2005 for MySQL provides a number of powerful tools for working with the databases.

The following tools are available:

Visual Database Designer
Allows you to lay out your database schema visually.

SQL Monitor
Displays all the SQL statements executed while working in SQL Manager 2005 for MySQL.

SQL Script Editor
Executes SQL scripts to the database.

Copy Database Wizard
Copies metadata and data from one database to another.

Extract Database Wizard
Extracts the table metadata to the SQL script, which can be later executed on another machine to reserve the database structure.

Print Metadata
Creates powerful metadata reports in the WYSIWYG mode, ready for printing.

HTML Report
Creates powerful metadata reports in the HTML format.

Report Designer
Allows you to build and print database reports


Visual Database Designer

Visual Database Designer is provided for designing your database visually. It allows you to create, edit and drop tables and table fields, set links between tables, and so on.

To open the designer select the Tools | Visual Database Designer menu item.

Using navigation bar
Navigating on diagram
Adding objects to diagram
Removing objects from diagram
New object creation
Creating relationships
Working with multiple pages
Reverse engineering
Printing diagram
Saving/Loading diagram
Setting diagram options

See also:
Visual Query Builder

hs960_visual database designer

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Using navigation bar

The navigation bar at the left allows you to:

· Select the database to design.
· Setting diagram options.
· Bring the window to its default size.
· Navigate with the diagram.
· View the list of objects that can be added to the diagram.

hs2240_using navigation bar


Navigating on diagram

To navigate on the large diagram use the Navigator tool on the navigation bar at the left. It allows you to see the whole diagram in a reduced size and even to move the objects in the diagram. The area currently visible at the main diagram area is outlined in red color.

hs3400_navigating on diagram


Adding objects to diagram

To add an object to the diagram, drag it from the Objects group on the navigation bar into the desired place on the diagram or simply double-click on this object.

hs3410_adding objects to diagram


Removing objects from diagram

To remove an object(s) from the diagram, select them, right-click on its title and choose Hide Selected Object(s) menu item or simply press the Del key.

hs3450_removing objects from diagram]


New objects creation

To create a new table using Visual Database Designer:

· Press Create table button on the toolbar;
· Click at the desired point on the diagram to place the new table to;
· Create new table with the New Table dialog.

hs3420_new objects creation


Creating relationships

To create a new relationship (which is the foreign key in terms of database):

· Press Create relation button on the toolbar;
· Click on the table where referential constraint should be created;
· Click on the referred table;
· Create new foreign key with the New Foreign Key dialog.


Working with multiple diagram pages

You can create several pages in one diagram to separate certain subject areas from the database for better viewing and understanding.

To manage diagram pages, right-click on the tabs under the diagram area and select the appropriate menu item for adding, deleting or renaming pages.

hs3440_working with multiple pages


Reverse engineering

The reverse engineering process builds relationship diagram basing on the current database's structure. The objects are arranged automatically within the diagram. To start the reverse engineering process press the appropriate button on the toolbar.


Printing diagram

Visual Database Designer allows you to print and preview the diagram.

To preview the diagram:

· Press Print Preview button on the toolbar.
· Preview the diagram in the Print Preview Dialog.

To setup print options:

· Press Print Options button on the toolbar.
· Set printing options in the Print Setup Dialog and press OK button.

To print the diagram:

· Press Print button on the toolbar.
· Set printing options in the Print Setup Dialog and press Print button.


Print Preview Dialog

Print Preview Dialog allows you to see the diagram layout before it will be printed.

hs3500_print preview dialog


Print Setup Dialog

Print Setup Dialog of the Visual Database Designer allows you to:

· Choose the desired printer;
· Specify print layout: print using defined scale factor or arrange diagram at defined number of pages horizontally and vertically;
· Specify page options: margins, headers and footers;
· Point out other print options.

hs3490_print setup dialog


Saving/Loading diagram

Use Save Diagram and Open Diagram buttons on the toolbar to save the diagram for future use or to load the previously saved diagram.


Setting diagram options

Using this dialog you can setup behavior and look of every diagram page. See detail description of every option at the Visual Database Designer page of Environment Options dialog.


SQL Monitor

SQL Monitor allows you to view the SQL code of all the operations executed over databases and database objects in SQL Manager 2005 for MySQL. The content of the window can't be edited, but can be copied to the clipboard, saved to a text file or printed.

To open the SQL Monitor window, select Tools | SQL Monitor menu item.

· Using navigation bar
· Using popup menu

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Using navigation bar

The navigation bar at the left allows you to:

· Clear the window contents.
· Save the content of the window to a text file.
· Search for a string through the logged SQL code
· Configure SQL Monitor in the Environment Options dialog.
· Bring the window to its default size.

hs2850_using navigation bar


Using popup menu

The popup menu of SQL Monitor provides various functions for working with the window content.

You can use bookmarks for quick navigation within the text, copy, search, save text to file or print the content of the SQL Monitor window. The Properties menu item allows you to configure all the editors and viewers within the Editor Options dialog.

hs2860_using popup menu


SQL Script Editor

Using SQL Script Editor, you can view, edit and execute SQL scripts. To open SQL Script Editor select the Tools | SQL Script menu item.

In the script area you can view and edit the SQL script text. For your convenience syntax highlight and code completion is enabled.

Using navigation bar
Using popup menu
Using script explorer

Note: SQL Script Editor doesn't show SELECT query results. Please use SQL Editor for that purpose instead.

hs2880_using popup menu

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Using navigation bar

The navigation bar at the left allows you to:

· Select the database for the script.
· Execute the script.
· Create a new blank script.
· Load a script from a file or save a script to file.
· Disable parsing the statements.
· Enable logging the results.
· Configure SQL Script Editor within the Environment Options dialog.
· Bring the window to its default size.
· Navigate between the statements in the script using the Explorer.

hs2870_using navigation bar


Setting login host

By default if you open new SQL Script Editor widow, you don't have any database selected on current host. When you execute the script, the Login Host dialog appears like displayed below. It allows you to define connection properties for selected database.

setting login host


Using popup menu

The popup menu of the edit area contains standard functions for working with the text (Cut, Copy, Paste, Find, Replace, Toggle Bookmarks, etc.) and also functions for processing the script, which allow you to save/load script to/from file, and preview/print script.

hs2880_using popup menu


Using script explorer

The Explorer group on the navigation bar displays the tree of objects, used in the current script and allows you to get to the needed script fragment quickly by clicking the object in the tree.

hs2890_using script explorer


Copy Database Wizard

Copy Database Wizard allows you to transfer database objects and data from one database to another. To open the wizard, select the Tools | Copy Database... menu item.

· Selecting source database and type of the destination database
· Specifying destination database
· Selecting components to copy
· Selecting database objects to copy their structure
· Selecting database objects to copy their data
· Setting additional options for copy process
· Using templates

See also:
Extract Metadata Expert
SQL Script

hs2960_selecting source database

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | Yes


Selecting source database

Select the source database for copying and select whether the target database already registered in SQL Manager 2005 for MySQL.

hs2960_selecting source database


Specifying destination database

Select the target database. If the database already registered, then just select a host and a database, otherwise you should set all the connection properties (host name, port number, user name, and password) in the respective boxes. Check Create new database option to create a new database on the host.

hs2970_specifying destination database


Selecting components to copy

Select what to copy - database objects, table data, or both.

hs2980_selecting components to copy


Selecting objects to copy their structure

Select database object to copy or check the Copy all database objects option to copy all objects from the database. Note that this step is not available if you select Copy data only mode on selecting what copy.

hs2990_selecting objects to copy their structure


Selecting objects to copy their data

Select tables to copy their data by moving them from the Available tables list to the Selected tables one. Note that this step is not available if you select the Copy structure only mode on selecting what copy.

hs3000_selecting objects to copy their data


Setting additional options

This step allows you to customize structure and data copying. Click Finish button to start copying.

hs3010_setting additional options


Extract Database Wizard

Using the Extract Database Wizard you can extract database objects and data to the SQL script, e.g. for backup purposes. To open this wizard, select the Tools | Extract Database menu item.

Use the Templates... button to save the wizard configuration for future use or to load the previously saved configuration for faster extract.

Selecting database to extract
Specify destination script file name
Selecting components to extract
Selecting database objects to extract their structure
Selecting database objects to extract their data
Customizing script options
Using templates

See also:
Export As SQL Script

hs3020_selecting source database

Availability:
Windows Professional
Yes
Windows Lite
Yes


Selecting source database

Select the source database to extract. Check Extract all metadata and data of the database option, if needed, to simplify the wizard.

hs3020_selecting source database


Specifying destination file name

Choose whether to load generated script to SQL Script Editor or to save this script to a file.
Specify destination file name in case of saving script to a file.

hs3030_specifying destination file name


Selecting components to extract

Select what to copy - database objects, table data, or both.

hs3040_selecting components to extract


Selecting objects to extract their structure

Select database object to copy or chose Extract all objects option to copy all objects from the database. Note that this step is not available if you select the Extract data only mode on selecting what copy.

hs3050_selecting objects to extract their structure


Selecting objects to extract their data

Select tables to copy their data by moving them from the Available tables list to the Selected tables one. Note that this step is not available if you select the Extract structure only mode on selecting what copy.

hs3060_selecting objects to extract their data


Customizing script options

This step allows you to customize structure and data copying. Click Finish button to start copying.

If you need the CREATE DATABASE statement to be included to the script please use correspoding option; in addition to it you may add DROP DATABASE IF EXISTS with the help of aproppriate option of the dialog.

hs3070_customizing script options


Print Metadata

Print Metadata allows you to print the metadata of any database object. To open it select Tools | Print Metadata menu item.

Select the type of the database objects to print using buttons at the navigation bar. Move the objects from the Available objects list to the Objects for printing list using arrow buttons, by double-clicking or dragging them (multiple objects can be selected using buttons Ctrl and Shift).

See also:
HTML Report

print metadata - printing options

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | Yes


Using navigation bar

The navigation bar at the left allows you to:

· Select the database for the report.
· Print metadata for selected objects.
· Preview the report.
· Bring the window to its default size.
· Filter database objects by type.

hs2900_using navigation bar


Printing options

If you select table(s) among the tables for printing, Printing Options appear at the bottom.

Fields/Params, Foreign Keys, Checks, Indices, Triggers, DDL and Description.
Specify which items should be printed.

Note that you are able to make a preview of the report and print metadata for selected objects; select the corresponding items of the navigation bar.

print metadata - printing options


HTML Report Wizard

HTML Report wizard allows you to generate a detailed HTML report about the selected database metadata. To open HTML Report wizard select the Tools | HTML Report menu item.

· Select source database and output directory
· Select type of database objects to extract
· Specify Cascading Style Sheet for the report
· Set additional parameters
· Using templates

See also:
Export Data Dialog
Print Metadata

hs5810_select database and directory

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | Yes


Select database and directory

Select the source database for the report. Select output directory for storing the result HTML files.

hs5810_select database and directory


Select type of database objects

Select databse ojbect types to include in the report.

hs5820_select type of database objects


Specify report style

Edit a CSS file that would be used in the result report.

hs5830_specify report style


Set additional parameters

Set the HTML Report additional parameters.

Charset
Set the character set for the result files.

chbox Show report after generating
This option opens the result report in your default browser after generating.

You can also set an optional text to header and footer of the result HTML report.

hs5840_set additional parameters


Report management

SQL Manager 2005 for MySQL provides Report Designer for creating powerful reports, Create Report Wizard to simplify the process of creating report, and Report Viewer to view finished reports.

Reports can be stored either in the database ('xxxreports' table will be created to store them) or in the folder on your hard drive, specified at the Edit Database Registration Info dialog on the Directories page.


Create Report Wizard

Using the Create Report Wizard you can create a report blank in a definite style containing required datasets, bands and fields on them.

To open the dialog select the Database | New Object... menu item, then select Report in the dialog.

Hint: To create new report you can also right-click the Reports node of the explorer tree and select the New Report... item from the popup menu.

· Specifying report name and options
· Selecting report bands
· Selecting report style
· Specifying paper settings
· Specifying margins
· Specifying other page settings

See also:

hs3150_specifying report name and options


Specifying report name and options

Select the database for adding a report. Choose the action you need to perform: create new report or import the existing report from file. Set the name for a new report and specify the save options for it.

Create Report Wizard provides two variants for saving a report. If you choose Save to database the report will be created on the server inside the database itself. Otherwise choose Save to file; standart save file dialog appears.

Click Next button to select report bands for a new report, or to locate the existing report.

hs3150_specifying report name and options


Selecting report bands

Select required bands to be placed in the report by moving them from the Available Bands list to the Report Bands one. Create datasets for 'data' bands if necessary by clicking Edit button.

Brief information about bands functionality is listed below. See FastReport help for more information.

hs3160_selecting report bands

Name | Functionality
Report title | Prints once at the beginning of report
Report summary | Prints once at the end of report
Page header | Prints at the top of each page
Page footer | Prints at the bottom of each page
Master header | Prints at the beginning of master list
Master data | Data rows of master list
Master footer | Prints at the end of master list
Detail header | Prints at the beginning of detail list
Detail data | Data rows of detail list
Detail footer | Prints at the end of detail list
Subdetail header | Prints at the beginning of subdetail list
Subdetail data | Data rows of subdetail list
Subdetail footer | Prints at the end of subdetail list
Group header | Prints at the beginning of each group
Group footer | Prints at the end of each group


Selecting report style

Select the report style by clicking one of the buttons demonstrating the future look of the report.

hs3170_selecting report style


Specifying paper settings

Specify report options, such as paper size and orientation, page margins. Check Open the report after the wizard has finished option to edit generated report with Report Designer. Click Finish button to start report generation process.

hs3180_specifying page options


Specifying margins

chbox Stretch to print area
If this option is checked, size of report adjusts to the print area. If this option isn't checked, you can specify exact left, right, top and bottom margins (in millimeters).

chbox Open the report after the wizard has finished
If this option is checked, the report will be opened after creating.

create report wizard - specifying margins


Specifying other page settings

Options.

chbox Print to previous page
This option allows to use white space on a previous page. This option can be used in case when a report template consists of several pages or when printing batch (composite) reports.

chbox Two-pass report
If this option is selected, report's formation will be performed in two steps. During the first pass, a report is formed, and is divided into pages, but the result is not saved anywhere. During the second pass a standard report formation with saving a result in the stream is performed.

chbox Page numbering
This option allows to print a page numbers.

Columns.

Number
This parameter specifies a number of columns for multi-column reports' printing.
Gap, mm
This parameter specifies width of a gap between columns.

chbox Open the report after the wizard has finished
If this option is checked, the report will be opened after creating.

create report wizard - specifying other page settings


Report Designer

The Report Designer allows you to create and edit reports. This tool can be opened after completion of Create Report Wizard to design a new report. To edit already existing project use the appropriate Report Viewer navigation bar item.

This module is provided by FastReport (http://www.fast-report.com) and has its own help system. Press F1 key in the Report Designer to call the FastReport help.

Please find below the instruction on how to create a simple report in the Report Designer:

· Adding dialog form
· Adding database component
· Adding query component
· Adding fields to the report
· Viewing the report

Note: The Object Inspector that allows you to edit report object properties, can be opened by pressing the F11 key.

See also:
Create report wizard
Report Viewer

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Adding dialog form

In the Report Designer right-click the page tab and select Add Dialog Form menu item. The Dialog Form will be created as shown below.

report designer - dialog form


Adding database component

On the Dialog Form do the following:

· Pick the Database component (lower on the left toolbar) and drop it on the form.
· Within the Object Inspector enter the HostName and the DatabaseName properties manually, e.g. 'localhost' and 'mysql'.
· Set the LoginPrompt property to True.
· Set the Connected property to True.
· Enter your login and password (e.g 'root' and empty password).
· Set the LoginPrompt property to False.

report designer - database

Note: The Object Inspector that allows you to edit report object properties, can be opened by pressing the F11 key.


Adding query component

On the Dialog Form do the following:

· Pick the Query component on the left toolbar and drop it on the form.
· Select the name of your Database component in the dropdown list of the Query1.Database property.
· Set the Query1.SQL property value, e.g. 'SELECT * FROM user'.
· Set Query1.Active to True.

report designer - query

Note: The Object Inspector that allows you to edit report object properties, can be opened by pressing the F11 key.


Specifying fields

At Page1 insert your fields into the report by clicking Insert DB Fields button on the top toolbar.

report designer - fields


Viewing report

Click Preview button on the toolbar. This mode allows you to view and print the result report.

report designer - perview


Report Viewer

Using the Report Viewer you can view, edit, save and print reports.
Main operations with the report can be found at Using navigation bar page.

See also:


Using navigation bar

The Navigation bar on the left allows you to:

· Select a database and a report for viewing.
· Refresh the current report.
· Edit the current report with Report Designer.
· Save the report to a file.
· Print the current report.
· Bring the window to its default size.

report viewer - navbar


Server Security Management

SQL Manager 2005 for MySQL provides User Manager for adding, deleting users, and editing global user privileges, and Grant Manager for granting privileges on the selected databases, tables and fields.

'Global' user privileges define the user access rights to all the database tables on the server. Granting privileges on the selected databases, tables or fields allows user to perform the defined operation (select, update, insert) over all the tables of the selected database, over the selected tables or over the selected fields only.

Adding User

To add a new user:

· Select the Tools | User Manager menu item.
· Click Add User button in User Manager.
· Edit user within User Editor.

Editing User Privileges

To edit global user privileges:

· Select the Tools | User Manager menu item.
· Select a user to edit his privileges in User Manager window.
· Click Edit User button.
· Edit user privileges within User Editor.

To edit user privileges for databases, tables and fields:

· Select the Tools | Grant Manager menu item.
· Select the database host from the dropdown list on Grant Manager toolbar.
· Edit database-specific privileges within the Grant Manager.

Deleting User

To delete a user:

· Select the Tools | User Manager item.
· Select a user to delete in User Manager window.
· Click Delete User button.
· Confirm deleting in the dialog window.


User Manager

User Manager is provided for administering users and their global privileges.

To open User Manager select the Tools | User Manager menu item.

· Connecting to host
· Using User Editor

See also:
Grant Manager

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Connecting to host

If you are not connected to the database server yet, select the host from the Server dropdown list and you will be prompted for login and password.

Note: you should register the server with Register Host Wizard before using this tool.

hs3510_connecting to host


User Editor

The User Editor window allows you to set such user properties as name, host, and password and also manage global server privileges and edit extended user properties. It is available on adding a new user or on editing the global privileges of the existing user through the User Manager and Grant Manager.

hs3390_using user editor


Grant Manager

Grant Manager allows you to set the user access grants for certain databases, tables or fields.

To open Grant Manager select the Tools | Grant Manager menu item.

· Managing global privileges
· Editing extended user properties
· Managing database-specific privileges
· Viewing granted objects only

See also:
User Manager

hs3100_editing extended user properties

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Managing global privileges

To edit global user privileges, select the user in the upper list and the database to which these privileges should be applied. To grant or revoke some privileges check or uncheck the appropriate options from the Global privileges group. To grant or revoke privileges for all operations, check or uncheck All privileges option.

hs3090_managing global privileges


Editing extended user properties

Use the panel below the user Global privileges group to edit other properties of the selected user. Use the Max Queries, Max Updates, and Max Connections boxes to set the respective permissions for the selected user.

hs3100_editing extended user properties


Managing database-specific privileges

To edit the specific privileges of a user to the database, select the user from the upper list box and the database to which these privileges should be applied. Use the Database-specific privileges panel for this purpose.

Right-click on the grid cell, where the row is the required database, table, or field, and the column is the operation for granting (SELECT, INSERT, UPDATE, etc), then select the Grant item from the popup menu to permit the selected operation over selected objects or select the Revoke item from the popup menu to forbid the selected operation over all the database tables. To grant or revoke all the operations on the selected object select Grant All or Revoke All respectively.

hs3110_managing database-specific privileges


Viewing granted objects only

Check the Granted only option to display objects with at least one granted operation.

hs3120_viewing granted objects only


MySQL Services

MySQL Manager provides graphical wizard interface for all native MySQL services, which are intended for database and table maintenance. To make your work with the server easier MySQL Manager also provides some graphical tools for working with the server as a whole.

The following services and server tools are available:

Backup Tables
Saves tables from local host to files for future restore.

Restore Tables
Restores tables from files on disk to the database.

Analyze Tables
Analyzes and stores the key distribution for the table.

Check Tables
Checks the database tables for errors.

Repair Tables
Repairs database tables that are corrupted.

Optimize Tables
Reclaims the unused space in tables and defragments the data files.

Server Properties
Displays server variables and processes.

Ping/Shutdown Server
Checks the server connection and allows you to shutdown the server.

Flush
Clears the internal MySQL caches.


Backup Tables

Backup Tables Wizard allows you to make a copy of all the table files to the backup directory. Currently MySQL supports backup only for MyISAM tables. Backup Tables copies .FRM (definition) and .MYD (data) files. The index file can be rebuilt from those two. To open the Backup Tables Wizard select the Services | Backup Tables menu item.

Note, that you can't backup tables on remote server; backup works only on local host. To backup tables from the remote server, use Extract Metadata, and then restore them using SQL Script Editor.

· Selecting database for backup
· Selecting tables for backup

See also:
Extract Database
Restore Tables

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Selecting database

Select a database for backup and set the full path to a directory for storing the backup files. The default directory for backup/restore can be set within the Edit Database Registration Info dialog.


Selecting tables

Select tables for backup or check the Backup all option to backup all the tables from the database. Click Finish button to start backup process.


Restore Tables

Restore Tables Wizard allows you to restore database tables, saved in advance with Backup Tables. To open the Restore Tables Wizard select the Services | Restore Tables menu item.

· Setting directory path for restoring
· Setting target database
· Selecting tables for restoring

See also:
Backup Tables

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Setting directory path

Set the full path to the directory, which contains files for restoring, and select whether the target database is already registered in MySQL Manager. The default directory for backup/restore can be set within the Edit Database Registration Info dialog.


Setting target database

Select the target database. If the database is already registered, then just select a host and a database, otherwise you should set all the connection properties (host name, port number, user name and password) in the respective boxes.

hs3220_setting target database


Selecting tables

Select tables from the source directory to restore into the target database. Click Finish button to start restoration.


Analyze Tables

Analyze Tables Wizard allows you to analyze and store the key distribution for the table. During the analysis the table is locked with a read lock. Currently MySQL supports analyzing only for MyISAM tables and BDB tables. MySQL uses the stored key distribution to decide in what order tables should be joined when one does a join on something different than a constant.

To call the Analyze Tables Wizard select the Services | Analyze Tables menu item.

· Selecting database
· Selecting tables for analyzing

See also:
Check Tables
Repair Tables
Optimize Tables

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Selecting database

Select a database host and select a database from this host for analyzing.


Selecting tables

Select tables for analyzing by moving them from the Available tables list to the Selected tables one. Click Finish button to start the analyzing process.


Check Tables

Check Tables Wizard allows you to check the database tables on errors. Currently it works only for MyISAM tables. To open the Check Tables Wizard select the Services | Check Tables menu item.

· Selecting database
· Defining options
· Selecting tables for checking

See also:
Analyze Tables
Repair Tables
Optimize Tables

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Selecting database

Select a database host and select a database from this host for checking.


Defining options

Define the check options according to the descriptions below.

chbox Quick
Do not scan the rows to check for wrong links.

chbox Fast
Only check tables which have not been closed properly.

chbox Changed
Only check tables which have been changed since last check or have not been closed properly.

chbox Medium
Scan rows to verify that deleted links are ok. This also calculates a key checksum for the rows and verifies this with a calculated checksum for the keys.

chbox Extended
Do a full key lookup for all keys for each row. This ensures that the table is 100% consistent, but it will take a long time!


Selecting tables

Select tables for checking by moving them from the Available tables list to the Selected tables one. Click Finish button to start the check process.


Repair Tables

Repair Tables Wizard allows you to repair the database tables that may be corrupted. Currently it works only for MyISAM and InnoDB tables.
To open the Repair Tables Wizard select the Services | Repair Tables menu item.

· Selecting database
· Defining options
· Selecting tables for repairing

See also:
Analyze Tables
Check Tables
Optimize Tables

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Selecting database

Select a database host and select a database from this host for repairing.


Defining options

Define the check options according to the descriptions below.

chbox Quick
Do a repair of only the index tree.

chbox Extended
Create the index row by row instead of creating one index at a time with sorting. This may be better than sorting on fixed-length keys if you have long char() keys that compress very good.

chbox Use .FRM
Use this mode if '.myi' file is missing or if its header is corrupted. In this mode MySQL will recreate the table, using information from '.frm' file.


Selecting tables

Select tables for repairing by moving them from the Available tables list to the Selected tables one. Click Finish button to start the repair process.


Optimize Tables

Optimize Table Wizard should be used if you have deleted a large part of a table or if you have made many changes to a table with variable-length rows (tables that have VARCHAR, BLOB, or TEXT columns). Deleted records are maintained in a linked list and subsequent INSERT operations reuse old record positions. You can use optimization to reclaim the unused space and to defragment the data file.

To open the Optimize Tables Wizard select the Services | Optimize Tables menu item.

OPTIMIZE TABLE works as follows:
· if the table has deleted or split rows, repair the table;
· if the index pages are not sorted, sort them;
· if the statistics are not up to date (and the repair couldn't be done by sorting the index), update them.

Currently MySQL Server supports optimizing only for MyISAM tables and BDB tables.

· Selecting database
· Selecting tables for optimizing

See also:
Analyze Tables
Check Tables
Repair Tables

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Selecting database

Select a database host and select a database from this host for optimization.


Selecting tables

Select tables for optimization by moving them from the Available tables list to the Selected tables one. Click Finish button to start the optimization process.


Truncate tables

Truncate Table Wizard empties a tables completely.

To open the Truncate Tables Wizard select the Services | Truncate Tables menu item.

Logically, this is equivalent to a DELETE statement that deletes all rows, but there are practical differences under some circumstances.

For InnoDB before version 5.0.3, TRUNCATE TABLE is mapped to DELETE, so there is no difference. Starting with MySQL/InnoDB-5.0.3, fast TRUNCATE TABLE is available. The operation is still mapped to DELETE if there are foreign key constraints that reference the table.

For other storage engines, TRUNCATE TABLE differs from DELETE FROM in the following ways from MySQL 4.0 and up:
· Truncate operations drop and re-create the table, which is much faster than deleting rows one by one.
· Truncate operations are not transaction-safe; you get an error if you have an active transaction or an active table lock.
· The number of deleted rows is not returned.
· As long as the table definition file tbl_name.frm is valid, the table can be re-created as an empty table with TRUNCATE TABLE, even if the data or index files have become corrupted.
· The table handler does not remember the last used AUTO_INCREMENT value, but starts counting from the beginning. This is true even for MyISAM and InnoDB, which normally does not reuse sequence values.

In MySQL 3.23, TRUNCATE TABLE is mapped to COMMIT; DELETE FROM tbl_name, so it behaves like DELETE.

· Selecting database
· Selecting tables for optimizing


Selecting database

Select a database host and select a database from this host for truncating.


Selecting tables

Select tables for truncation by moving them from the Available tables list to the Selected tables one. Click Finish button to start the truncation process.


Server Properties

Use Server Properties to view the properties of the selected server. To open the Server Properties window select the Services | Server Properties menu item.

· Viewing variables
· Viewing process list

See also:
Ping/Shutdown Server

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Viewing variables

Use the navigation bar to select the server and to connect/disconnect the server.

The Variables tab displays the list of all server variables and their values. These values cannot be edited, but can be copied to the clipboard with the appropriate item of the navigation bar or of the popup menu.


Viewing process list

Processes List tab displays the list of all the processes, executed on the server, including additional process information: ID, User, Host, etc. To stop the selected process right-click and select the Kill Process item from the popup menu. The process list cannot be edited, but can be copied to the clipboard with the appropriate item of the navigation bar or of the popup menu.

hs3260_viewing process list


Ping/Shutdown Server

Use the Services | Ping Server menu item to check the connection with the server. If the connection is correct, a message 'Success! Connection is alive' appears, otherwise - an error message.

Use Services | Shutdown Server to shutdown MySQL server. You must have the proper rights to execute this operation.

See also:
Server Properties

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Flush

Use the Services | Flush menu if you want to clear some of the internal caches that MySQL uses. To execute FLUSH, you must have the RELOAD privilege (see Server Security Management).

The following table illustrates the use of FLUSH:

· HOSTS
Empties the host cache tables. You should flush the host tables if some of your hosts change IP number or if you get the error message 'Host ... is blocked'. When more than max_connect_errors errors occur in a row for a given host while connection to MySQL server, MySQL assumes something is wrong and blocks the host from further connection requests. Flushing the host tables allows the host to attempt to connect again.

· LOGS
Closes and reopens all log files. If you have specified the update log file or a binary log file without an extension, the extension number of the log file will be incremented by one relative to the previous file. If you have used an extension in the file name, MySQL will close and reopen the update log file.

· PRIVILEGES
Reloads the privileges from the grant tables in the MySQL database.

· QUERY CACHE
Defragments the query cache to better utilize its memory. This command will not remove any queries from the cache, unlike RESET QUERY CACHE.

· TABLES
Closes all open tables and forces all tables in use to be closed.

· TABLES WITH READ LOCK
Closes all open tables and locks all tables for all databases with a read until one executes UNLOCK TABLES. This is very convenient way to get backups if you have a file system, like Veritas, that can take snapshots in time.

· STATUS
Resets most status variables to zero. This is something one should only use when debugging a query.

· USER_RESOURCES
Resets all user resources to zero. This will enable blocked users to login again.

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Program Options

SQL Manager 2005 for MySQL provides full customization of program interface, window behavior, various options of all tools and more. This chapter tells you how to use all these options.

Environment Options
General SQL Manager 2005 for MySQL options: environment style, confirmations, window restrictions, DB Explorer, SQL Editor, SQL Monitor, Visual Query Builder options and more.

Editor Options
Customizing of all the SQL editors - SQL Editor, SQL Script, and more.

Visual Options
Customizing program interface - bars, trees, menus, etc.

Keyboard Templates
Keyboard templates for quicker editing SQL.

Besides, the Options dialogs allows you to export all program settings to a *.reg file for future use, e.g. on another machine (see Save Settings for details).


Environment Options

Environment Options allow you to customize general SQL Manager 2005 for MySQL options. To open the Environment Options window select the Options | Environment Options menu item.

· Preferences
· Confirmations
· Windows
· Tools
· DB Explorer
· Naming Rules
· Table Editor
· SQL Editor
· SQL Monitor
· SQL Script
· Query Builder
· Print Metadata
· Data Export
· Fonts
· Grid
· Data
· Print Data
· Color & Formats
· Advanced
· Columns
· Localization
· Miscellaneous


Preferences

chbox Show splash screen on startup
Displays the splash screen on SQL Manager 2005 for MySQL startup.

chbox Save desktop on disconnect
Saves all the database windows and their positions on disconnecting from the database.

chbox Disable multiple instances
Prohibits running multiple instances of SQL Manager 2005 for MySQL.

chbox Encrypted passwords
Encrypts passwords for connecting to databases in the Windows registry.

chbox Show desktop panel
Displays the Desktop Panel when no windows are open.

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Confirmations

chbox Confirm saving of object
If this option is on, the program requires confirmation each time you want to save changes in database object.

chbox Confirm dropping object
If this option is on, the program requires confirmation for dropping database object.

chbox Confirm exit from MySQL Manager
If this option is on, the program requires confirmation when you want to exit SQL Manager 2005 for MySQL.

chbox Confirm transaction commit
If this option is on, the program requires confirmation of committing transactions.

chbox Confirm transaction rollback
Check this option if you want the program to require confirmation of transactions rollback.

chbox Confirm deleting records
If this option is on, the program requires confirmation of deleting records.

chbox Confirm reorder fields
Check this option if you want the program to require confirmation of reordering fields.

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Windows

Environment Style
This switch allows you to define the basic window behavior style - MDI (like MS Office) or Floating Windows (like Borland IDE).

Windows restrictions
This option allows you to set the number of editors (Table Editor, SQL Editor, etc.) that can be opened at a time.

Zoom options
This option is available only if Environment Style is 'Floating-windows environment'. It allows you to set the window maximization size: full screen, restricted by main form, restricted by main form and DB Explorer, justified by Main Form and DB Explorer.

Bar style for child windows
Allows you to define the location of action buttons. They can be located at the Navigation bar at the left and/or on the Tool bar. You can also Enable floating tool bars feature by clicking the appropriate option.

Availability:
Windows Professional
Yes
Windows Lite
Yes
Linux Professional
Yes (w/o Environment Style)


Tools

chbox Show only connected databases in dropdown menu
Displays only connected databases in the dropdown menus of such tools as: QueryBuilder, SQL Script, etc.

chbox Allow using parameters in query text
This feature allows you to specify different values within a query in a popup dialog just before the query execution. Use the colon (':') character before some identifier (e.g. :P1) to specify a parameter within a query.

Availability:
Windows Professional
Yes
Windows Lite
Yes (w/o Query Builder page)
Linux Professional
Yes (w/o Query Builder page)


DB Explorer

chbox Show hosts in DB Explorer
Shows/hides database hosts in the DB Explorer tree.

chbox Show Table Subobjects
Shows/hides table subobjects (fields and indices) in the DB Explorer tree.

chbox Sort by aliases
Sort registered databases by its aliases in the DB Explorer tree.

chbox Rename objects by editing in place
Allows you to edit object names right in the DB Explorer by selecting them and clicking on them one more time.

Recent windows count
Defines the number of objects displayed on the Recent tab of the DB Explorer.

Tables' Details in SQL Assistant
Switches the SQL Assistant mode for displaying table fields, indices, foreign keys, table status, definition or description (Table Properties).


Naming Rules

chbox Autogenerate subobject names
This option allows to generate names for foreign keys and triggers automatically.

On Foreign keys tab you can set a template for foreign key naming. There are some insert tags which can simplify template creation: Table Name, Serial Number, Serial Number (for duplicates), Referenced Table Name, Table Fields, Referenced Table Fields.

On Triggers tab you can set a template for trigger naming. There are some insert tags which can simplify template creation: Table Name, Serial Number, Serial Number (for duplicates), Trigger Type and Trigger Events. Here you can also set the values of tags for "After" and "Instead of" trigger types and for trigger events: insert, update and delete.

You can use Insert Tag droplist button to insert the tag you need, e.g. {table_name}, {ref_fields}, etc.


Table Editor

chbox Always Open the Fields Tab
Always opens the Fields tab default on activating the Table Editor.

chbox Show Object Explorer
Enables/disables showing the object explorer tree by default at the left of each Table Editor.

chbox Do not retrieve record count for a table
Enable this option for not to retrieve record count, as this can take a long time for large InnoDB tables.

Default storage engine defined on the server
This option allows you to define the default storeage engine used for creating new tables.


SQL Editor

chbox Fetch all
If this option is checked, all the records according to the query are extracted from the tables, otherwise - only those displayed on Results tab in the SQL Editor window.

chbox Explain query
If this option is checked, query plan is displayed at the bottom of the SQL Editor window.

chbox Show results for each query
Displays the Results tab after executing each query in SQL Editor.

chbox Execute selected text separately
Check this option to allow the separate executing of the selected text.

chbox Write only successful executed queries to database SQL log file
If this option is checked, unsuccessful queries will not be saved to SQL Editor log file. (See Log page in the Edit Database Registration Info dialog)

chbox Show results on Edit tab
Check this option to see query execution results on the same page with the query text, rather than on different pages.

chbox Don't save queries automatically for the next session
Turning this option off allows you to manage the content of SQL Editor manually e.g. you will be able to choose whether to save current query for future loading or not.

Transaction confirmation
The Disable transaction confirmation option allows you not to confirm each transaction carried and the Default action dropdown list defines the default transaction action: commit or rollback.


SQL Monitor

Operations
Select the operations displayed in the SQL Monitor window.

SQL Log
You can enable logging all the SQL Monitor events to a log file. Check option Log SQL Monitor events to file and set the name of the log file. To clear the log file after it reaches some definite size check Clear log file when it is greater than option and set the maximum file size in kilobytes.

chbox Show time of operation
Dislpays execution time of logged operations.

chbox Show always on top
Dislpays SQL Monitor tool always on top.


SQL Script

chbox Abort Script on Error
If this option is checked, script execution is aborted when an error occurs.

chbox Rollback on Abort
This option is available only if Abort Script on Error is checked. This option evokes automatic rollback on script execution abort.

chbox Enable parsing
With this option checked, SQL Script Editor parses loaded script to enable fast navigation on them in the Explorer tool.

chbox Show message when done
Displays message box on finishing script execution.

chbox Show information messages in error list
When this option is checked, information messages are displayed in error list of SQL Script Editor window.


Query Builder

chbox Select condition row
Displays the selected condition in different row on the Criteria and Grouping Criteria tabs of Query Builder.

chbox Drag field name
Displays the dragged field name in the Builder area.

chbox Hide selection when inactive
Hides the selection when Query Builder is inactive.

chbox Show field types in hints
Displays the field type next to the field in the table box.

Visible Tabs
These options specify which Query Builder tabs are available and which are not. Check boxes to make the appropriate tabs visible.

Script Format
These options specify the case formatting of keywords and functions in query text on the Edit tab. As is saves the original case, Uppercase sets all the keywords/functions to upper case, Lowercase sets all the keywords/functions to lower case, and First upper sets the first letters of all keywords/functions to upper case.

Style & Color Palette page
These options specify how Query Builder objects look like - 3D, flat, etc.
These options define colors of different Query Builder elements: condition row, active caption, table client area, etc. Click an item to select a color for the appropriate Query Builder element.


Visual Database Designer

Model notation
When you work in Visual Database Designer, you can choose one of the following modeling notations:

· Integration DEFinition for Information Modeling (IDEF1X) notation
· Information Engineering (IE) notation

The IDEF1X and IE notations use different symbols to represent entity and table relationships.

chbox Draw PRIMARY KEY fields separately
Separates primary key fields from other fields with the line.

chbox Draw entities icons
Displays icons at the left of entity header according to its type.

chbox Draw attributes icons
Displays icons at the left of attribute according to its type (primary key, foreign key, ordinary field).

chbox Show grid
Displays dots on the diagram area to make the grid visible.

chbox Snap to grid
Automatically aligns entities on the form with the nearest gridline. You cannot place an entity in between gridlines.

Grid size
Sets grid spacing in pixels along the x- and y-axes. Specify a higher number to increase grid spacing.

Entity header font
Select a font type and size to dislpay entity headers.

Attributes font
Select a font type and size to dislpay attributes.

Color Palette page
These options define colors of different Visual Database Designer elements: work area, table captions, field area, etc. Click an item to select a color for the appropriate Database Designer element.

hs3595_visual database designer


Print Metadata

Default Paper Size
Defines the default paper size for the reports created with the Print Metadata tool.

hs3600_print data_print metadata


Data Export

This page allows you to customize formats applied to exported data. Edit the format masks to adjust the result format in the way you need.

Fore more details see Adjusting Data Formats


Fonts

System Font Name
Defines the font name used by SQL Manager 2005 for MySQL.

System Font Size
Defines the font size used by SQL Manager 2005 for MySQL.

The box below displays the sample text using the selected font.

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Grid

General options

chbox Stripy Grids
Displays the odd grid rows in a different color, defined by the Stripy option.

chbox Show editor immediately
Allows editing the cell value right after the cell is clicked.

chbox Always show editor
Set this option to make the cell editors always active.

chbox Enable auto-search in grid
Set this option to enable start typing and have the grid automatically navigate to the closest match.

chbox Row multi-selection
With this option set, multiple rows can be selected.

chbox Column auto-width
With this option set, column widths are changed in order to display all columns without using the horizontal scrollbar. If a column's content is still too large to display without the grid needing to resize, then the column's values are truncated and the hidden characters are replaced with an end ellipsis.

chbox Cell auto-height
If the widths of the columns are insufficient to display the full content, then text clipping occurs. Set this option to prevent this. If this option is set, the cell content is displayed in multiple lines where necessary.

chbox Use compact view for TEXT fields
Turning this option on displays large TEXT fields in grid like an icon, as if minimized. Click it to view the full content of the field. When switched off, just a fragment of TEXT will be displayed in the cell.

Limit options in table and view editors

Select all records
Selects all the records from the table, no matter how many records there are in it.

Select only
Select only fixed number of records on opening Data tab. With this option enabled on attempt to open a table the statement SELECT will be used with the TOP xxx parameter to prevent loading all data at once, otherwise it would take a long time.

Records
This edit box is available only if Select only option is selected. It defines the maximum number of records, selected from the table at a time.

Grid layout preference

Select Save and restore layout option to keep the original grid width. Select Autofit column widths option to shrink the grid columns so that the longest visible column value fits.

Root level options

These options are applied to the main view of the grid. See Grid View for details.

Detail level options

These options are applied to the detail view of the grid. See Grid View for details.

chbox Show "Group by" box
Displays a box above the column captions allowing to group data in the grid.

chbox Show indicator
Displays the row indicator.

chbox Show navigator
Activates/deactivates the data navigator. This navigator is displayed at the bottom of a view.

chbox Show "New item row"
Displays an empty row at the top of a view, which is a convenient way for adding data to the grid.

chbox Hide tabs for single detail
This option is actual when only one view is present on detail level. When checked, it hides the view tab.

See also:
Data Frame

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Data

Default Grid Mode

· Load visible rows
The grid loads only a fixed number of dataset records into memory. This option minimizes dataset loading time. The automatic sorting, filtering, summary calculations are not supported in this mode.

· Load all rows
The grid loads all records from a dataset. This option increases the grid performance by reloading only changed dataset records when updating. In this mode all features (automatic sorting, filtering and summary calculations) are available.

Default Grid Mode defines grid mode which will be used by default.
With the Load all rows option enabled, when loading data, all the records are loaded into grid buffers. In this mode opening the tables with many records may take a very long time. But in this case you have some advantages: e.g. in the filter drop-down list the column headers are displayed with the values for quick filter; it is possible to open several sublevels at the same time when viewing data in master-detail view, etc.
Because opening and other operations with an object consisting of many records takes sufficient time the Load visible rows mode should be used instead. It can be set individually for each table and is saved between sessions (can be set via grid context menu).

Advanced

chbox Use shared connection for each data view within a database
Check this option to disable creation of the separated connection for each data view. It is recommended if maximum allowed number of connections is too low.

chbox Use SQL sorting in data view
The data view will be ordered using SQL sort.

chbox Use SQL filter in data view of Table and View Editors
The data view will be ordered using SQL filter.

With the Use SQL Sorting in data view option enabled a click on the column header for sorting causes reloading all table data with the selected field in ORDER BY expression of the SELECT statement. Otherwise the sorting is performed by means of grid. If the table consists of huge number of records and the Select only XXX records mode (Limit options in table and view editors) is used this mode is more preferable (e.g. all the records which field values start with "A" will be displayed, and not those which were in originally opened XXX records.
All above-mentioned is related to the Use SQL filter in data view option. If the filter is applied to the tables consisting of many records it is strongly recommended to enable this option. After enabling it the filter will be applied to all table records, not only to those which are displayed at the present moment.


Print Data

Save/restore following print data properties
These options specify which Print Data properties will be saved between work sessions (e.g. if you tick off the Page settings item, those the settings will be saved and stored between sessions).

hs3600_print data_print data


Color & Formats

Display Formats

Integer Fields
Defines the format for displaying TINYINT, SMALLINT, MEDIUMINT, INTEGER, and BIGINT fields.

Float Fields
Defines the format for displaying FLOAT, DOUBLE and DECIMAL fields.

DateTime Fields
Defines the format for displaying DATETIME fields.

Date Fields
Defines the format for displaying DATE fields.

Time Fields
Defines the format for displaying TIME fields.

String Fields Width
Defines the width of CHAR and VARCHAR fields displayed in the grid.

Colors

Grid
Defines the background color of the data grid.

Row
Defines the color of the selected row in the data grid.

Stripy
Defines the color of the odd rows if the Stripy Grids option is on.

Null Values

Text
Defines the text that stands for the NULL value.

Font Color
Defines the font color displaying NULL values in the grid.

hs3630_color & formats


Advanced

chbox Invert selection
Determines whether a single cell within the focused row or the whole row is highlighted when focused.

chbox Cell hints for clipped text
Indicates whether a hint box is displayed when hovering over a cell containing clipped text.

chbox Focus cell on cycle
Determines whether the focus moves to the next row after it reaches the right-most cell within the current row.

chbox Focus first cell on new record
Determines whether the focus moves to the first cell of a newly created row.

chbox Next cell on pressing Enter
Determines whether the current view columns can be navigated by using the Enter key.

chbox Show navigation hints
Indicates whether a hint box is displayed when hovering over navigator buttons.

chbox Column filtering MRU items
Enables showing of Most Recently Used items when filtering columns

chbox Expand buttons for empty details
Specifies whether to display expand buttons within master rows that don't have associated details.

Card width
Defines the width of the card used in Card View mode.

chbox Large Memo Editor
Sets number of lines for text-typed fields when viewing data in Form view.

Grid lines
Determines whether to display vertical and horizontal lines between cells.

Detail tabs position
Specifies position of the tabs on detail level views.

Card layout direction
Specifies the direction of cards in Card View mode.

Show edit buttons
Indicates whether an edit button is displayed.


Columns

chbox Auto-select text
Determines whether all text within an editor is automatically selected when the editor gets focus.

chbox Hide selection on losing focus
Determines whether the visual indication of the selected text remains when the editor loses focus.

chbox Inserting Return characters
Specifies whether a user can insert return characters into text.

chbox Inserting Tab characters
Specifies whether a user can insert tab characters into text.

chbox Word wrap
Determines whether long strings are wrapped within a memo editor.

chbox Use Ctrl+Up to increase spin values
Allows you to use Ctrl+Up and Ctrl+Down key combinations for editing the spin values (integer field values).

chbox Show large increment buttons
Determines whether fast buttons are visible within an editor.

Increment
Specifies the increment value for a spin editor.

Large increment
Specifies the fast increment value for the spin editor.

Spin editors buttons' position
Specifies the position of spin editor buttons.


Localization

The Localization page is provided for managing the SQL Manager 2005 for MySQL localization files.

You can create your own *.lng files similar to those, available in the $(SQL Manager 2005 for MySQL)\Languages folder, add them to the list of available languages on this tab and set the new language as a program interface language.

chbox Auto scan languages on startup
When checked, the directory with localization files will be scanned automatically on program startup; all the languages found will be added into the list of available languages.

Default Directory
The default directory for adding the new *.lng files.

Choose Program Language
Selects the program interface language.

Available Languages
Lists all the languages available for localization and the corresponding *.lng files. Double-click a language in the list to edit its name or *.lng file.

Add Defaults
Searches in the Default Directory folder for the *.lng files and adds all them to the list.

Add
Opens the Language Editor dialog for adding a new language file.

Edit
Opens the Language Editor dialog for changing the name or the corresponding *.lng file of the language selected in the Available Languages list box.

Delete
Removes the language selected in the Available Languages list box.

See also:
Localizing MySQL Manager

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


Miscellaneous

Qt Style
This switch allows you to define the appearance of all widgets within SQL Manager 2005 for MySQL independently of the current graphic shell. Six values are available: Windows, Motif, Motif Plus, QtSGI, Platinum, and System Default.

Web Browser
Use this switch to define your Internet browser: Konqueror, Mozilla, or Other. If you choose Other you have to define the command-line for running this browser.

Availability:
Windows Professional | No
Windows Lite | No
Linux Professional | Yes


Editor Options

Editor Options allow you to set the parameters of viewing and editing the SQL statements within SQL Manager 2005 for MySQL. To open the Editor Options window select the Options | Editor Options menu item.

· General
· Display
· Color
· Quick Code
· SQL Formatter
· Key Mapping

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


General

chbox Auto Indent
If this option is checked, each new indention is the same as the previous when editing SQL text.

chbox Insert Mode
If this option is checked, insert symbols mode is on by default.

chbox Use Syntax Highlight
Enables syntax highlight in the object editor window.

chbox Find Text at Cursor
If this option is checked, the Text to Find field in the Find Text Dialog window is automatically filled with the text, cursor set on.

chbox Always Show Hyperlinks
If this option is checked, hyperlinks are displayed in the editor window. To open a link click it with the Ctrl button pressed.

chbox Show Line Numbers
If this option is checked, line numbers are displayed in the SQL text editor window.

chbox Trim trailing spaces
If this option is checked, all spaces after the last symbol in line will be trimmed.

chbox Use smart tabs
If this option is checked, tab length will be variable. After pressing a Tab button the cursor aligns with the nearest first or last position of another line.

chbox Take from previous line only
Tab length will be variable. After pressing a Tab button the cursor aligns with the first or last position of the previous line.

chbox Convert Tab characters to spaces
If this option is checked, Tab symbol is replaced by the "spaces".

chbox Drag and drop text
This option allows to drag and drop selected text.

chbox Group undo
This option allows you to undo multiple actions of the same kind.

chbox Keep caret horizontal position
If this option is checked, the horizontal position of a cursor is kept. If you move a cursor (by Up and Down arrows) on a line, which length is less than current cursor horizontal position, it will be positioned after the last symbol of a line.

Tab Stops
Defines the tab length, used when editing a text.

Undo Limit
Defines the maximum number of changes possible to be undone.


Display

chbox Visible Margin
Makes the right text margin visible.

chbox Visible Gutter
Makes the gutter visible in the editor window.

Right Margin
Defines the position of the right text margin in the editor window.

Gutter Width
Defines the gutter width in the editor window.

Editor Font, Size
Use these options to set the editor font and its size.


Color

On Color tab you can specify font and background colors and attributes of the text, editor uses to mark out different text fragments: default, comments, strings, SQL keywords, numbers, links, wrong symbols, identifiers, symbols, and selected text. Set the foreground and background colors for different elements in the corresponding boxes.


Quick Code

chbox Code Completion
If this option is checked, then on typing the first word symbols in the SQL text editor you are offered some variants for the word completion in a popup list (analogue of the Code Insight in Delphi IDE). The popup list will appear at a time, defined by Delay option.

chbox Code parameters
If this option is checked, the Delphi-like hint for functions is enabled.

Delay
Using this option you can change the time the popup list takes to appear.

Code Case
Allows you to change the case of the words inserted automatically.

chbox Use Keyboard Templates
Allows you to use keyboard templates for faster typing regularly met expressions (see Keyboard Templates).

chbox Color Scope Categories
If this option is checked, object types differ in color in the popup menu.

Sort By Scope / Sort By Name
Switches sorting objects in the popup menu by name or by type (Table, UDF, etc.).


SQL Formatter

SQL Formatter is a new feature added to SQL Editor. It is a useful tool for formatting SQL queries, making SQL statements easy to read.


Settings

chbox Format SQL query
Turns on SQL formatting, making the SQL statements easier to read.

chbox Format subquery
Allows to format subqueries

chbox Format BEGIN, END
Formats statements between the BEGIN and END reserved words. It can be applied for stored procedures, views and triggers.


SQL Words

Wrap first element
Wraps the selected text at a specific column.
Select the key words after which formatting should be applied.

Params in line/list
Allows you to display the parameters followed by the key words (specify them below) in list or in line.

OR - AND
Set the placement of the AND an OR operations according to the operands followed by them. See the example below.

Left

WHERE
AND ...
AND ...
AND ...

Separate

WHERE
...
AND
...
AND

Right

WHERE
... AND
... AND
... AND

The Keywords case and Identifiers case options allow you to define the case of the corresponding items.
You may choose UPPER, lower, Capitalize.
Default case means leaving the name of the identifier or a keyword "AS IS".

chbox Space before bracket
Adds a "space" symbol before the opening bracket and after the closing one.

chbox Space into brackets
Adds a "space" symbol after the opening bracket and before the closing one.

Indents in list
Sets the size of indent relative to the previous string.


Key Mapping

For your convenience SQL Manager 2005 for MySQL provides key mapping. On this tab you can set the shortcuts for various commands/operations according to your needs.

Select the command for which you want to make a shortcut from Commands the list on the right, then place cursor into the Key editor and press key combination you find useful (use Ctrl Alt Shift buttons). After setting the shortcut, press New button to add it into the list of existing Key combinations.

Note: you may set a double key combination eg. Ctrl-K, Ctrl-H by using Add button.

Hotkeys mapping may be saved as a scheme. Manage the schemes using Save As... and Delete buttons.

You can export Key mapping scheme into various formats via Export Data Wizard, that can be called by pressing Export button.


Visual Options

This window allows you to customize the application interface style to your liking. To open this window select the Options | Visual Options menu item.

Use Scheme Name to select the interface scheme you like: Office XP style, Windows XP native style, etc. You can create your own interface schemes by customizing any visual options you like on the appropriate tabs (Bars and Menus, Trees and Lists, Edit Controls, Check Boxes, Buttons, etc.) and clicking the Save As button.

All the customizing you make is displayed on the Sample panel.

· Bars and Menus
· Trees and Lists
· Edit controls
· Check boxes
· Buttons
· Page controls
· Group boxes
· Splitters
· Navigation bar

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


Bars and Menus

Use the Bars and menus tab to customize SQL Manager 2005 for MySQL toolbars style and menus animation.

hs770_visual options_2_bars and menus


Trees and Lists

Use the Trees and lists tab to select various tree view options.

hs770_visual options_3_trees and lists


Edit controls

Use the Edit controls to customize the appearance of different SQL Manager 2005 for MySQL edit controls.

hs770_visual options_4_edit controls


Check boxes

The Check boxes tab allows you to customize the appearance of check boxes and radio buttons.

hs770_visual options_5_check boxes


Buttons

Use the Buttons tab to customize SQL Manager 2005 for MySQL buttons.

hs770_visual options_7_button kind


Page controls

The Page controls tab allows you to customize the style of all SQL Manager 2005 for MySQL page controls.

hs770_visual options_8_page controls


Group boxes

Use the Group boxes tab to customize all SQL Manager 2005 for MySQL group boxes to your liking.

hs770_visual options_9_group boxes


Splitters

Use the Splitters tab to customize all SQL Manager 2005 for MySQL splitters to your liking.


Navigaton bar

Use the Navigation bar tab to customize all SQL Manager 2005 for MySQL navigation bars to your liking.

hs770_visual options_11_navigaton bar


Keyboard Templates

The Keyboard Templates window allows you to create new keyboard templates for quicker typing regularly met expressions and to edit the existing ones. To call this window select the Options | Keyboard Templates menu item from the popup menu.

You can deactivate the existing template by choosing it from the list at the left of the window and removing flag from its name. Also you can edit template name, using button Edit, delete a template, using button Delete and edit template expression in the right part of the window. For faster editing you can use the buttons Cursor Position, Author, Time, Date.

To add a new template, click Add, set the template name and define the template expression. In the upper left corner of the window you can choose the case of the template expression.

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Save Settings

Save Settings Wizard allows you to export SQL Manager 2005 for MySQL settings wholly or partially to a single *.reg file, which you can apply to SQL Manager 2005 for MySQL installed on another machine or use to backup previous settings. To open the wizard select the Options | Save Settings menu item.

· Specifying destination file
· Selecting settings
· Selecting databases
· Saving settings

hs3790_specifying destination file

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


Specifying destination file

Specify a *.reg file to save SQL Manager 2005 for MySQL settings to.

hs3790_specifying destination file


Selecting settings

The options of this step specify the information saved to the result file, e.g. Database Registration Info, Environment options, etc.


Selecting databases

Select registered databases to save their settings by moving them from the Available Databases list to the Selected Databases one.


Saving settings

Click Finish button to start the extracting.


Plugins and External Tools

You can add plugins and external programs to SQL Manager 2005 for MySQL to make it more effective.

Installing Plugin

To add a plugin:

· Select the Options | Plugins Options menu item.
· Click Add plugin button in the Plugins Options dialog.
· Select the plugin *.dll file in the Open dialog, e.g. '$(SQL Manager 2005 for MySQL)\Plugins\DataGenerator.dll' (see Data Generator Plugin to learn more about this plugin).
· Close Plugins Options.

If the added plugin is a common tool, it is added to the Plugins menu. If it is a tool for working with a definite database object, a button is added to the toolbar of the object editor for calling the plugin. If the added plugin has options to customize, the proper item is added to the Options menu for opening the customization dialog.

Uninstalling Plugin

To remove a plugin:

· Select the Options | Plugins Options menu item.
· Select the plugin to remove from the Common Tools or Tools for objects lists in the Plugins Options dialog.
· Click Remove plugin button.
· Close Plugins Options.

The selected plugin is removed and is no longer accessible neither from the Plugins menu nor from the object editor toolbar.

Adding External Tool

To add an external program:

· Select the Options | External Tools menu item.
· Click Add... button in the External Tools dialog.
· Click the button next to the Program box to select the program *.exe file, or set the program execution file manually in this box.
· Set the program title, hot key, working directory and execution parameters if necessary in the proper boxes of the External Tool Info Editor.
· Click OK in the External Tool Info Editor and External Tools dialogs.

This adds the icon and the title of the program you selected to the Tools | External Tools submenu. Now you can run this tool quickly without stopping work with MySQL Manager.

Removing External Tool

To remove an external program:

· Select the Options | External Tools menu item.
· Select the tool to remove from the Tools list in the External Tools dialog.
· Click Delete button.
· Click OK to confirm removing the tool and closing the dialog.

The selected tool is removed and is no longer accessible from the Tools | External Tools submenu.


Plugins

The Plugins Options window allows you to install new plugins for working with SQL Manager 2005 for MySQL. To call this window select the Options | Plugins Options from the popup menu.

· Installed Plugins
· Plugin Options
· Data Generator Plugin

See also:
Data Generator Plugin
External Tools

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Installed Plugins

On Plugins tab the installed plugins are displayed. They are divided into the Common tools, that are plugins, performed for working with the program as a whole, and Tools for objects, performed for working with database objects. At the bottom of the window the description of the selected plugin is displayed.

Add plugin
Opens a dialog for selecting the plugin DLL and installs the selected plugin.

Remove plugin
Uninstalls the plugin, selected in the Common Tools or Tools for objects lists.

New submenu
Adds a submenu to the selected menu in the Common Tools list box.

Rename
Allows you to change the selected submenu name.

Delete
Removes the selected submenu.

To change the position of the plugins in submenus drag them to the submenus you need or use the arrow buttons.


Plugin Options

On Plugin Options tab the information about the selected plugin is displayed.

chbox Plugin is a common tool
The selected plugin is performed for working with the program as a whole.

chbox Plugin is built in object editor
The selected plugin is built-in to the database object editor (table or UDF).

chbox Plugin has options dialog
The options of the selected plugin are available for customizing via the Options menu.

chbox Unload plugin after executing
The selected plugin automatically unloads after executing.

Object Editors
Displays the list of database objects. The plugin is available in the editors of the selected objects.

Menu caption
The plugin menu caption and the shortcut for faster accessing the plugin.

Options menu caption
The caption of the menu item for calling the plugin option and the shortcut for faster accessing plugin options. These boxes are available only if the selected plugin has options.

chbox Place button on toolbar
Places a button for calling the plugin to the main window toolbar.


Data Generator Plugin

Data Generator Plugin is a useful utility for filling tables automatically with random values. It becomes available in the Plugins menu after it was installed (see Install Plugin for details). The DataGenerator.dll file is situated in the SQL Manager 2005 for MySQL program directory, and in the 'Plugins' subdirectory.

Database
Select the database to generate data to.

Table
Select table to generate its data.

The <Table_Name> list box at the left displays names and types of all the fields from the table selected in the dropdown list above. Click a box at the left of the field name to select this field for generation. Select a field in the list to set its generation options at the right.

Generate randomly
Generates data for the field, selected in the left list box, in the given range. Set min and max values possible in the proper boxes below.

Get from list
Fills the field with data values, selected randomly from the list of values. Set the list of possible values in the box below, delimiting values with line breaks.

See also:
Plugins Options

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


External Tools

The External Tools window allows you to add executable programs to the Tools | External Tools menu to access them quickly from SQL Manager 2005 for MySQL. To call this window select the Options | External Tools menu item.

Tools
Lists all added external tools.

Add
Opens External Tool Info Editor for adding a new tool.

Edit
Opens External Tool Info Editor for editing title, .exe file, hot key, working directory or execution parameter of the tool, selected in the Tools list box.

Delete
Removes the selected tool from the list of SQL Manager 2005 for MySQL external tools.

To change the order of tools in the list use the arrow buttons below the list box or press buttons Shift+Ctrl+Up / Shift+Ctrl+Down on the keyboard. You can also drag items in the list box to change their positions.

See also:
Plugins Options

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


External Tool Info Editor

The External Tool Info Editor window allows you to set the parameters of calling the external program from SQL Manager 2005 for MySQL. This window is available on adding or editing the external tool (see Add External Tool and External Tools).

Title
Title displayed in the Tools | External Tools submenu for calling the tool.

Hot Key
Press a key or a key combination on the keyboard to set it as a hot key for the tool.

Program
Full path to the program *.exe file.

Working Dir
Program default directory.

Parameters
Parameters for executing the program.

hs1180_external tool info editor


Localizing the product

SQL Manager 2005 for MySQL provides multi-language interface support. You can change the program language easily, edit existing localizations, and create your own localization files.

Changing Program Language

To select the program interface language:

· Select the Options | Select Program Language menu item.
· Select the interface language in the Select Program Language dialog.
· Click OK to close the dialog.

Editing Program Localization

To edit the interface localization:

· Open one of the program windows (e.g. Table Editor, SQL Editor) to edit the localization of its captions and hints.
· Press Shift+Ctrl+L on the keyboard to open Localization Editor window.
· Edit window captions and hints as you like.
· Click Save button on the toolbar.

Note, that the Localization Editor window is available only if the selected language is different than default.

Creating New Localization

To create a new localization:

· Create a new localization file similar to one of those situated in the $(SQL Manager 2005 for MySQL)\Languages folder.
· Select the Options | Environment Options menu item.
· Open the Environment Options | Localization dialog tab.
· Click Add button on this tab.
· Set the language name and the path to the new *.lng file in the dialog window.

The new language is added to the list of available languages. Now you can set it as a program interface language via the Select Program Language dialog or the Localization tab of the Environment Options.


Localization Editor

The Localization Editor window allows you to edit the captions and hints of any SQL Manager 2005 for MySQL window, if the selected program language is different than default.

To call this window just press Shift+Ctrl+L in any SQL Manager 2005 for MySQL window.

All the window text consists of the element names and the corresponding strings, divided by the '=' character. These strings are what you see in the program as menu items, window captions, button hints, etc. Edit them to change the program appearance. Don't edit anything that stands before the '=' character - this will not produce any effect.

For your convenience we have provided Find and Replace buttons on the toolbar, which call the Find Text Dialog or the Replace Text Dialog respectively. The Search Again button enables the repeated search for the text last searched.

When you are done with editing click Save button on the toolbar to apply the changes you have made.

See also:
Environment Options | Localization

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


Select Program Language

The Select Language dialog allows you to select a language for SQL Manager 2005 for MySQL localization.

To call this window select the Options | Select Program Language menu item.

The window displays the list of available languages, set in the Environment Options | Localization. Select the proper interface language and click OK.

See also:
Environment Options | Localization

select program language

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


  • Index

To-Do List

The To-Do List window allows you to make up a list of tasks for the database. To call this window select the View | To-Do List menu item.

Click the Add Item button to add a task to the list. Fill in the fields of Add To-Do Item dialog window:

Text
Optional text describing the task.

Priority
The priority of the task: not negative integer.

User Name
User name this task is applied to.

Category
The task category. You can set optional text or choose one of the given categories here.

Click 'OK' to add the new task to the list.

Choose a task from the list and click the Edit Item button to edit it.

The Delete Item button deletes the Selected task from the list.

Click the Delete All button to clear the task list. Confirm it in the dialog window and all the tasks will be deleted.

Database Select Field
Select the database to apply the task list to. When switching between the databases you can view different task lists.

The task list is displayed in a form of a grid. Its columns (Action, Priority, User, Category) correspond to the task parameters. Clicking left mouse button at the column title allows you to enable sorting by the current parameter or change the sorting direction.

Clicking right mouse button in the window area activates popup menu, which allows you to add a task to the list, edit or drop current task, and clear the task list.


  • Index

Find Text Dialog

The Find Text Dialog is provided for quick searching for the text in the editor window.

Text to Find
Enter a search string. To select from a list of previously entered search strings, click the down arrow next to the input box.

chbox Case Sensitive
Differentiates uppercase from lowercase when performing a search.

chbox Whole words only
Searches for words only. (With this option off, the search string might be found within longer words.)

chbox Regular Expressions
Recognizes regular expressions in the search string.

Forward
Searches from the current position to the end of the file.

Backward
Searches from the current position to the beginning of the file.

Global
Searches the entire file, in the direction specified by the Direction setting.

Selected text
Searches only the selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

From cursor
The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

Entire scope
The search covers either the entire block of selected text or the entire file (no matter where the cursor is in the file), depending upon the Scope options.


  • Index

Replace Text Dialog

The Replace Text Dialog is provided for searching and replacing text in the editor window.

Text to Find
Enter a search string. To select from a list of previously entered search strings, click the down arrow next to the input box.

Text to Replace
Enter the replacement string. To select from a list of previously entered search strings, click the down arrow next to the input box. To replace the text with nothing, leave this input box blank.

chbox Case Sensitive
Differentiates uppercase from lowercase when performing a search.

chbox Whole words only
Searches for words only. (With this option off, the search string might be found within longer words.)

chbox Regular Expressions
Recognizes regular expressions in the search string.

chbox Prompt on replace
Prompts you before replacing each occurrence of the search string. When Prompt on replace is off, the search string is replaced automatically.

Forward
Searches from the current position to the end of the file.

Backward
Searches from the current position to the beginning of the file.

Global
Searches the entire file, in the direction specified by the Direction setting.

From cursor
The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

Entire scope
The search covers either the entire block of selected text or the entire file (no matter where the cursor is in the file), depending upon the Scope options.

Replace All
Click Replace All to replace every occurrence of the search string. If you check Prompt on replace, the confirmation dialog box appears on each occurrence of the search string.


  • Index

Customize Toolbars

The Customize Toolbars window allows you to select the buttons displayed on the SQL Manager 2005 for MySQL toolbars and change their positions.

To call this window, click the down-arrow button at the right-side of any toolbar, then click Add or Remove Buttons and select Customize.

Toolbars

Toolbars
The toolbars of the window from which the Customize was called. Click a box near the toolbar name to show or hide the toolbar.

New
Adds a new toolbar to the toolbar list and to the parent window.

Rename
Renames a user-created toolbar.

Delete
Deletes a user-created toolbar.

Commands

This tab allows you to view the list of all the commands available within toolbars of the parent window. Selecting categories in the Categories list box displays commands of the selected category (e.g. 'Database' or 'Tools') in the Commands list box. You can pick a command and drag it on any parent window toolbar to create a button for this command.

Options

Menus show recently used commands first
With this option on the parent window menus drop-down containing only several items available, which have been used recently. To display full menus unselect this option.

Show full menus after a short delay
This option is available only if Menus show recently used commands first is on. It displays full menus after a few seconds of showing only recent items.

Reset my usage data
Resets the lists of recently used commands in the toolbars and menus.

Large Icons
Displays larger icons on the parent window toolbars.

Show ToolTips on toolbars
Shows tips on navigating to the toolbar button.

Show shortcut keys in ToolTips
Shows shortcuts for faster activating the corresponding commands in the button tips.

Menu animations
Select how menus appear in the parent window.


  • Index

Language Info Editor

The Language Editor window allows you to set the name and the corresponding *.lng file for the localization language. It is available on adding or editing the language (see Environment Options | Localization).

Language Name
The name of the language displayed in the Select Program Language dialog and on the Environment Options | Localization tab.

Language File
The *.lng file containing the translated string resources. See $(SQL Manager 2005 for MySQL)/Languages folder to find already existing localization files.


  • Index

SSH tunneling options

Please note that MySQL host name should be set relatively to the SSH server in this case. For example, if both of MySQL and SSH servers are located on the same computer, you should specify localhost as Host name instead of server's external host name or IP address.

To setup SSH connection correctly, input the following values in corresponding fields:

· On SSH page/tab:
· SSH host name is a host where SSH server is activated.
· SSH port is a port where SSH server is activated.
· SSH user name is a user on Linux machine. (It is a Linux user. It is not a user of MySQL server.)
· SSH password is a Linux user password.

· On Connection properties/General page/tab:
· Host is a host where MySQL server is located in point of view SSH server. If SSH and MySQL server are on the same machine, it is equal to SSH Host, or may be 'localhost'.
· Port is a port of MySQL server on Remote Host, by default it is 3306.
· User Name is a MySQL user name.
· Password is password of the MySQL user.


  • Index

HTTP tunneling options

To use this connection method just upload the tunneling script to the webserver where MySQL Server is located or to any other webserver from which direct connections to your MySQL Server are allowed. This script exposes the MySQL API as a set of web-services which is used by SQL Manager 2005 for MySQL.

In case of using this connection method, the response will be slow compared to the direct connection or SSH Tunneling method as the data is XML encoded and HTTP is stateless by nature. However, you can use all the great features of SQL Manager 2005 for MySQL with it.


 To register your purchased copy of EMS SQL Manager 2005 for MySQL do the following steps:

· Receive the notification letter from Share-it! with the registration info.
· Enter Registration Name and Registration Key from this letter.
· Make sure that registration process was completed successfully - look at About window at Help | About… main menu item.

See also:
Purchasing MySQL Manager

registering mysql manager


  • Index

Charset options

Client charset
This option is equivalent to MySQL statement SET NAMES 'x'.
SET NAMES indicates what is in the SQL statements that the client sends. Thus, SET NAMES 'cp1251' tells the server "future incoming messages from this client are in character set cp1251." It also specifies the character set for results that the server sends back to the client. (For example, it indicates what character set column values are if you use a SELECT statement.)

Font charset
Set Font Charset property to identify the character set of the font in the program. Each typeface (specified by the Name property) supports one or more character sets.

The following table lists the predefined constants provided for standard character sets:

Constant | Description
ANSI_CHARSET | ANSI characters
DEFAULT_CHARSET | Font is chosen based solely on Name and Size. If the described font is not available on the system, Windows will substitute another font
SYMBOL_CHARSET | Standard symbol set
MAC_CHARSET | Macintosh characters
SHIFTJIS_CHARSET | Japanese shift-JIS characters
HANGEUL_CHARSET | Korean characters (Wansung)
JOHAB_CHARSET | Korean characters (Johab)
GB2312_CHARSET | Simplified Chinese characters (mainland china)
CHINESEBIG5_CHARSET | Traditional Chinese characters (Taiwanese)
GREEK_CHARSET | Greek characters
TURKISH_CHARSET | Turkish characters
VIETNAMESE_CHARSET | Vietnamese characters
HEBREW_CHARSET | Hebrew characters
ARABIC_CHARSET | Arabic characters
BALTIC_CHARSET | Baltic characters
RUSSIAN_CHARSET | Cyrillic characters
THAI_CHARSET | Thai characters
EASTEUROPE_CHARSET | Includes diacritical marks for eastern european countries
OEM_CHARSET | Depends on the codepage of the operating system


 This window allows you to see short messages, notifying you about fine points or interesting abilities of SQL Manager 2005 for MySQL.

hs6000_tip of the day


  • Index

Using templates

For your convenience the ability to use templates is provided by SQL Manager 2005 for MySQL. Now instead of performing a long chain of routine steps all the time you can save the desirable options of the Wizard for future use as a template file. Choose Save template of the Templates drop-down button then specify the template file name and set an optional comment to it. Starting the Wizard for the next time you may load the template by selecting the Load template item of the Templates drop-down button.

Note that saving/loading of template is possible at any step of the Wizard.